<?php
include '../Config/Config.php';
class marketing_query
{
	function EOIWeeklyReport($locationid)
	{
			$sqlquery = "SELECT (SELECT Count(marketingid) FROM tbl_marketing M WHERE M.dateofentry ";
			$sqlquery = $sqlquery . "  <= DATE_SUB(CURDATE(),INTERVAL 0 day) ";
			$sqlquery = $sqlquery . " AND M.dateofentry >= DATE_SUB(CURDATE(),INTERVAL 7 day)) as ReceivedThisWeek, ";
			$sqlquery = $sqlquery . " (SELECT Count(marketingid) FROM tbl_marketing M WHERE M.dateofdispatch ";
			$sqlquery = $sqlquery . " <= DATE_SUB(CURDATE(),INTERVAL 0 day) "; 
			$sqlquery = $sqlquery . " AND M.dateofdispatch >= DATE_SUB(CURDATE(),INTERVAL 7 day)) as SentThisWeek, ";
			$sqlquery = $sqlquery . " (SELECT Count(marketingid) FROM tbl_marketing M  ";
			$sqlquery = $sqlquery . " INNER JOIN tbl_status S ON S.statusid = M.statusid";
			$sqlquery = $sqlquery . " WHERE M.dateofentry <= DATE_SUB(CURDATE(),INTERVAL 0 day) ";
			$sqlquery = $sqlquery . " AND M.dateofentry >= DATE_SUB(CURDATE(),INTERVAL 7 day) ";
			$sqlquery = $sqlquery . " AND M.statusid = 9) as PendingThisWeek FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " WHERE M.locationid = '".$locationid."' AND M.isactive='Y' And M.isdeleted='N'";
			return $sqlquery;
	}
	
	function MeetingsPlannedWeekly($locationid)
	{
			$sqlquery = " SELECT C.clientName,CONCAT( TU.firstName, ' ', TU.lastName ) AS fullname ";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";	
			$sqlquery = $sqlquery . " ,DATE_FORMAT(M.dateofentry,'%b %e %Y') as datetime";
			$sqlquery = $sqlquery . " FROM tbl_meeting M INNER JOIN tblclient C ON C.clientID = M.clientid ";
			$sqlquery = $sqlquery . " LEFT JOIN tblusers TU ON TU.userID = M.coordinatorid WHERE ";
			$sqlquery = $sqlquery . " dateofentry <= DATE_SUB(CURDATE(),INTERVAL 0 day) "; 
			$sqlquery = $sqlquery . " AND M.dateofentry >= DATE_SUB(CURDATE(),INTERVAL 7 day) AND M.statusid = 11";
			$sqlquery = $sqlquery . " and M.locationid = '".$locationid."' AND M.isactive='Y' And M.isdeleted='N' ";
			return $sqlquery;
	}
	function EOISummaryReport($locationid,$productid)
	{
			$sqlquery = "SELECT (SELECT Count(marketingid) FROM tbl_marketing M WHERE M.dateofentry ";
			$sqlquery = $sqlquery . "  <= DATE_SUB(CURDATE(),INTERVAL 0 day) ";
			$sqlquery = $sqlquery . " AND M.dateofentry >= DATE_SUB(CURDATE(),INTERVAL 7 day)) as ReceivedThisWeek, ";
			$sqlquery = $sqlquery . " (SELECT Count(marketingid) FROM tbl_marketing M WHERE M.dateofdispatch ";
			$sqlquery = $sqlquery . " <= DATE_SUB(CURDATE(),INTERVAL 0 day) "; 
			$sqlquery = $sqlquery . " AND M.dateofdispatch >= DATE_SUB(CURDATE(),INTERVAL 7 day)) as SentThisWeek, ";
			$sqlquery = $sqlquery . " (SELECT Count(marketingid) FROM tbl_marketing M  ";
			$sqlquery = $sqlquery . " INNER JOIN tbl_status S ON S.statusid = M.statusid";
			$sqlquery = $sqlquery . " WHERE M.dateofentry <= DATE_SUB(CURDATE(),INTERVAL 0 day) ";
			$sqlquery = $sqlquery . " AND M.dateofentry >= DATE_SUB(CURDATE(),INTERVAL 7 day) ";
			$sqlquery = $sqlquery . " AND M.statusid = 9) as PendingThisWeek FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " WHERE M.locationid = '".$locationid."' "; 
			$sqlquery = $sqlquery . " AND M.productgroupid = '".$productid."' AND M.isactive='Y' And M.isdeleted='N'";
			return $sqlquery;
	}
	function EOIWeeklyManagerReport($locationid,$productid)
	{
		if(($locationid == 1) and (($productid =="") or ($productid =="0")))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";			
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE M.duesubdate<= DATE_SUB(CURDATE(),INTERVAL 0 day) ";
			$sqlquery = $sqlquery . " AND M.duesubdate>= DATE_SUB(CURDATE(),INTERVAL 7 day)";
			$sqlquery = $sqlquery . " AND M.statusid IN (1,5,8,9) AND M.isactive='Y' And M.isdeleted='N'";
		}
		else if(($locationid == 1))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";			
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE M.duesubdate<= DATE_SUB(CURDATE(),INTERVAL 0 day) ";
			$sqlquery = $sqlquery . " AND M.duesubdate>= DATE_SUB(CURDATE(),INTERVAL 7 day) AND productgroupid = '".$productid."'";
			$sqlquery = $sqlquery . " AND locationid= '".$locationid."' ";
			$sqlquery = $sqlquery . " AND M.statusid IN (1,5,8,9) AND M.isactive='Y' And M.isdeleted='N'";
		}
		else if(($locationid != 1))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";			
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE M.duesubdate<= DATE_SUB(CURDATE(),INTERVAL 0 day) ";
			$sqlquery = $sqlquery . " AND M.duesubdate>= DATE_SUB(CURDATE(),INTERVAL 7 day) ";
			$sqlquery = $sqlquery . " AND locationid= '".$locationid."' ";
			$sqlquery = $sqlquery . " AND M.statusid IN (1,5,8,9) AND M.isactive='Y' And M.isdeleted='N'";
		}
		return $sqlquery;	
	}
	
	function ProposalFinancialYearReport($locationid,$productid,$eoicategory)
	{
		include_once 'FinalcialYearCalculation.php';
		$finan = new common_fun;
		$financialyear = $finan->financialyear();
		if(($locationid == 1) and (($productid =="") or ($productid =="0")))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";			
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE M.financialyearid = ";
			$sqlquery = $sqlquery . " (SELECT financialyearid FROM tbl_financialyear WHERE financialyear = '".$financialyear."') ";
			$sqlquery = $sqlquery . " AND M.statusid IN (9) AND M.isactive='Y' And M.isdeleted='N' ";
			if($eoicategory == "Proposal")
			{
				$sqlquery = $sqlquery . " AND M.proposaleoiid=2";
			}
			else if($eoicategory == "EOI")
			{
				$sqlquery = $sqlquery . " AND M.proposaleoiid=1";
			}
			else
			{
			
			}
		}
		else if(($locationid == 1))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";			
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE M.financialyearid = ";
			$sqlquery = $sqlquery . " (SELECT financialyearid FROM tbl_financialyear WHERE financialyear = '".$financialyear."') ";
			$sqlquery = $sqlquery . " AND productgroupid = '".$productid."'";
			$sqlquery = $sqlquery . " AND locationid= '".$locationid."' ";
			$sqlquery = $sqlquery . " AND M.statusid IN (9) AND M.isactive='Y' And M.isdeleted='N'";
			if($eoicategory == "Proposal")
			{
				$sqlquery = $sqlquery . " AND M.proposaleoiid=2";
			}
			else if($eoicategory == "EOI")
			{
				$sqlquery = $sqlquery . " AND M.proposaleoiid=1";
			}
			else
			{
			
			}
		}
		else if(($locationid != 1))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";			
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE M.financialyearid = ";
			$sqlquery = $sqlquery . " (SELECT financialyearid FROM tbl_financialyear WHERE financialyear = '".$financialyear."') ";
			$sqlquery = $sqlquery . " AND locationid= '".$locationid."' ";
			$sqlquery = $sqlquery . " AND M.statusid IN (9) AND M.isactive='Y' And M.isdeleted='N' ";
			if($eoicategory == "Proposal")
			{
				$sqlquery = $sqlquery . " AND M.proposaleoiid=2";
			}
			else if($eoicategory == "EOI")
			{
				$sqlquery = $sqlquery . " AND M.proposaleoiid=1";
			}
			else
			{
			
			}
		}
		return $sqlquery;	
	}
	
	function EOIMonthlyManagerReport($locationid,$productid)
	{
		if(($locationid == 1) and (($productid =="") or ($productid =="0")))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE EXTRACT(YEAR_MONTH FROM (M.duesubdate)) = EXTRACT(YEAR_MONTH ";
			$sqlquery = $sqlquery . " FROM DATE_SUB(CURDATE(),INTERVAL 1 month)) ";
			$sqlquery = $sqlquery . " AND M.statusid IN (1,5,8,9) AND M.isactive='Y' And M.isdeleted='N'";
		}
		else if(($locationid == 1))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";			
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE EXTRACT(YEAR_MONTH FROM (M.duesubdate)) = EXTRACT(YEAR_MONTH ";
			$sqlquery = $sqlquery . " FROM DATE_SUB(CURDATE(),INTERVAL 1 month)) ";
			$sqlquery = $sqlquery . " AND productgroupid = '".$productid."'";
			$sqlquery = $sqlquery . " AND locationid= '".$locationid."' ";
			$sqlquery = $sqlquery . " AND M.statusid IN (1,5,8,9) AND M.isactive='Y' And M.isdeleted='N'";
		}
		else if(($locationid != 1))
		{
			$sqlquery = " SELECT C.clientName,M.proposaleoiname,DATE_FORMAT(M.duesubdate,'%b %e %Y') as duedate "; 
			$sqlquery = $sqlquery . " ,(SELECT status FROM tbl_status WHERE statusid= M.statusid) as Status";
			$sqlquery = $sqlquery . " ,(SELECT aliasproductname FROM tblproductgrp WHERE productID= M.productgroupid ";
			$sqlquery = $sqlquery . " and IsActive='Y' and IsDeleted='N') as PG";
			$sqlquery = $sqlquery . " ,(SELECT proposaleoi FROM tbl_proposaleoi WHERE proposaleoiid= M.proposaleoiid) as proposaleoi";
			$sqlquery = $sqlquery . " ,CASE WHEN ISNULL(M.remarks) THEN M.Remarks ELSE '-NA-'  END as remarks ";			
			$sqlquery = $sqlquery . " FROM tbl_marketing M ";
			$sqlquery = $sqlquery . " INNER JOIN tblclient C ON M.clientid = C.clientID ";
			$sqlquery = $sqlquery . " WHERE EXTRACT(YEAR_MONTH FROM (M.duesubdate)) = EXTRACT(YEAR_MONTH ";
			$sqlquery = $sqlquery . " FROM DATE_SUB(CURDATE(),INTERVAL 1 month)) ";
			$sqlquery = $sqlquery . " AND locationid= '".$locationid."' ";
			$sqlquery = $sqlquery . " AND M.statusid IN (1,5,8,9) AND M.isactive='Y' And M.isdeleted='N'";
		}
		return $sqlquery;	
	}
	
	function PendingProposalEoiMailalert()
	{
	
		$sqlquery  ="SELECT (SELECT CONCAT(U.firstName, ' ', U.lastName ) FROM tblusers U ";
		$sqlquery = $sqlquery . " WHERE U.userID = M.coordinatorid) AS fullname ";
		$sqlquery = $sqlquery . " ,(SELECT Email FROM tblusers U WHERE U.userID = M.coordinatorid) as Email"; 
		$sqlquery = $sqlquery . " ,(SELECT clientName FROM tblclient C WHERE C.clientID= M.clientid) as ClientName";
		$sqlquery = $sqlquery . " ,proposaleoiname,proposaleoiid,DATE_FORMAT(dateofentry,'%b %e %Y') as datetime"; 
		$sqlquery = $sqlquery . " ,statusid,productgroupid,locationid"; 
		$sqlquery = $sqlquery . " ,(SELECT financialyear FROM tbl_financialyear F WHERE F.financialyearid= M.financialyearid) "; 
		$sqlquery = $sqlquery . " as financialyear"; 
		$sqlquery = $sqlquery . " FROM tbl_marketing M WHERE M.isactive='Y' And M.isdeleted='N' and ( M.proposaleoiid=2 "; 
		$sqlquery = $sqlquery . " or  M.proposaleoiid=1) and M.statusid = 9";
		
		return $sqlquery;
	}
	
	
}
?>