<?php
session_start();
ob_start();
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php include "phprptinc/ewrcfg2.php"; ?>
<?php include "phprptinc/ewmysql.php"; ?>
<?php include "phprptinc/ewrfn2.php"; ?>
<?php include "phprptinc/ewrsecu2.php"; ?>
<?php

// Table level constants
define("EW_REPORT_TABLE_VAR", "SampleReport", TRUE);
define("EW_REPORT_TABLE_GROUP_PER_PAGE", "grpperpage", TRUE);
define("EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE", "SampleReport_grpperpage", TRUE);
define("EW_REPORT_TABLE_START_GROUP", "start", TRUE);
define("EW_REPORT_TABLE_SESSION_START_GROUP", "SampleReport_start", TRUE);
define("EW_REPORT_TABLE_SESSION_SEARCH", "SampleReport_search", TRUE);
define("EW_REPORT_TABLE_CHILD_USER_ID", "childuserid", TRUE);
define("EW_REPORT_TABLE_SESSION_CHILD_USER_ID", "SampleReport_childuserid", TRUE);

// Table level SQL
$EW_REPORT_TABLE_SQL_FROM = "(SELECT TM.userID AS DL,TL.locationName AS DR ,sum(TM.hours) AS Hours,sum((TM.hours/8)*TM.employeeRate) As DT,TM.`date` AS DTD FROM tblnccontracts TNC INNER JOIN tblprojects TP ON (TP.ncContractID = TNC.ncContractID) INNER JOIN tblproductgrp TPG ON (TPG.productID = TP.productGroupID)INNER JOIN tbllocation TL ON TP.`locationID` = TL.`locationID` INNER JOIN tbltimesheet TM ON TP.`projectID` = TM.`projectID` INNER JOIN tblusers TU ON TU.`userID` = TM.`userID` WHERE TP.isNRGL <> 1 AND TP.`currentProject`=1 GROUP BY TU.userID,TL.locationName)AS T";
$EW_REPORT_TABLE_SQL_SELECT = "SELECT T.DR,round(Sum(T.DT)) As DT FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_TABLE_SQL_WHERE = "";
$EW_REPORT_TABLE_SQL_GROUPBY = "T.DR";
$EW_REPORT_TABLE_SQL_HAVING = "";
$EW_REPORT_TABLE_SQL_ORDERBY = "`DR` ASC, `DT` ASC";
$EW_REPORT_TABLE_SQL_USERID_FILTER = "";
$af_DR = NULL; // Popup filter for DR
$af_DT = NULL; // Popup filter for DT
?>
<?php
$sExport = @$_GET["export"]; // Load export request
if ($sExport == "html") {

	// Printer friendly
}
if ($sExport == "excel") {
	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.xls');
}
if ($sExport == "word") {
	header('Content-Type: application/vnd.ms-word');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.doc');
}
?>
<?php

// Initialize common variables
// Paging variables

$nRecCount = 0; // Record count
$nStartGrp = 0; // Start group
$nStopGrp = 0; // Stop group
$nTotalGrps = 0; // Total groups
$nGrpCount = 0; // Group count
$nDisplayGrps = 3; // Groups per page
$nGrpRange = 10;

// Clear field for ext filter
$sClearExtFilter = "";

// Dropdown filters
// Extended filters
// Custom filters

$ewrpt_CustomFilters = array();
?>
<?php
?>
<?php

// Field variables
$x_DR = NULL;
$x_DT = NULL;

// Group variables
$o_DR = NULL; $g_DR = NULL; $dg_DR = NULL; $t_DR = NULL; $ft_DR = 200; $gf_DR = $ft_DR; $gb_DR = ""; $gi_DR = "0"; $rf_DR = NULL; $rt_DR = NULL;
$o_DT = NULL; $g_DT = NULL; $dg_DT = NULL; $t_DT = NULL; $ft_DT = 5; $gf_DT = $ft_DT; $gb_DT = ""; $gi_DT = "0"; $rf_DT = NULL; $rt_DT = NULL;

// Detail variables
?>
<?php

// Chart configuration parameters
$TurnOverReport_cht_parms = array(); // Store all chart parameters

// Chart data
$TurnOverReport_cht_index = NULL;
$TurnOverReport_cht_id = NULL;
$TurnOverReport_cht_smry = NULL;
$TurnOverReport_cht_XFld = NULL;
$TurnOverReport_cht_YFld = NULL;
$TurnOverReport_cht_YFldBase = NULL;
$TurnOverReport_cht_XFld = 'DR';
$TurnOverReport_cht_YFld = 'DT';
$TurnOverReport_cht_XDateFld = '';
$TurnOverReport_cht_SFld = '';
$TurnOverReport_cht_SFldAr = NULL;
?>
<?php
$TurnOverReport_cht_trends = array(); // Store all chart trendlines
?>
<?php

// Chart configuration parameters
$ContributionReport_cht_parms = array(); // Store all chart parameters

// Chart data
$ContributionReport_cht_index = NULL;
$ContributionReport_cht_id = NULL;
$ContributionReport_cht_smry = NULL;
$ContributionReport_cht_XFld = NULL;
$ContributionReport_cht_YFld = NULL;
$ContributionReport_cht_YFldBase = NULL;
$ContributionReport_cht_XFld = 'DR';
$ContributionReport_cht_YFld = 'DT';
$ContributionReport_cht_XDateFld = '';
$ContributionReport_cht_SFld = '';
$ContributionReport_cht_SFldAr = NULL;
?>
<?php
$ContributionReport_cht_trends = array(); // Store all chart trendlines
?>
<?php

// Open connection to the database
$conn = ewrpt_Connect();

// Filter
$sFilter = "";

// Aggregate variables
// 1st dimension = no of groups (level 0 used for grand total)
// 2nd dimension = no of fields

$nDtls = 1;
$nGrps = 3;
$val = ewrpt_InitArray($nDtls, 0);
$cnt = ewrpt_Init2DArray($nGrps, $nDtls, 0);
$smry = ewrpt_Init2DArray($nGrps, $nDtls, 0);
$mn = ewrpt_Init2DArray($nGrps, $nDtls, NULL);
$mx = ewrpt_Init2DArray($nGrps, $nDtls, NULL);
$grandsmry = ewrpt_InitArray($nDtls, 0);
$grandmn = ewrpt_InitArray($nDtls, NULL);
$grandmx = ewrpt_InitArray($nDtls, NULL);

// Set up if accumulation required
$col = array(FALSE);

// Set up groups per page dynamically
SetUpDisplayGrps();

// Set up popup filter
SetupPopup();

// Extended filter
// No extended filter

$sExtendedFilter = $sFilter;

// No filter
$bFilterApplied = FALSE;

// Build SQL
$sSql = ewrpt_BuildReportSql("", $EW_REPORT_TABLE_SQL_SELECT, $EW_REPORT_TABLE_SQL_WHERE, $EW_REPORT_TABLE_SQL_GROUPBY, $EW_REPORT_TABLE_SQL_HAVING, $EW_REPORT_TABLE_SQL_ORDERBY, "", $sExtendedFilter, @$sSort);

// echo $sSql . "<br />"; // Uncomment to show SQL
// Load recordset

$rs = $conn->Execute($sSql);
$rscnt = ($rs) ? $rs->RecordCount() : 0;

// Detail distinct and selection values
InitReportData($rs);
if ($nDisplayGrps <= 0) // Display all groups
	$nDisplayGrps = $nTotalGrps;
$nStartGrp = 1;

// Set up start position if not export all
if (!(EW_REPORT_EXPORT_ALL && @$sExport <> ""))
	SetUpStartGroup();
?>
<?php include "phprptinc/header.php"; ?>
<?php if (@$sExport == "") { ?>
<?php } ?>
<?php if (@$sExport == "") { ?>
<script src="phprptjs/x/x_core.js" type="text/javascript"></script>
<script src="phprptjs/x/x_event.js" type="text/javascript"></script>
<script src="phprptjs/x/x_drag.js" type="text/javascript"></script>
<script src="phprptjs/popup.js" type="text/javascript"></script>
<script src="phprptjs/ewrptpop.js" type="text/javascript"></script>
<script src="FusionChartsFree/JSClass/FusionCharts.js" type="text/javascript"></script>
<script type="text/javascript">
var EW_REPORT_POPUP_ALL = "(All)";
var EW_REPORT_POPUP_OK = "  OK  ";
var EW_REPORT_POPUP_CANCEL = "Cancel";
var EW_REPORT_POPUP_FROM = "From";
var EW_REPORT_POPUP_TO = "To";
var EW_REPORT_POPUP_PLEASE_SELECT = "Please Select";
var EW_REPORT_POPUP_NO_VALUE = "No value selected!";

// popup fields
</script>
<?php } ?>
<?php if (@$sExport == "") { ?>
<!-- Table Container (Begin) -->
<table id="ewContainer" cellspacing="0" cellpadding="0" border="0">
<!-- Top Container (Begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewTop" class="phpreportmaker">
<!-- top slot -->
<a name="top"></a>
<?php } ?>
Sample Report
<?php if (@$sExport == "") { ?>
&nbsp;&nbsp;<a href="SampleReportsmry.php?export=html">Printer Friendly</a>
&nbsp;&nbsp;<a href="SampleReportsmry.php?export=excel">Export to Excel</a>
&nbsp;&nbsp;<a href="SampleReportsmry.php?export=word">Export to Word</a>
<?php } ?>
<br /><br />
<?php if (@$sExport == "") { ?>
</div></td></tr>
<!-- Top Container (End) -->
<tr>
	<!-- Left Container (Begin) -->
	<td valign="top"><div id="ewLeft" class="phpreportmaker">
	<!-- Left slot -->
	</div></td>
	<!-- Left Container (End) -->
	<!-- Center Container - Report (Begin) -->
	<td valign="top" class="ewPadding"><div id="ewCenter" class="phpreportmaker">
	<!-- center slot -->
<?php } ?>
<!-- summary report starts -->
<div id="report_summary">
<!-- Report Grid (Begin) -->
<table id="ewReport" class="ewTable">
<?php

// Set the last group to display if not export all
if (EW_REPORT_EXPORT_ALL && @$sExport <> "") {
	$nStopGrp = $nTotalGrps;
} else {
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
}

// Stop group <= total number of groups
if (intval($nStopGrp) > intval($nTotalGrps))
	$nStopGrp = $nTotalGrps;
$nRecCount = 0;

// Init summary values
ResetLevelSummary(0);

// Get first row
if ($rscnt > 0) {
	GetRow(1);
	$nGrpCount = 1;
}

// Force show first header
$bShowFirstHeader = TRUE;
while (($rs && !$rs->EOF) || $bShowFirstHeader) {

	// Show header
	if ($bShowFirstHeader) {
?>
	<tr>
		<td valign="bottom" class="ewRptGrpHeader1">
		<?php if ($bShowFirstHeader || ChkLvlBreak(1)) { ?>
		DR
		<?php } ?>
		</td>
		<td valign="bottom" class="ewRptGrpHeader2">
		<?php if ($bShowFirstHeader || ChkLvlBreak(2)) { ?>
		DT
		<?php } ?>
		</td>
	</tr>
<?php
		$bShowFirstHeader = FALSE;
	}
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
		$nRecCount++;

		// Set row color
		$sItemRowClass = " class=\"ewTableRow\"";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1)
			$sItemRowClass = " class=\"ewTableAltRow\"";

		// Show group values
		$dg_DR = $x_DR;
		if ((is_null($x_DR) && is_null($o_DR)) ||
			(($x_DR <> "" && $o_DR == $dg_DR) && !ChkLvlBreak(1))) {
			$dg_DR = "";
		} elseif (is_null($x_DR)) {
			$dg_DR = EW_REPORT_NULL_LABEL;
		} elseif ($x_DR == "") {
			$dg_DR = EW_REPORT_EMPTY_LABEL;
		}
		$dg_DT = $x_DT;
		if ((is_null($x_DT) && is_null($o_DT)) ||
			(($x_DT <> "" && $o_DT == $dg_DT) && !ChkLvlBreak(2))) {
			$dg_DT = "";
		} elseif (is_null($x_DT)) {
			$dg_DT = EW_REPORT_NULL_LABEL;
		} elseif ($x_DT == "") {
			$dg_DT = EW_REPORT_EMPTY_LABEL;
		}
?>
	<tr<?php echo $sItemRowClass; ?>>
		<td class="ewRptGrpField1">
		<?php $t_DR = $x_DR; $x_DR = $dg_DR; ?>
<?php echo $x_DR ?>
		<?php $x_DR = $t_DR; ?></td>
		<td class="ewRptGrpField2">
		<?php $t_DT = $x_DT; $x_DT = $dg_DT; ?>
<?php echo $x_DT ?>
		<?php $x_DT = $t_DT; ?></td>
	</tr>
<?php

		// Accumulate page summary
		AccumulateSummary();
	}

	// Accumulate grand summary
	AccumulateGrandSummary();

	// Save old group values
	$o_DR = $x_DR;
	$o_DT = $x_DT;

	// Get next record
	GetRow(2);

	// Show Footers
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
?>
<?php
	}

	// Increment group count
	if (ChkLvlBreak(1))
		$nGrpCount++;
} // End while
?>
<?php if ($nTotalGrps > 0) { ?>
	<!-- tr><td colspan="2"><span class="phpreportmaker">&nbsp;<br /></span></td></tr -->
	<tr class="ewRptGrandSummary"><td colspan="2">Grand Total (<?php echo ewrpt_FormatNumber($cnt[0][0],0,-2,-2,-2); ?> Detail Records)</td></tr>
<?php } ?>
</table>
<br />
<?php if (@$sExport == "") { ?>
<form action="SampleReportsmry.php" name="ewpagerform" id="ewpagerform">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td nowrap>
<?php
if ($nTotalGrps > 0) {
	$rsEof = ($nTotalGrps < ($nStartGrp + $nDisplayGrps));
	$PrevStart = $nStartGrp - $nDisplayGrps;
	if ($PrevStart < 1)
		$PrevStart = 1;
	$NextStart = $nStartGrp + $nDisplayGrps;
	if ($NextStart > $nTotalGrps)
		$NextStart = $nStartGrp;
	$LastStart = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpreportmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartGrp == 1) { ?>
	<td><img src="phprptimages/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleReportsmry.php?start=1"><img src="phprptimages/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartGrp) { ?>
	<td><img src="phprptimages/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleReportsmry.php?start=<?php echo $PrevStart; ?>"><img src="phprptimages/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartGrp-1)/$nDisplayGrps+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartGrp) { ?>
	<td><img src="phprptimages/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleReportsmry.php?start=<?php echo $NextStart; ?>"><img src="phprptimages/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartGrp) { ?>
	<td><img src="phprptimages/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleReportsmry.php?start=<?php echo $LastStart; ?>"><img src="phprptimages/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpreportmaker">&nbsp;of <?php echo intval(($nTotalGrps-1)/$nDisplayGrps+1);?></span></td>
	</tr></table>
	<?php
	if ($nStartGrp > $nTotalGrps)
		$nStartGrp = $nTotalGrps;
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
	$nGrpCount = $nTotalGrps - 1;
	if ($rsEof)
		$nGrpCount = $nTotalGrps;
	if ($nStopGrp > $nGrpCount)
		$nStopGrp = $nGrpCount; ?>
	<span class="phpreportmaker"> <?php echo $nStartGrp; ?> to <?php echo $nStopGrp; ?> of <?php echo $nTotalGrps; ?></span>
<?php } else { ?>
	<?php if ($sExtendedFilter == "0=101") { ?>
	<span class="phpreportmaker">Please enter search criteria</span>
	<?php } else { ?>
	<span class="phpreportmaker">No records found</span>
	<?php } ?>
<?php } ?>
		</td>
<?php if ($nTotalGrps > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpreportmaker">Groups Per Page&nbsp;
<select name="<?php echo EW_REPORT_TABLE_GROUP_PER_PAGE; ?>" onChange="this.form.submit();" class="phpreportmaker">
<option value="1"<?php if ($nDisplayGrps == 1) echo " selected" ?>>1</option>
<option value="2"<?php if ($nDisplayGrps == 2) echo " selected" ?>>2</option>
<option value="3"<?php if ($nDisplayGrps == 3) echo " selected" ?>>3</option>
<option value="4"<?php if ($nDisplayGrps == 4) echo " selected" ?>>4</option>
<option value="5"<?php if ($nDisplayGrps == 5) echo " selected" ?>>5</option>
<option value="10"<?php if ($nDisplayGrps == 10) echo " selected" ?>>10</option>
<option value="20"<?php if ($nDisplayGrps == 20) echo " selected" ?>>20</option>
<option value="50"<?php if ($nDisplayGrps == 50) echo " selected" ?>>50</option>
<option value="ALL"<?php if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] == -1) echo " selected" ?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
</div>
<!-- Summary Report Ends -->
<?php if (@$sExport == "") { ?>
	</div><br /></td>
	<!-- Center Container - Report (End) -->
	<!-- Right Container (Begin) -->
	<td valign="top"><div id="ewRight" class="phpreportmaker">
	<!-- Right slot -->
	</div></td>
	<!-- Right Container (End) -->
</tr>
<!-- Bottom Container (Begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewBottom" class="phpreportmaker">
	<!-- Bottom slot -->
<a name="cht_TurnOverReport"></a>
<div id="div_SampleReport_TurnOverReport"></div>
<?php

// Initialize chart data
$TurnOverReport_cht_id = "SampleReport_TurnOverReport"; // Chart ID
ewrpt_AddChartParam($TurnOverReport_cht_parms, "type", "6", FALSE); // Chart type
ewrpt_AddChartParam($TurnOverReport_cht_parms, "bgcolor", "#FCFCFC", TRUE); // Background color
ewrpt_AddChartParam($TurnOverReport_cht_parms, "caption", "TurnOverReport", TRUE); // Chart caption
ewrpt_AddChartParam($TurnOverReport_cht_parms, "xaxisname", "DR", TRUE); // X axis name
ewrpt_AddChartParam($TurnOverReport_cht_parms, "yaxisname", "DT", TRUE); // Y axis name
ewrpt_AddChartParam($TurnOverReport_cht_parms, "shownames", "1", TRUE); // Show names
ewrpt_AddChartParam($TurnOverReport_cht_parms, "showvalues", "1", TRUE); // Show values
ewrpt_AddChartParam($TurnOverReport_cht_parms, "showhovercap", "0", TRUE); // Show hover
ewrpt_AddChartParam($TurnOverReport_cht_parms, "alpha", "50", FALSE); // Chart alpha
ewrpt_AddChartParam($TurnOverReport_cht_parms, "colorpalette", "#FF0000|#FF0080|#FF00FF|#8000FF|#FF8000|#FF3D3D|#7AFFFF|#0000FF|#FFFF00|#FF7A7A|#3DFFFF|#0080FF|#80FF00|#00FF00|#00FF80|#00FFFF", FALSE); // Chart color palette
?>
<?php
ewrpt_SetChartParam($TurnOverReport_cht_parms, "canvasBgColor", "#EEEEEE", TRUE); // canvasBgColor
ewrpt_SetChartParam($TurnOverReport_cht_parms, "canvasBorderColor", "#A9A9A9", TRUE); // canvasBorderColor
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showCanvasBg", "1", TRUE); // showCanvasBg
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showCanvasBase", "1", TRUE); // showCanvasBase
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showLimits", "1", TRUE); // showLimits
ewrpt_SetChartParam($TurnOverReport_cht_parms, "animation", "1", TRUE); // animation
ewrpt_SetChartParam($TurnOverReport_cht_parms, "rotateNames", "0", TRUE); // rotateNames
ewrpt_SetChartParam($TurnOverReport_cht_parms, "yAxisMinValue", "0", TRUE); // yAxisMinValue
ewrpt_SetChartParam($TurnOverReport_cht_parms, "yAxisMaxValue", "0", TRUE); // yAxisMaxValue
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showColumnShadow", "0", TRUE); // showColumnShadow
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showPercentageValues", "1", TRUE); // showPercentageValues
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showPercentageInLabel", "1", TRUE); // showPercentageInLabel
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showBarShadow", "0", TRUE); // showBarShadow
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showAnchors", "1", TRUE); // showAnchors
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showAreaBorder", "1", TRUE); // showAreaBorder
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showShadow", "1", TRUE); // showShadow
ewrpt_SetChartParam($TurnOverReport_cht_parms, "formatNumber", "0", TRUE); // formatNumber
ewrpt_SetChartParam($TurnOverReport_cht_parms, "formatNumberScale", "0", TRUE); // formatNumberScale
ewrpt_SetChartParam($TurnOverReport_cht_parms, "decimalSeparator", ".", TRUE); // decimalSeparator
ewrpt_SetChartParam($TurnOverReport_cht_parms, "thousandSeparator", ",", TRUE); // thousandSeparator
ewrpt_SetChartParam($TurnOverReport_cht_parms, "decimalPrecision", "2", TRUE); // decimalPrecision
ewrpt_SetChartParam($TurnOverReport_cht_parms, "divLineDecimalPrecision", "2", TRUE); // divLineDecimalPrecision
ewrpt_SetChartParam($TurnOverReport_cht_parms, "limitsDecimalPrecision", "2", TRUE); // limitsDecimalPrecision
ewrpt_SetChartParam($TurnOverReport_cht_parms, "zeroPlaneShowBorder", "1", TRUE); // zeroPlaneShowBorder
ewrpt_SetChartParam($TurnOverReport_cht_parms, "divLineColor", "#DCDCDC", TRUE); // divLineColor
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showDivLineValue", "1", TRUE); // showDivLineValue
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showAlternateHGridColor", "0", TRUE); // showAlternateHGridColor
ewrpt_SetChartParam($TurnOverReport_cht_parms, "showAlternateVGridColor", "0", TRUE); // showAlternateVGridColor
ewrpt_SetChartParam($TurnOverReport_cht_parms, "hoverCapSepChar", ":", TRUE); // hoverCapSepChar

// Define trend lines
?>
<?php
ewrpt_SortChartData($TurnOverReport_cht_smry, 0);
echo ewrpt_ShowChartFCF(6, $TurnOverReport_cht_id, $TurnOverReport_cht_parms, $TurnOverReport_cht_trends, $TurnOverReport_cht_smry, 550, 440, "");
?>
<a href="#top">Top</a>
<br /><br />
<a name="cht_ContributionReport"></a>
<div id="div_SampleReport_ContributionReport"></div>
<?php

// Initialize chart data
$ContributionReport_cht_id = "SampleReport_ContributionReport"; // Chart ID
ewrpt_AddChartParam($ContributionReport_cht_parms, "type", "6", FALSE); // Chart type
ewrpt_AddChartParam($ContributionReport_cht_parms, "bgcolor", "#FCFCFC", TRUE); // Background color
ewrpt_AddChartParam($ContributionReport_cht_parms, "caption", "ContributionReport", TRUE); // Chart caption
ewrpt_AddChartParam($ContributionReport_cht_parms, "xaxisname", "DR", TRUE); // X axis name
ewrpt_AddChartParam($ContributionReport_cht_parms, "yaxisname", "DT", TRUE); // Y axis name
ewrpt_AddChartParam($ContributionReport_cht_parms, "shownames", "1", TRUE); // Show names
ewrpt_AddChartParam($ContributionReport_cht_parms, "showvalues", "1", TRUE); // Show values
ewrpt_AddChartParam($ContributionReport_cht_parms, "showhovercap", "0", TRUE); // Show hover
ewrpt_AddChartParam($ContributionReport_cht_parms, "alpha", "50", FALSE); // Chart alpha
ewrpt_AddChartParam($ContributionReport_cht_parms, "colorpalette", "#FF0000|#FF0080|#FF00FF|#8000FF|#FF8000|#FF3D3D|#7AFFFF|#0000FF|#FFFF00|#FF7A7A|#3DFFFF|#0080FF|#80FF00|#00FF00|#00FF80|#00FFFF", FALSE); // Chart color palette
?>
<?php
ewrpt_SetChartParam($ContributionReport_cht_parms, "canvasBgColor", "#EEEEEE", TRUE); // canvasBgColor
ewrpt_SetChartParam($ContributionReport_cht_parms, "canvasBorderColor", "#A9A9A9", TRUE); // canvasBorderColor
ewrpt_SetChartParam($ContributionReport_cht_parms, "showCanvasBg", "1", TRUE); // showCanvasBg
ewrpt_SetChartParam($ContributionReport_cht_parms, "showCanvasBase", "1", TRUE); // showCanvasBase
ewrpt_SetChartParam($ContributionReport_cht_parms, "showLimits", "1", TRUE); // showLimits
ewrpt_SetChartParam($ContributionReport_cht_parms, "animation", "1", TRUE); // animation
ewrpt_SetChartParam($ContributionReport_cht_parms, "rotateNames", "0", TRUE); // rotateNames
ewrpt_SetChartParam($ContributionReport_cht_parms, "yAxisMinValue", "0", TRUE); // yAxisMinValue
ewrpt_SetChartParam($ContributionReport_cht_parms, "yAxisMaxValue", "0", TRUE); // yAxisMaxValue
ewrpt_SetChartParam($ContributionReport_cht_parms, "showColumnShadow", "0", TRUE); // showColumnShadow
ewrpt_SetChartParam($ContributionReport_cht_parms, "showPercentageValues", "1", TRUE); // showPercentageValues
ewrpt_SetChartParam($ContributionReport_cht_parms, "showPercentageInLabel", "1", TRUE); // showPercentageInLabel
ewrpt_SetChartParam($ContributionReport_cht_parms, "showBarShadow", "0", TRUE); // showBarShadow
ewrpt_SetChartParam($ContributionReport_cht_parms, "showAnchors", "1", TRUE); // showAnchors
ewrpt_SetChartParam($ContributionReport_cht_parms, "showAreaBorder", "1", TRUE); // showAreaBorder
ewrpt_SetChartParam($ContributionReport_cht_parms, "showShadow", "1", TRUE); // showShadow
ewrpt_SetChartParam($ContributionReport_cht_parms, "formatNumber", "0", TRUE); // formatNumber
ewrpt_SetChartParam($ContributionReport_cht_parms, "formatNumberScale", "0", TRUE); // formatNumberScale
ewrpt_SetChartParam($ContributionReport_cht_parms, "decimalSeparator", ".", TRUE); // decimalSeparator
ewrpt_SetChartParam($ContributionReport_cht_parms, "thousandSeparator", ",", TRUE); // thousandSeparator
ewrpt_SetChartParam($ContributionReport_cht_parms, "decimalPrecision", "2", TRUE); // decimalPrecision
ewrpt_SetChartParam($ContributionReport_cht_parms, "divLineDecimalPrecision", "2", TRUE); // divLineDecimalPrecision
ewrpt_SetChartParam($ContributionReport_cht_parms, "limitsDecimalPrecision", "2", TRUE); // limitsDecimalPrecision
ewrpt_SetChartParam($ContributionReport_cht_parms, "zeroPlaneShowBorder", "1", TRUE); // zeroPlaneShowBorder
ewrpt_SetChartParam($ContributionReport_cht_parms, "divLineColor", "#DCDCDC", TRUE); // divLineColor
ewrpt_SetChartParam($ContributionReport_cht_parms, "showDivLineValue", "1", TRUE); // showDivLineValue
ewrpt_SetChartParam($ContributionReport_cht_parms, "showAlternateHGridColor", "0", TRUE); // showAlternateHGridColor
ewrpt_SetChartParam($ContributionReport_cht_parms, "showAlternateVGridColor", "0", TRUE); // showAlternateVGridColor
ewrpt_SetChartParam($ContributionReport_cht_parms, "hoverCapSepChar", ":", TRUE); // hoverCapSepChar

// Define trend lines
?>
<?php
ewrpt_SortChartData($ContributionReport_cht_smry, 0);
echo ewrpt_ShowChartFCF(6, $ContributionReport_cht_id, $ContributionReport_cht_parms, $ContributionReport_cht_trends, $ContributionReport_cht_smry, 550, 440, "");
?>
<a href="#top">Top</a>
<br /><br />
	</div><br /></td></tr>
<!-- Bottom Container (End) -->
</table>
<!-- Table Container (End) -->
<?php } ?>
<?php
$conn->Close();
?>
<?php include "phprptinc/footer.php"; ?>
<?php

// Check level break
function ChkLvlBreak($lvl) {
	switch ($lvl) {
		case 1:
			return (is_null($GLOBALS["x_DR"]) && !is_null($GLOBALS["o_DR"])) ||
				(!is_null($GLOBALS["x_DR"]) && is_null($GLOBALS["o_DR"])) ||
				($GLOBALS["x_DR"] <> $GLOBALS["o_DR"]);
		case 2:
			return (is_null($GLOBALS["x_DT"]) && !is_null($GLOBALS["o_DT"])) ||
				(!is_null($GLOBALS["x_DT"]) && is_null($GLOBALS["o_DT"])) ||
				($GLOBALS["x_DT"] <> $GLOBALS["o_DT"]) || ChkLvlBreak(1); // Recurse upper level
	}
}

// Accummulate summary
function AccumulateSummary() {
	global $smry, $cnt, $col, $val, $mn, $mx;
	for ($ix = 0; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy]++;
			if ($col[$iy]) {
				$valwrk = $val[$iy];
				if (is_null($valwrk) || !is_numeric($valwrk)) {

					// skip
				} else {
					$smry[$ix][$iy] += $valwrk;
					if (is_null($mn[$ix][$iy])) {
						$mn[$ix][$iy] = $valwrk;
						$mx[$ix][$iy] = $valwrk;
					} else {
						if ($mn[$ix][$iy] > $valwrk) $mn[$ix][$iy] = $valwrk;
						if ($mx[$ix][$iy] < $valwrk) $mx[$ix][$iy] = $valwrk;
					}
				}
			}
		}
	}
	for ($ix = 1; $ix < count($smry); $ix++) {
		$cnt[$ix][0]++;
	}
}

// Reset level summary
function ResetLevelSummary($lvl) {
	global $smry, $cnt, $col, $mn, $mx, $nRecCount, $grandsmry;

	// Clear summary values
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy] = 0;
			if ($col[$iy]) {
				$smry[$ix][$iy] = 0;
				$mn[$ix][$iy] = NULL;
				$mx[$ix][$iy] = NULL;
			}
		}
	}
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		$cnt[$ix][0] = 0;
	}

	// Clear grand summary
	if ($lvl == 0) {
		for ($iy = 1; $iy < count($grandsmry[$iy]); $iy++) {
			if ($col[$iy]) {
				$grandsmry[$iy] = 0;
				$grandmn[$iy] = NULL;
				$grandmx[$iy] = NULL;
			}
		}
	}

	// Clear old values
	if ($lvl <= 1) $GLOBALS["o_DR"] = "";
	if ($lvl <= 2) $GLOBALS["o_DT"] = "";

	// Reset record count
	$nRecCount = 0;
}

// Accummulate grand summary
function AccumulateGrandSummary() {
	global $cnt, $col, $val, $grandsmry, $grandmn, $grandmx;
	@$cnt[0][0]++;
	for ($iy = 1; $iy < count($grandsmry); $iy++) {
		if ($col[$iy]) {
			$valwrk = $val[$iy];
			if (is_null($valwrk) || !is_numeric($valwrk)) {

				// skip
			} else {
				$grandsmry[$iy] += $valwrk;
				if (is_null($grandmn[$iy])) {
					$grandmn[$iy] = $valwrk;
					$grandmx[$iy] = $valwrk;
				} else {
					if ($grandmn[$iy] > $valwrk) $grandmn[$iy] = $valwrk;
					if ($grandmx[$iy] < $valwrk) $grandmx[$iy] = $valwrk;
				}
			}
		}
	}
}

// Get row values
function GetRow($opt) {
	global $rs, $val;
	if (!$rs)
		return;
	if ($opt == 1) { // Get first row
		$rs->MoveFirst();
	} else { // Get next row
		$rs->MoveNext();
	}
	while (!$rs->EOF) {
		if (ValidRow($rs)) {
			$GLOBALS['x_DR'] = $rs->fields('DR');
			$GLOBALS['x_DT'] = $rs->fields('DT');
			break;
		} else {
			$rs->MoveNext();
		}
	}
	if ($rs->EOF) {
		$GLOBALS['x_DR'] = "";
		$GLOBALS['x_DT'] = "";
	}
}

//  Set up starting group
function SetUpStartGroup() {
	global $nStartGrp, $nTotalGrps, $nDisplayGrps;

	// Exit if no groups
	if ($nDisplayGrps == 0)
		return;

	// Check for a 'start' parameter
	if (@$_GET[EW_REPORT_TABLE_START_GROUP] != "") {
		$nStartGrp = $_GET[EW_REPORT_TABLE_START_GROUP];
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (@$_GET["pageno"] != "") {
		$nPageNo = $_GET["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartGrp = ($nPageNo-1)*$nDisplayGrps+1;
			if ($nStartGrp <= 0) {
				$nStartGrp = 1;
			} elseif ($nStartGrp >= intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1) {
				$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
			}
			$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
		} else {
			$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];
		}
	} else {
		$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];	
	}

	// Check if correct start group counter
	if (!is_numeric($nStartGrp) || $nStartGrp == "") { // Avoid invalid start group counter
		$nStartGrp = 1; // Reset start group counter
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (intval($nStartGrp) > intval($nTotalGrps)) { // Avoid starting group > total groups
		$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to last page first group
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (($nStartGrp-1) % $nDisplayGrps <> 0) {
		$nStartGrp = intval(($nStartGrp-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to page boundary
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	}
}

// Set up popup
function SetupPopup() {
	global $conn, $sFilter;

	// Initialize popup
	// Process post back form

	if (count($_POST) > 0) {
		$sName = @$_POST["popup"]; // Get popup form name
		if ($sName <> "") {
		$cntValues = (is_array(@$_POST["sel_$sName"])) ? count($_POST["sel_$sName"]) : 0;
			if ($cntValues > 0) {
				$arValues = ewrpt_StripSlashes($_POST["sel_$sName"]);
				if (trim($arValues[0]) == "") // Select all
					$arValues = EW_REPORT_INIT_VALUE;
				$_SESSION["sel_$sName"] = $arValues;
				$_SESSION["rf_$sName"] = ewrpt_StripSlashes(@$_POST["rf_$sName"]);
				$_SESSION["rt_$sName"] = ewrpt_StripSlashes(@$_POST["rt_$sName"]);
				ResetPager();
			}
		}

	// Get 'reset' command
	} elseif (@$_GET["cmd"] <> "") {
		$sCmd = $_GET["cmd"];
		if (strtolower($sCmd) == "reset") {
			ResetPager();
		}
	}

	// Load selection criteria to array
}

// Reset pager
function ResetPager() {

	// Reset start position (reset command)
	global $nStartGrp, $nTotalGrps;
	$nStartGrp = 1;
	$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
}

// Initialize group data - total number of groups + grouping field arrays
function InitReportData(&$rs) {
	global $nTotalGrps;

	// Initialize group count
	$grpcnt = 0;
	while ($rs && !$rs->EOF) {
		$bValidRow = ValidRow($rs);

		// Update group count
		if ($bValidRow) {
			$x_DR = $rs->fields('DR');
			$g_DR = $x_DR;
			$bNewGroup = ($grpcnt == 0) ||
				(is_null($grpvalue) && !is_null($x_DR)) ||
				(!is_null($grpvalue) && is_null($x_DR)) ||
				(@$grpvalue <> $g_DR);
			if ($bNewGroup) {
				$grpvalue = $g_DR;
				$grpcnt++;
			}
		}

		// Update chart values
		if ($bValidRow)
			ProcessChartData($rs);
		$rs->MoveNext();
	}

	// Set up total number of groups
	$nTotalGrps = $grpcnt;
}

// Check if row is valid
function ValidRow(&$rs) {
	return TRUE;
}
?>
<?php

// Process chart data
function ProcessChartData(&$rs) {
	AccumulateChartSummary($rs, $GLOBALS["TurnOverReport_cht_smry"], $GLOBALS["TurnOverReport_cht_XFld"], $GLOBALS["TurnOverReport_cht_YFld"], $GLOBALS["TurnOverReport_cht_SFld"], $GLOBALS["TurnOverReport_cht_SFldAr"]);
	AccumulateChartSummary($rs, $GLOBALS["ContributionReport_cht_smry"], $GLOBALS["ContributionReport_cht_XFld"], $GLOBALS["ContributionReport_cht_YFld"], $GLOBALS["ContributionReport_cht_SFld"], $GLOBALS["ContributionReport_cht_SFldAr"]);
}
?>
<?php

// Set up number of groups displayed per page
function SetUpDisplayGrps() {
	global $nDisplayGrps, $nStartGrp;
	$sWrk = @$_GET[EW_REPORT_TABLE_GROUP_PER_PAGE];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayGrps = intval($sWrk);
		} else {
			if (strtoupper($sWrk) == "ALL") { // display all groups
				$nDisplayGrps = -1;
			} else {
				$nDisplayGrps = 3; // Non-numeric, load default
			}
		}
		$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] = $nDisplayGrps; // Save to session

		// Reset start position (reset command)
		$nStartGrp = 1;
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} else {
		if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] <> "") {
			$nDisplayGrps = $_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE]; // Restore from session
		} else {
			$nDisplayGrps = 3; // Load default
		}
	}
}
?>
<?php

// Accummulate chart summary
function AccumulateChartSummary(&$rs, &$cht_smry, $xfld, $yfld, $sfld, &$arsfld) {
	if (!is_array($cht_smry)) {
		AddChartEntry($rs, $cht_smry, $xfld, $yfld, $sfld, $arsfld);
	} else {
		if (!UpdateChartEntry($rs, $cht_smry, $xfld, $yfld, $sfld))
			AddChartEntry($rs, $cht_smry, $xfld, $yfld, $sfld, $arsfld);
	}
}

// Add chart entry
function AddChartEntry(&$rs, &$cht_smry, $xfld, $yfld, $sfld, &$arsfld) {
	$initval = 0;
	if (is_array($arsfld)) { // Series field
		for ($i = 0; $i < count($arsfld); $i++) {
			$temp = array();
			$temp[0] = $rs->fields($xfld);
			$temp[1] = $arsfld[$i];
			if (trim(strval($rs->fields($sfld))) == trim(strval($arsfld[$i]))) {
				$valwrk = $rs->fields($yfld);
				if (!is_null($valwrk))
					$valwrk = (float)$valwrk;
				$temp[2] = $valwrk;
			} else {
				$temp[2] = $initval;
			}
			$cht_smry[] = $temp;
		}
	} else { // Single field
		$cht_smry[] = array($rs->fields($xfld), NULL, $rs->fields($yfld));
	}
}

// Update Chart entry
function UpdateChartEntry(&$rs, &$cht_smry, $xfld, $yfld, $sfld) {
	$cnt = count($cht_smry);
	for ($ny = 0; $ny < $cnt; $ny++) {
		if (trim(strval($cht_smry[$ny][0])) == trim(strval($rs->fields($xfld)))) {
			if ($sfld <> "") {
				$bMatch = (trim(strval($cht_smry[$ny][1])) == trim(strval($rs->fields($sfld))));
			} else {
				$bMatch = TRUE;
			}
			if ($bMatch) {
				$valwrk = $rs->fields($yfld);
				if (!is_null($valwrk))
					$valwrk = (float)$valwrk;
				$cht_smry[$ny][2] = ewrpt_SummaryValue($cht_smry[$ny][2], $valwrk, "SUM"); // accumulate Y
				return TRUE;
			}
		}
	}
	return FALSE;
}
?>
