/***********************************************
* Required field(s) validation

:::USAGE:::
fieldRequired 		= Array("txtCentreID","txtCentreName","txtEmail_1","txtEmail_2")
fieldDescription 	= Array("Centre ID", "Centre Name","Email 1","Email 2")
fieldEmails 		= Array("txtEmail_1","txtEmail_2");

Function call: formCheck("form object", "weather the form as any emails?")
<form onSubmit="return formCheck(this,1);" action..... ></form>
***********************************************/
var fieldRequired
var fieldDescription
var fieldEmails
var focusElement;
var skipFocus=false;
var Flag;

function formCheck(formobj,hasEmail)
{
	focusElement=0;
	
	// dialog message
	var alertMsg = "Please complete the following fields:	\n\n";

	var l_Msg = alertMsg.length;
	var FR_Length = fieldRequired.length;
	
	if(hasEmail==1)
	{
		var eml_Length = fieldEmails.length;
	}
	
	for (var i = 0; i < FR_Length; i++)
	{
		var obj = formobj.elements[fieldRequired[i]];
	
		if (obj)
		{
			switch(obj.type)
			{
				case "select-one":
					if (obj.selectedIndex == -1 || obj.options[obj.selectedIndex].value == "")
					{
						alertMsg += " - " + fieldDescription[i] + "\n";
						
						if(focusElement==0)
						{	
							//alert(obj);
							focusElement = obj;
							//alert(focusElement);	
						}
						
					}
					break;
					
				case "select-multiple":
					if (obj.selectedIndex == -1)
					{
						alertMsg += " - " + fieldDescription[i] + "\n";
						
						if(focusElement==0)
						{	
							//alert(obj);
							focusElement = obj;
							//alert(focusElement);	
						}
					}
					break;
					
				case "text":
				case "textarea":
					if (obj.value == "" || obj.value == null)
					{
						alertMsg += " - " + fieldDescription[i] + "\n";
						
						if(focusElement==0)
						{	
							//alert(obj);
							focusElement = obj;
							//alert(focusElement);	
						}
					}
					break;
		
				default:
			}	//end of switch case
		
			if (obj.type == undefined)
			{
				var blnchecked = false;
				for (var j = 0; j < obj.length; j++)
				{
					if (obj[j].checked)
					{
						blnchecked = true;
					}
				}
	
				if (!blnchecked)
				{
					skipFocus=true;
					alertMsg += " - " + fieldDescription[i] + "\n";
				}
			} //end of if block
		} //end of 'if (obj)' block
	} // end of For Block
	
	
	if (alertMsg.length == l_Msg)
	{
		if(hasEmail==1)
		{
			return checkEmail(formobj,eml_Length);
		}
		//alert("form submitted!")
		return true;
	}
	else
	{
		alert(alertMsg);
		
		
		if(skipFocus!=true){
			focusElement.focus();
		}
		return false;
	}
}


/***********************************************
* Email validation
***********************************************/
function checkEmail(myForm,how_many_emls) 
{
	for (var i = 0; i < how_many_emls; i++)
	{
		var obj = myForm.elements[fieldEmails[i]];
	
		if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(obj.value))
		{
			return (true)
		}
		alert("Invalid Email Address! Please re-enter.")
		if(focusElement==0)
		{	
			//alert(obj);
			focusElement = obj;
			//alert(focusElement);	
		}
		
		return (false)
	}
}


/*
USAGE:  onKeyPress="resrictInput(this);"
*/
function resrictInput(oElm)
{
	event.keyCode = 0;
	alert("ERROR!! You can not modify the data in this field.");

}

function restrict2Digits(oElm)
{
	if (window.event.keyCode < 46 || window.event.keyCode > 57) 
		window.event.keyCode = 0;
}

function restrict2Digits_noPeriod(oElm)
{
	if (window.event.keyCode < 48 || window.event.keyCode > 57) 
		window.event.keyCode = 0;
}


function IsNumeric(sText)
{
	var ValidChars = "0123456789.";
	var IsNumber=true;
	var Char;
	for (i = 0; i < sText.length && IsNumber == true; i++) 
	{ 
		Char = sText.charAt(i); 
		//alert(Char);
		if (ValidChars.indexOf(Char) == -1) 
		{
			IsNumber = false;
		}
	}
	return IsNumber; 
}

//*******************************************************************************
function chkIsNumeric(txtmobileno)
{
	var len;
	var stext = txtmobileno.value
	len  = stext.length;
	//alert(len);
	var Char = stext.charAt(eval(len)-1);
	//alert(Char);
	Flag = false;
	var numbers = Array('9','8','7','6','5','4','3','2','1','0','-','+','.');
	//alert(numbers.length);
	if(len==0)
	{
		Flag = true;
	}
	else
	{
		for(var i=0;i<numbers.length;i++)
		{
			//alert(Char + "  " + numbers[i]);
			if(Char == numbers[i])
			{
				Flag = true;
				return true;
			}
		}
	}
	if(Flag==false)
	{
		alert('Please Enter Numbers');
		txtmobileno.value = "";
		txtmobileno.focus();
		return false;
	}
}
//*******************************************************************************


/********************* JAVASCRIPT TRIM / LTRIM / RTIME FUNCTIONS ******************/
//USAGE:: if(jsTrim(oDPercentage.value) !="")
function jsTrim(TRIM_VALUE)
{
	if(TRIM_VALUE.length < 1)
	{
		return "";
	}

	TRIM_VALUE = jsRTrim(TRIM_VALUE);
	TRIM_VALUE = jsLTrim(TRIM_VALUE);
	if(TRIM_VALUE==""){
		return "";
	}
	else{
		return TRIM_VALUE;
	}
} //End Function

function jsRTrim(VALUE)
{
	var w_space = String.fromCharCode(32);
	var v_length = VALUE.length;
	var strTemp = "";
	if(v_length < 0)
	{
		return "";
	}
	
	var iTemp = v_length -1;

	while(iTemp > -1)
	{
		if(VALUE.charAt(iTemp) == w_space){
		}
		else{
			strTemp = VALUE.substring(0,iTemp +1);
			break;
		}
		iTemp = iTemp-1;
	} //End While
	return strTemp;
} //End Function

function jsLTrim(VALUE)
{
	var w_space = String.fromCharCode(32);
	if(v_length < 1)
	{
		return "";
	}

	var v_length = VALUE.length;
	var strTemp = "";
	var iTemp = 0;

	while(iTemp < v_length)
	{
		if(VALUE.charAt(iTemp) == w_space){
		}
		else
		{
			strTemp = VALUE.substring(iTemp,v_length);
			break;
		}
		iTemp = iTemp + 1;
	} //End While
	return strTemp;
} //End Function

/*****************************************************/


/**
 * DHTML email validation script. Courtesy of SmartWebby.com (http://www.smartwebby.com/dhtml/)
 */

function echeck(str) {

		var at="@"
		var dot="."
		var lat=str.indexOf(at)
		var lstr=str.length
		var ldot=str.indexOf(dot)
		if (str.indexOf(at)==-1){
		   alert("Invalid E-mail ID")
		   return false
		}

		if (str.indexOf(at)==-1 || str.indexOf(at)==0 || str.indexOf(at)==lstr){
		   alert("Invalid E-mail ID")
		   return false
		}

		if (str.indexOf(dot)==-1 || str.indexOf(dot)==0 || str.indexOf(dot)==lstr){
		    alert("Invalid E-mail ID")
		    return false
		}

		 if (str.indexOf(at,(lat+1))!=-1){
		    alert("Invalid E-mail ID")
		    return false
		 }

		 if (str.substring(lat-1,lat)==dot || str.substring(lat+1,lat+2)==dot){
		    alert("Invalid E-mail ID")
		    return false
		 }

		 if (str.indexOf(dot,(lat+2))==-1){
		    alert("Invalid E-mail ID")
		    return false
		 }
		
		 if (str.indexOf(" ")!=-1){
		    alert("Invalid E-mail ID")
		    return false
		 }

 		 return true					
	}

function ValidateForm(){
	var emailID=document.frmDetails.txtEmailID
	
	if ((emailID.value==null)||(emailID.value=="")){
		alert("Please Enter your Email ID")
		emailID.focus()
		return false
	}
	if (echeck(emailID.value)==false){
		emailID.value=""
		emailID.focus()
		return false
	}
	return true
 }
