<?php
session_start();
ob_start();
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php include "phprptinc/ewrcfg2.php"; ?>
<?php include "phprptinc/ewmysql.php"; ?>
<?php include "phprptinc/ewrfn2.php"; ?>
<?php include "phprptinc/ewrsecu2.php"; ?>
<?php

// Table level constants
define("EW_REPORT_TABLE_VAR", "Crosstab1", TRUE);
define("EW_REPORT_TABLE_GROUP_PER_PAGE", "grpperpage", TRUE);
define("EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE", "Crosstab1_grpperpage", TRUE);
define("EW_REPORT_TABLE_START_GROUP", "start", TRUE);
define("EW_REPORT_TABLE_SESSION_START_GROUP", "Crosstab1_start", TRUE);
define("EW_REPORT_TABLE_SESSION_SEARCH", "Crosstab1_search", TRUE);
define("EW_REPORT_TABLE_CHILD_USER_ID", "childuserid", TRUE);
define("EW_REPORT_TABLE_SESSION_CHILD_USER_ID", "Crosstab1_childuserid", TRUE);

// Table level SQL
define("EW_REPORT_TABLE_REPORT_SUMMARY_TYPE", "SUM", TRUE);
define("EW_REPORT_TABLE_REPORT_COLUMN_CAPTIONS", "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec", TRUE);
define("EW_REPORT_TABLE_REPORT_COLUMN_NAMES", "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec", TRUE);
$EW_REPORT_TABLE_SQL_TRANSFORM = "";
$EW_REPORT_TABLE_SQL_FROM = "tblclient INNER JOIN tblprojects ON (tblclient.clientID = tblprojects.clientID) INNER JOIN tblnccontracts ON (tblprojects.ncContractID = tblnccontracts.ncContractID) INNER JOIN tblproductgrp ON (tblprojects.productGroupID = tblproductgrp.productID) INNER JOIN tbllocation ON (tblprojects.locationID = tbllocation.locationID) INNER JOIN tbltimesheet ON (tbltimesheet.clientID = tblprojects.clientID) AND (tbltimesheet.projectID = tblprojects.projectID) INNER JOIN tblusers ON (tbltimesheet.userID = tblusers.userID)";
$EW_REPORT_TABLE_SQL_SELECT = "SELECT `Uname`, tblclient.clientName AS `clientName`, tblprojects.projectName AS `projectName`, Year(`date`) AS Year__date, SUM(`hours`*IF(MONTH(`date`)=1,1,0)) AS `Jan`, SUM(`hours`*IF(MONTH(`date`)=2,1,0)) AS `Feb`, SUM(`hours`*IF(MONTH(`date`)=3,1,0)) AS `Mar`, SUM(`hours`*IF(MONTH(`date`)=4,1,0)) AS `Apr`, SUM(`hours`*IF(MONTH(`date`)=5,1,0)) AS `May`, SUM(`hours`*IF(MONTH(`date`)=6,1,0)) AS `Jun`, SUM(`hours`*IF(MONTH(`date`)=7,1,0)) AS `Jul`, SUM(`hours`*IF(MONTH(`date`)=8,1,0)) AS `Aug`, SUM(`hours`*IF(MONTH(`date`)=9,1,0)) AS `Sep`, SUM(`hours`*IF(MONTH(`date`)=10,1,0)) AS `Oct`, SUM(`hours`*IF(MONTH(`date`)=11,1,0)) AS `Nov`, SUM(`hours`*IF(MONTH(`date`)=12,1,0)) AS `Dec` FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_TABLE_SQL_WHERE = "";
$EW_REPORT_TABLE_SQL_GROUPBY = "`Uname`, tblclient.clientName, tblprojects.projectName, Year(`date`)";
$EW_REPORT_TABLE_SQL_HAVING = "";
$EW_REPORT_TABLE_SQL_ORDERBY = "`Uname` ASC, tblclient.clientName ASC, tblprojects.projectName ASC, Year(`date`)";
$EW_REPORT_TABLE_SQL_PIVOT = "";
$EW_REPORT_TABLE_SQL_USERID_FILTER = "";
$af_Uname = NULL; // Popup filter for Uname
$af_projectName = NULL; // Popup filter for projectName
$af_clientName = NULL; // Popup filter for clientName
$af_date = NULL; // Popup filter for date
$af_hours = NULL; // Popup filter for hours
?>
<?php
$sExport = @$_GET["export"]; // Load export request
if ($sExport == "html") {

	// Printer friendly
}
if ($sExport == "excel") {
	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.xls');
}
if ($sExport == "word") {
	header('Content-Type: application/vnd.ms-word');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.doc');
}
?>
<?php

// Initialize common variables
// Paging variables

$nRecCount = 0; // Record count
$nStartGrp = 0; // Start group
$nStopGrp = 0; // Stop group
$nTotalGrps = 0; // Total groups
$nGrpCount = 0; // Group count
$nDisplayGrps = 3; // Groups per page
$nGrpRange = 10;

// Clear field for ext filter
$sClearExtFilter = "";

// Dropdown filters
// Extended filters
// Custom filters

$ewrpt_CustomFilters = array();
?>
<?php
$EW_REPORT_FIELD_UNAME_SQL_SELECT = "SELECT DISTINCT `Uname` FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_UNAME_SQL_ORDERBY = "`Uname`";
$EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT = "SELECT DISTINCT tblclient.clientName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY = "tblclient.clientName";
$EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT = "SELECT DISTINCT tblprojects.projectName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY = "tblprojects.projectName";
?>
<?php
define("EW_REPORT_TABLE_YEAR_SQL", "SELECT DISTINCT Year(`date`) AS Year__date FROM tblclient INNER JOIN tblprojects ON (tblclient.clientID = tblprojects.clientID) INNER JOIN tblnccontracts ON (tblprojects.ncContractID = tblnccontracts.ncContractID) INNER JOIN tblproductgrp ON (tblprojects.productGroupID = tblproductgrp.productID) INNER JOIN tbllocation ON (tblprojects.locationID = tbllocation.locationID) INNER JOIN tbltimesheet ON (tbltimesheet.clientID = tblprojects.clientID) AND (tbltimesheet.projectID = tblprojects.projectID) INNER JOIN tblusers ON (tbltimesheet.userID = tblusers.userID) ORDER BY Year(`date`)", TRUE);
?>
<?php

// Static group variables
$x_Uname = NULL;
$o_Uname = NULL;
$t_Uname = NULL;
$g_Uname = NULL;
$ft_Uname = 200;
$rf_Uname = NULL;
$rt_Uname = NULL;
$x_clientName = NULL;
$o_clientName = NULL;
$t_clientName = NULL;
$g_clientName = NULL;
$ft_clientName = 200;
$rf_clientName = NULL;
$rt_clientName = NULL;
$x_projectName = NULL;
$o_projectName = NULL;
$t_projectName = NULL;
$g_projectName = NULL;
$ft_projectName = 200;
$rf_projectName = NULL;
$rt_projectName = NULL;

// Column variables
$x_date = NULL;
$ft_date = 133;
$rf_date = NULL;
$rt_date = NULL;
$ft_Year__date = 3;
$af_Year__date = NULL;

// Summary variables
$x_hours = NULL;
?>
<?php

// Chart configuration parameters
$Consolidated_Timesheet_Chart_cht_parms = array(); // Store all chart parameters

// Chart data
$Consolidated_Timesheet_Chart_cht_index = NULL;
$Consolidated_Timesheet_Chart_cht_id = NULL;
$Consolidated_Timesheet_Chart_cht_smry = NULL;
$Consolidated_Timesheet_Chart_cht_XFld = NULL;
$Consolidated_Timesheet_Chart_cht_YFld = NULL;
$Consolidated_Timesheet_Chart_cht_YFldBase = NULL;
$Consolidated_Timesheet_Chart_cht_XFld = 'Uname';
$Consolidated_Timesheet_Chart_cht_YFld = 'hours';
$Consolidated_Timesheet_Chart_cht_YFldBase = 4;
$Consolidated_Timesheet_Chart_cht_XDateFld = '';
$Consolidated_Timesheet_Chart_cht_SFld = '';
$Consolidated_Timesheet_Chart_cht_SFldAr = NULL;
?>
<?php
$Consolidated_Timesheet_Chart_cht_trends = array(); // Store all chart trendlines
?>
<?php

// Open connection to the database
$conn = ewrpt_Connect();

// Filter
$sFilter = "";
$sButtonImage = "";
$sDivDisplay = FALSE;
$sSort = "";

// Set up groups per page dynamically
SetUpDisplayGrps();

// Popup values and selections
$sel_Uname = "";
$seld_Uname = "";
$val_Uname = "";
$sel_clientName = "";
$seld_clientName = "";
$val_clientName = "";
$sel_projectName = "";
$seld_projectName = "";
$val_projectName = "";
$sel_date = NULL;
$seld_date = NULL;
$val_date = NULL;
$sel_Year__date = NULL;
$seld_Year__date = NULL;
$val_Year__date = NULL;

// Load default filter values
LoadDefaultFilters();

// Set up popup filter
SetupPopup();

// Load columns to array
GetColumns();

// Extended filter
$sExtendedFilter = "";

// Add year filter
if ($sel_Year__date <> "") {
	if ($sFilter <> "") $sFilter .= " AND ";
	$sFilter .= "Year(`date`) = " . $sel_Year__date;
}

// No extended filter
$sExtendedFilter = $sFilter;

// Check if filter applied
$bFilterApplied = CheckFilter();

// Build SQL
$sSql = ewrpt_BuildReportSql($EW_REPORT_TABLE_SQL_TRANSFORM, $EW_REPORT_TABLE_SQL_SELECT, $EW_REPORT_TABLE_SQL_WHERE, $EW_REPORT_TABLE_SQL_GROUPBY, "", $EW_REPORT_TABLE_SQL_ORDERBY, $EW_REPORT_TABLE_SQL_PIVOT, $sExtendedFilter, @$sSort);

// Load recordset
$rs = $conn->Execute($sSql);
$rscnt = ($rs) ? $rs->RecordCount() : 0;

// Init report data
InitReportData($rs);
if ($nDisplayGrps <= 0) // Display all groups
	$nDisplayGrps = $nTotalGrps;
$nStartGrp = 1;

// Set up start position if not export all
if (!(EW_REPORT_EXPORT_ALL && @$sExport <> ""))
	SetUpStartGroup();
?>
<?php include "phprptinc/header.php"; ?>
<?php if (@$sExport == "") { ?>
<script type="text/javascript">
var ewrpt_DateSep = "/";
</script>
<script type="text/javascript" src="phprptjs/ewrpt.js"></script>
<script type="text/javascript">

function ewrpt_ValidateExtFilter(form_obj) {
	return true;
}
</script>
<?php } ?>
<?php if (@$sExport == "") { ?>
<script src="phprptjs/x/x_core.js" type="text/javascript"></script>
<script src="phprptjs/x/x_event.js" type="text/javascript"></script>
<script src="phprptjs/x/x_drag.js" type="text/javascript"></script>
<script src="phprptjs/popup.js" type="text/javascript"></script>
<script src="phprptjs/ewrptpop.js" type="text/javascript"></script>
<script src="FusionChartsFree/JSClass/FusionCharts.js" type="text/javascript"></script>
<script type="text/javascript">
var EW_REPORT_POPUP_ALL = "(All)";
var EW_REPORT_POPUP_OK = "  OK  ";
var EW_REPORT_POPUP_CANCEL = "Cancel";
var EW_REPORT_POPUP_FROM = "From";
var EW_REPORT_POPUP_TO = "To";
var EW_REPORT_POPUP_PLEASE_SELECT = "Please Select";
var EW_REPORT_POPUP_NO_VALUE = "No value selected!";

// popup fields
<?php $jsdata = ewrpt_GetJsData($val_Uname, $sel_Uname, $ft_Uname) ?>
ewrpt_CreatePopup("Crosstab1_Uname", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_clientName, $sel_clientName, $ft_clientName) ?>
ewrpt_CreatePopup("Crosstab1_clientName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_projectName, $sel_projectName, $ft_projectName) ?>
ewrpt_CreatePopup("Crosstab1_projectName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_date, $sel_date, $ft_date) ?>
ewrpt_CreatePopup("Crosstab1_date", [<?php echo $jsdata ?>]);
</script>
<div id="Crosstab1_Uname_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="Crosstab1_clientName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="Crosstab1_projectName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="Crosstab1_date_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<!-- Table container (begin) -->
<table id="ewContainer" cellspacing="0" cellpadding="0" border="0">
<!-- Top container (begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewTop" class="phpreportmaker">
<!-- top slot -->
<a name="top"></a>
<?php } ?>
Consolidated Timesheet
<?php if (@$sExport == "") { ?>
&nbsp;&nbsp;<a href="Crosstab1ctb.php?export=html">Printer Friendly</a>
&nbsp;&nbsp;<a href="Crosstab1ctb.php?export=excel">Export to Excel</a>
&nbsp;&nbsp;<a href="Crosstab1ctb.php?export=word">Export to Word</a>
<?php if ($bFilterApplied) { ?>
&nbsp;&nbsp;<a href="Crosstab1ctb.php?cmd=reset">Reset All Filters</a>
<?php } ?>
<?php } ?>
<br />
<br />
<?php if (@$sExport == "") { ?>
</div></td></tr>
<!-- Top container (end) -->
<tr>
	<!-- Left container (begin) -->
	<td valign="top"><div id="ewLeft" class="phpreportmaker">
	<!-- left slot -->
	</div></td>
	<!-- Left container (end) -->
	<!-- Center container (report) (begin) -->
	<td valign="top" class="ewPadding"><div id="ewCenter" class="phpreportmaker">
	<!-- center slot -->
<?php } ?>
<!-- crosstab report starts -->
<div id="report_crosstab">
<?php if (@$sExport == "") { ?>
<?php
if (EW_REPORT_FILTER_PANEL_OPTION == 2 || (EW_REPORT_FILTER_PANEL_OPTION == 3 && $bFilterApplied) || $sExtendedFilter == "0=101") {
	$sButtonImage = "phprptimages/collapse.gif";
	$sDivDisplay = "";
} else {
	$sButtonImage = "phprptimages/expand.gif";
	$sDivDisplay = " style=\"display: none;\"";
}
?>
<a href="javascript:ewrpt_ToggleFilterPanel();" style="text-decoration: none;"><img id="ewrptToggleFilterImg" src="<?php echo $sButtonImage ?>" alt="" width="9" height="9" border="0"></a><span class="phpreportmaker">&nbsp;Filters</span><br /><br />
<div id="ewrptExtFilterPanel"<?php echo $sDivDisplay ?>>
<!-- Search form (begin) -->
<form name="fCrosstab1crosstabfilter" id="fCrosstab1crosstabfilter" action="Crosstab1ctb.php" onSubmit="return ewrpt_ValidateExtFilter(this);">
<table class="ewRptExtFilter">
<!-- Year selection -->
<tr><td><span class="phpreportmaker">Year</span></td><td></td><td colspan="4"><span class="phpreportmaker">
<select name="Year__date" onchange="this.form.submit();">
<?php

// Set up array
if (is_array($val_Year__date)) {
	for ($yearIdx = 0; $yearIdx < count($val_Year__date); $yearIdx++) {
		$yearValue = $val_Year__date[$yearIdx];
		$yearSelected = (strval($yearValue) == strval($sel_Year__date)) ? " selected" : "";
?>
<option value="<?php echo $yearValue ?>"<?php echo $yearSelected ?>><?php echo $yearValue ?></option>
<?php
	}
}
?>
</select>
</span></td></tr>
</table>
</form>
<!-- Search form (end) -->
</div>
<br />
<?php } ?>
<?php if (defined("EW_REPORT_SHOW_CURRENT_FILTER")) { ?>
<div id="ewrptFilterList">
<?php ShowFilterList() ?>
</div>
<br />
<?php } ?>
<!-- Report grid (begin) -->
<table id="ewReport" class="ewTable">
	<!-- Table header -->
	<tr class="ewTableRow">
		<td colspan="3" nowrap><div class="phpreportmaker"></div></td>
		<td class="ewRptColHeader" colspan="<?php echo @$ncolspan; ?>" nowrap>
			Month
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'Crosstab1_date', true, '<?php echo $rf_date; ?>', '<?php echo $rt_date; ?>');return false;" name="x_date" id="x_date"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
	</tr>
	<tr>
		<td class="ewRptGrpHeader1">
			User Name
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'Crosstab1_Uname', false, '<?php echo $rf_Uname; ?>', '<?php echo $rt_Uname; ?>');return false;" name="x_Uname" id="x_Uname"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
		<td class="ewRptGrpHeader2">
			Client Name
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'Crosstab1_clientName', false, '<?php echo $rf_clientName; ?>', '<?php echo $rt_clientName; ?>');return false;" name="x_clientName" id="x_clientName"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
		<td class="ewRptGrpHeader3">
			Project Name
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'Crosstab1_projectName', false, '<?php echo $rf_projectName; ?>', '<?php echo $rt_projectName; ?>');return false;" name="x_projectName" id="x_projectName"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
<!-- Dynamic columns begin -->
	<?php
	for ($iy = 1; $iy < count($val); $iy++) {
		if ($col[$iy][2]) {
			$x_date = $col[$iy][1];
	?>
		<td class="ewTableHeader" valign="top">
<?php echo $x_date ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
		<?php $x_date = "Total"; ?>
		<td class="ewTableHeader" valign="top">
<?php echo $x_date ?>
</td>
	</tr>
<?php
if ($nTotalGrps > 0) {

// Set the last group to display if not export all
if (EW_REPORT_EXPORT_ALL && @$sExport <> "") {
	$nStopGrp = $nTotalGrps;
} else {
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
}

// Stop group <= total number of groups
if (intval($nStopGrp) > intval($nTotalGrps)) {
	$nStopGrp = $nTotalGrps;
}

// Navigate
$grpvalue = "";
$nRecCount = 0;

// Get first row
if ($rscnt > 0) {
	GetRow(1);
	$nGrpCount = 1;
}
while ($rs && !$rs->EOF) {

	// Process groups
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
		$nRecCount++;

		// Set row color
		$sItemRowClass = " class=\"ewTableRow\"";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1)
			$sItemRowClass = " class=\"ewTableAltRow\"";

		// Show group values
		$g_Uname = $x_Uname;
		if ($x_Uname <> "" && $o_Uname == $x_Uname && !ChkLvlBreak(1)) {
			$g_Uname = "";
		} elseif (is_null($x_Uname)) {
			$g_Uname = EW_REPORT_NULL_LABEL;
		} elseif ($x_Uname == "") {
			$g_Uname = EW_REPORT_EMPTY_LABEL;
		}
		$g_clientName = $x_clientName;
		if ($x_clientName <> "" && $o_clientName == $x_clientName && !ChkLvlBreak(2)) {
			$g_clientName = "";
		} elseif (is_null($x_clientName)) {
			$g_clientName = EW_REPORT_NULL_LABEL;
		} elseif ($x_clientName == "") {
			$g_clientName = EW_REPORT_EMPTY_LABEL;
		}
		$g_projectName = $x_projectName;
		if ($x_projectName <> "" && $o_projectName == $x_projectName && !ChkLvlBreak(3)) {
			$g_projectName = "";
		} elseif (is_null($x_projectName)) {
			$g_projectName = EW_REPORT_NULL_LABEL;
		} elseif ($x_projectName == "") {
			$g_projectName = EW_REPORT_EMPTY_LABEL;
		}
?>
	<!-- Data -->
	<tr<?php echo $sItemRowClass; ?>>
		<!-- Uname -->
		<td class="ewRptGrpField1"><?php $t_Uname = $x_Uname; $x_Uname = $g_Uname; ?>
<?php echo $x_Uname ?>
<?php $x_Uname = $t_Uname; ?></td>
		<!-- Client Name -->
		<td class="ewRptGrpField2"><?php $t_clientName = $x_clientName; $x_clientName = $g_clientName; ?>
<?php echo $x_clientName ?>
<?php $x_clientName = $t_clientName; ?></td>
		<!-- Project Name -->
		<td class="ewRptGrpField3"><?php $t_projectName = $x_projectName; $x_projectName = $g_projectName; ?>
<?php echo $x_projectName ?>
<?php $x_projectName = $t_projectName; ?></td>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy < count($val); $iy++) {
		if ($col[$iy][2]) {
			$rowval = $val[$iy];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $val[$iy];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php echo $x_hours ?>
</td>
	</tr>
<?php

		// Accumulate page summary
		AccumulateSummary();
	}

	// Accumulate grand summary
	AccumulateGrandSummary();

	// Save old group values
	$o_Uname = $x_Uname;
	$o_clientName = $x_clientName;
	$o_projectName = $x_projectName;

	// Get next record
	GetRow(2);
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
?>
<?php

		// Process summary level 2
		if (ChkLvlBreak(2)) {
?>
	<!-- Summary Client Name (level 2) -->
	<tr>
		<td class="ewRptGrpField1"></td>
		<?php $t_clientName = $x_clientName; $x_clientName = $o_clientName; ?>
		<td class="ewRptGrpSummary2" colspan="2">Summary for Client Name: 
<?php echo $x_clientName ?>
</td>
		<?php $x_clientName = $t_clientName; ?>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][2];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][2];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td class="ewRptGrpSummary2">
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td class="ewRptGrpSummary2">
<?php echo $x_hours ?>
</td>
	</tr>
<?php

			// Reset level 2 summary
			ResetLevelSummary(2);
		}
?>
<?php

		// Process summary level 1
		if (ChkLvlBreak(1)) {
?>
	<!-- Summary Uname (level 1) -->
	<tr>
		<?php $t_Uname = $x_Uname; $x_Uname = $o_Uname; ?>
		<td class="ewRptGrpSummary1" colspan="3">Summary for Uname: 
<?php echo $x_Uname ?>
</td>
		<?php $x_Uname = $t_Uname; ?>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][1];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][1];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td class="ewRptGrpSummary1">
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td class="ewRptGrpSummary1">
<?php echo $x_hours ?>
</td>
	</tr>
<?php

			// Reset level 1 summary
			ResetLevelSummary(1);
		}
?>
<?php
	}

	// Increment group count
	if (ChkLvlBreak(1))
		$nGrpCount++;
}
?>
	<!-- Page Summary -->
	<tr class="ewRptPageSummary">
	<td colspan="3">Page Total</td>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][0];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][0];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php echo $x_hours ?>
</td>
	</tr>
	<!-- Grand Total -->
	<tr class="ewRptGrandSummary">
	<td colspan="3">Grand Total</td>
<!-- Dynamic columns begin -->
	<?php 
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $grandsmry[$iy];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $grandsmry[$iy];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php echo $x_hours ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php echo $x_hours ?>
</td>
	</tr>
<?php } ?>
</table>
<br />
<?php if (@$sExport == "") { ?>
<form action="Crosstab1ctb.php" name="ewpagerform" id="ewpagerform">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td nowrap>
<?php
if ($nTotalGrps > 0) {
	$rsEof = ($nTotalGrps < ($nStartGrp + $nDisplayGrps));
	$PrevStart = $nStartGrp - $nDisplayGrps;
	if ($PrevStart < 1)
		$PrevStart = 1;
	$NextStart = $nStartGrp + $nDisplayGrps;
	if ($NextStart > $nTotalGrps)
		$NextStart = $nStartGrp;
	$LastStart = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpreportmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartGrp == 1) { ?>
	<td><img src="phprptimages/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="Crosstab1ctb.php?start=1"><img src="phprptimages/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartGrp) { ?>
	<td><img src="phprptimages/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="Crosstab1ctb.php?start=<?php echo $PrevStart; ?>"><img src="phprptimages/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartGrp-1)/$nDisplayGrps+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartGrp) { ?>
	<td><img src="phprptimages/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="Crosstab1ctb.php?start=<?php echo $NextStart; ?>"><img src="phprptimages/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartGrp) { ?>
	<td><img src="phprptimages/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="Crosstab1ctb.php?start=<?php echo $LastStart; ?>"><img src="phprptimages/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpreportmaker">&nbsp;of <?php echo intval(($nTotalGrps-1)/$nDisplayGrps+1);?></span></td>
	</tr></table>
	<?php
	if ($nStartGrp > $nTotalGrps)
		$nStartGrp = $nTotalGrps;
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
	$nGrpCount = $nTotalGrps - 1;
	if ($rsEof)
		$nGrpCount = $nTotalGrps;
	if ($nStopGrp > $nGrpCount)
		$nStopGrp = $nGrpCount; ?>
	<span class="phpreportmaker"> <?php echo $nStartGrp; ?> to <?php echo $nStopGrp; ?> of <?php echo $nTotalGrps; ?></span>
<?php } else { ?>
	<?php if ($sExtendedFilter == "0=101") { ?>
	<span class="phpreportmaker">Please enter search criteria</span>
	<?php } else { ?>
	<span class="phpreportmaker">No records found</span>
	<?php } ?>
<?php } ?>
		</td>
<?php if ($nTotalGrps > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpreportmaker">Groups Per Page&nbsp;
<select name="<?php echo EW_REPORT_TABLE_GROUP_PER_PAGE; ?>" onChange="this.form.submit();" class="phpreportmaker">
<option value="1"<?php if ($nDisplayGrps == 1) echo " selected" ?>>1</option>
<option value="2"<?php if ($nDisplayGrps == 2) echo " selected" ?>>2</option>
<option value="3"<?php if ($nDisplayGrps == 3) echo " selected" ?>>3</option>
<option value="4"<?php if ($nDisplayGrps == 4) echo " selected" ?>>4</option>
<option value="5"<?php if ($nDisplayGrps == 5) echo " selected" ?>>5</option>
<option value="10"<?php if ($nDisplayGrps == 10) echo " selected" ?>>10</option>
<option value="20"<?php if ($nDisplayGrps == 20) echo " selected" ?>>20</option>
<option value="50"<?php if ($nDisplayGrps == 50) echo " selected" ?>>50</option>
<option value="ALL"<?php if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] == -1) echo " selected" ?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
</div>
<!-- Crosstab report ends -->
<?php if (@$sExport == "") { ?>
	</div><br /></td>
	<!-- Center container (report) (end) -->
	<!-- Right container (begin) -->
	<td valign="top"><div id="ewRight" class="phpreportmaker">
	<!-- right slot -->
	</div></td>
	<!-- Right container (end) -->
</tr>
<!-- Bottom container (begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewBottom" class="phpreportmaker">
	<!-- bottom slot -->
<a name="cht_Consolidated_Timesheet_Chart"></a>
<div id="div_Crosstab1_Consolidated_Timesheet_Chart"></div>
<?php

// Initialize chart data
$Consolidated_Timesheet_Chart_cht_id = "Crosstab1_Consolidated_Timesheet_Chart"; // Chart ID
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "type", "1", FALSE); // Chart type
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "bgcolor", "#FCFCFC", TRUE); // Background color
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "caption", "Consolidated Timesheet Chart", TRUE); // Chart caption
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "xaxisname", "User Name", TRUE); // X axis name
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "yaxisname", "Hours", TRUE); // Y axis name
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "shownames", "0", TRUE); // Show names
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "showvalues", "0", TRUE); // Show values
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "showhovercap", "1", TRUE); // Show hover
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "alpha", "50", FALSE); // Chart alpha
ewrpt_AddChartParam($Consolidated_Timesheet_Chart_cht_parms, "colorpalette", "#FF0000|#FF0080|#FF00FF|#8000FF|#FF8000|#FF3D3D|#7AFFFF|#0000FF|#FFFF00|#FF7A7A|#3DFFFF|#0080FF|#80FF00|#00FF00|#00FF80|#00FFFF", FALSE); // Chart color palette
?>
<?php
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "canvasBgColor", "#EEEEEE", TRUE); // canvasBgColor
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "canvasBorderColor", "#A9A9A9", TRUE); // canvasBorderColor
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showCanvasBg", "1", TRUE); // showCanvasBg
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showCanvasBase", "1", TRUE); // showCanvasBase
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showLimits", "1", TRUE); // showLimits
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "animation", "1", TRUE); // animation
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "rotateNames", "0", TRUE); // rotateNames
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "yAxisMinValue", "0", TRUE); // yAxisMinValue
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "yAxisMaxValue", "0", TRUE); // yAxisMaxValue
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showColumnShadow", "0", TRUE); // showColumnShadow
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showPercentageValues", "1", TRUE); // showPercentageValues
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showPercentageInLabel", "1", TRUE); // showPercentageInLabel
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showBarShadow", "0", TRUE); // showBarShadow
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showAnchors", "1", TRUE); // showAnchors
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showAreaBorder", "1", TRUE); // showAreaBorder
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showShadow", "1", TRUE); // showShadow
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "formatNumber", "0", TRUE); // formatNumber
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "formatNumberScale", "0", TRUE); // formatNumberScale
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "decimalSeparator", ".", TRUE); // decimalSeparator
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "thousandSeparator", ",", TRUE); // thousandSeparator
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "decimalPrecision", "2", TRUE); // decimalPrecision
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "divLineDecimalPrecision", "2", TRUE); // divLineDecimalPrecision
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "limitsDecimalPrecision", "2", TRUE); // limitsDecimalPrecision
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "zeroPlaneShowBorder", "1", TRUE); // zeroPlaneShowBorder
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "divLineColor", "#DCDCDC", TRUE); // divLineColor
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showDivLineValue", "1", TRUE); // showDivLineValue
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showAlternateHGridColor", "0", TRUE); // showAlternateHGridColor
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "showAlternateVGridColor", "0", TRUE); // showAlternateVGridColor
ewrpt_SetChartParam($Consolidated_Timesheet_Chart_cht_parms, "hoverCapSepChar", ":", TRUE); // hoverCapSepChar

// Define trend lines
?>
<?php
ewrpt_SortChartData($Consolidated_Timesheet_Chart_cht_smry, 0);
echo ewrpt_ShowChartFCF(1, $Consolidated_Timesheet_Chart_cht_id, $Consolidated_Timesheet_Chart_cht_parms, $Consolidated_Timesheet_Chart_cht_trends, $Consolidated_Timesheet_Chart_cht_smry, 550, 440, "");
?>
<a href="#top">Top</a>
<br /><br />
	</div><br /></td></tr>
<!-- Bottom container (end) -->
</table>
<!-- Table container (end) -->
<?php } ?>
<?php

// Close recordset and connection
if ($rs)
	$rs->Close();
$conn->Close();
?>
<?php include "phprptinc/footer.php"; ?>
<?php

// Get column values
function GetColumns() {
	global $conn;
	global $EW_REPORT_TABLE_SQL_SELECT;
	global $EW_REPORT_TABLE_DISTINCT_SQL_SELECT;
	global $EW_REPORT_TABLE_DISTINCT_SQL_WHERE;
	global $EW_REPORT_TABLE_DISTINCT_SQL_ORDERBY;
	global $sFilter, $sSort;
	global $ncol, $col, $val, $oval, $cnt, $smry, $grandsmry, $ncolspan;
	global $sel_date;
	global $val_date;
	global $val_Year__date;
	global $sel_Year__date;

	// Get distinct year
	$rsyear = $conn->Execute(EW_REPORT_TABLE_YEAR_SQL);
	if ($rsyear) {
		while (!$rsyear->EOF) {
			if (!is_null($rsyear->fields[0]))
				$val_Year__date[] = $rsyear->fields[0];
			$rsyear->MoveNext();
		}
		$rsyear->Close();
	}
	if (is_array($val_Year__date)) {
		if (strval($sel_Year__date) == "") {
			$sel_Year__date = $val_Year__date[0];
		}
	}
	$arColumnCaptions = explode(",", EW_REPORT_TABLE_REPORT_COLUMN_CAPTIONS);
	$arColumnNames = explode(",", EW_REPORT_TABLE_REPORT_COLUMN_NAMES);

	// Get distinct column count
	$ncol = count($arColumnNames);

	// 1st dimension = no of groups (level 0 used for grand total)
	// 2nd dimension = no of distinct values

	$nGrps = 3;
	$col = ewrpt_Init2DArray($ncol+1, 2, NULL);
	$val = ewrpt_InitArray($ncol+1, NULL);
	$oval = ewrpt_InitArray($ncol+1, NULL);
	$cnt = ewrpt_Init2DArray($ncol+1, $nGrps+1, NULL);
	$smry = ewrpt_Init2DArray($ncol+1, $nGrps+1, NULL);
	$grandsmry = ewrpt_InitArray($ncol+1, NULL);

	// Reset summary values
	ResetLevelSummary(0);
	$colcnt = 0;
	for ($colcnt = 1; $colcnt <= $ncol; $colcnt++) {
		$col[$colcnt][0] = $arColumnNames[$colcnt-1]; // Value
		$col[$colcnt][1] = $arColumnCaptions[$colcnt-1]; // Caption
		$col[$colcnt][2] = TRUE; // Visible
		$val_date[$arColumnNames[$colcnt-1]] = $arColumnCaptions[$colcnt-1];
	}

	// Get active columns
	if (!is_array($sel_date)) {
		$ncolspan = $ncol;
	} else {
		$ncolspan = 0;
		for ($i = 0; $i < count($col); $i++) {
			$bSelected = FALSE;
			for ($j = 0; $j < count($sel_date); $j++) {
				if (trim($sel_date[$j]) == trim($col[$i][0])) {
					$ncolspan++;
					$bSelected = TRUE;
					break;
				}
			}
			$col[$i][2] = $bSelected;
		}
	}
	$ncolspan++; // Add summary column
}

// Get row values
function GetRow($opt) {
	global $rs, $val;
	if (!$rs)
		return;
	if ($opt == 1) { // Get first row
		$rs->MoveFirst();
	} else { // Get next row
		$rs->MoveNext();
	}
	while (!$rs->EOF) {
		if (ValidRow($rs)) {
			$GLOBALS['x_Uname'] = $rs->fields('Uname');
			$GLOBALS['x_clientName'] = $rs->fields('clientName');
			$GLOBALS['x_projectName'] = $rs->fields('projectName');
			for ($ix = 1; $ix < count($val); $ix++)
				$val[$ix] = $rs->fields[$ix+4-1];
			break;
		} else {
			$rs->MoveNext();
		}
	}
	if ($rs->EOF) {
		$GLOBALS['x_Uname'] = "";
		$GLOBALS['x_clientName'] = "";
		$GLOBALS['x_projectName'] = "";
	}
}

// Check level break
function ChkLvlBreak($lvl) {
	switch ($lvl) {
		case 1:
			return (is_null($GLOBALS["x_Uname"]) && !is_null($GLOBALS["o_Uname"])) ||
			(!is_null($GLOBALS["x_Uname"]) && is_null($GLOBALS["o_Uname"])) ||
			($GLOBALS["x_Uname"] <> $GLOBALS["o_Uname"]);
		case 2:
			return (is_null($GLOBALS["x_clientName"]) && !is_null($GLOBALS["o_clientName"])) ||
			(!is_null($GLOBALS["x_clientName"]) && is_null($GLOBALS["o_clientName"])) ||
			($GLOBALS["x_clientName"] <> $GLOBALS["o_clientName"]) || ChkLvlBreak(1); // Recurse upper level
		case 3:
			return (is_null($GLOBALS["x_projectName"]) && !is_null($GLOBALS["o_projectName"])) ||
			(!is_null($GLOBALS["x_projectName"]) && is_null($GLOBALS["o_projectName"])) ||
			($GLOBALS["x_projectName"] <> $GLOBALS["o_projectName"]) || ChkLvlBreak(2); // Recurse upper level
	}
}

// Accummulate summary
function AccumulateSummary() {
	global $val, $cnt, $smry;
	for ($ix = 1; $ix < count($smry); $ix++) {
		for ($iy = 0; $iy < count($smry[$ix]); $iy++) {
			$valwrk = $val[$ix];
			$cnt[$ix][$iy]++;
			$smry[$ix][$iy] = ewrpt_SummaryValue($smry[$ix][$iy], $valwrk, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
		}
	}
}

// Reset level summary
function ResetLevelSummary($lvl) {

	// Clear summary values
	global $nRecCount, $cnt, $smry, $grandsmry;
	for ($ix = 1; $ix < count($smry); $ix++) {
		for ($iy = $lvl; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy] = 0;
			$smry[$ix][$iy] = 0;
		}
	}

	// Clear grand summary
	if ($lvl == 0) {
		for ($iy = 1; $iy < count($grandsmry); $iy++)
			$grandsmry[$iy] = 0;
	}

	// Reset record count
	$nRecCount = 0;
}

// Accummulate grand summary
function AccumulateGrandSummary() {
	global $val, $grandsmry;
	for ($iy = 1; $iy < count($grandsmry); $iy++) {
		$valwrk = $val[$iy];
		$grandsmry[$iy] = ewrpt_SummaryValue($grandsmry[$iy], $valwrk, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
	}
}

// Set up starting group
function SetUpStartGroup() {
	global $nStartGrp, $nTotalGrps, $nDisplayGrps;

	// Exit if no groups
	if ($nDisplayGrps == 0)
		return;

	// Check for a 'start' parameter
	if (@$_GET[EW_REPORT_TABLE_START_GROUP] != "") {
		$nStartGrp = $_GET[EW_REPORT_TABLE_START_GROUP];
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (@$_GET["pageno"] != "") {
		$nPageNo = $_GET["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartGrp = ($nPageNo-1)*$nDisplayGrps+1;
			if ($nStartGrp <= 0) {
				$nStartGrp = 1;
			} elseif ($nStartGrp >= intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1) {
				$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
			}
			$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
		} else {
			$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];	
		}
	} else {
		$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];
	}

	// Check if correct start group counter
	if (!is_numeric($nStartGrp) || $nStartGrp == "") { // Avoid invalid start group counter
		$nStartGrp = 1; // Reset start group counter
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (intval($nStartGrp) > intval($nTotalGrps)) { // Avoid starting group > total groups
		$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to last page first group
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (($nStartGrp-1) % $nDisplayGrps <> 0) {
		$nStartGrp = intval(($nStartGrp-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to page boundary
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	}
}

// Set up popup
function SetupPopup() {
	global $conn, $sFilter;

	// Build distinct values for Uname
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_UNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_UNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_Uname = $rswrk->fields[0];
		if (is_null($x_Uname)) {
			$bNullValue = TRUE;
		} elseif ($x_Uname == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_Uname = $x_Uname;
			ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], $x_Uname, $g_Uname, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for Client Name
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_clientName = $rswrk->fields[0];
		if (is_null($x_clientName)) {
			$bNullValue = TRUE;
		} elseif ($x_clientName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_clientName = $x_clientName;
			ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], $x_clientName, $g_clientName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for Project Name
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_projectName = $rswrk->fields[0];
		if (is_null($x_projectName)) {
			$bNullValue = TRUE;
		} elseif ($x_projectName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_projectName = $x_projectName;
			ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], $x_projectName, $g_projectName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Process post back form
	if (count($_POST) > 0) {
		$sName = @$_POST["popup"]; // Get popup form name
		if ($sName <> "") {
			$cntValues = (is_array(@$_POST["sel_$sName"])) ? count($_POST["sel_$sName"]) : 0;
			if ($cntValues > 0) {
				$arValues = ewrpt_StripSlashes($_POST["sel_$sName"]);
				if (trim($arValues[0]) == "") // Select all
					$arValues = EW_REPORT_INIT_VALUE;
				$_SESSION["sel_$sName"] = $arValues;
				$_SESSION["rf_$sName"] = ewrpt_StripSlashes(@$_POST["rf_$sName"]);
				$_SESSION["rt_$sName"] = ewrpt_StripSlashes(@$_POST["rt_$sName"]);
				ResetPager();
			}
		}

	// Get 'reset' command
	} elseif (@$_GET["cmd"] <> "") {
		$sCmd = $_GET["cmd"];
		if (strtolower($sCmd) == "reset") {
			ClearSessionSelection('Uname');
			ClearSessionSelection('clientName');
			ClearSessionSelection('projectName');
			$_SESSION["sel_Crosstab1_date"] = "";
			$_SESSION["rf_Crosstab1_date"] = "";
			$_SESSION["rt_Crosstab1_date"] = "";
			ResetPager();
		}
	}

	// Load selection criteria to array
	// Get Uname selected values

	if (is_array(@$_SESSION["sel_Crosstab1_Uname"])) {
		LoadSelectionFromSession('Uname');
	} elseif (@$_SESSION["sel_Crosstab1_Uname"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_Uname"] = "";
	}

	// Get Client Name selected values
	if (is_array(@$_SESSION["sel_Crosstab1_clientName"])) {
		LoadSelectionFromSession('clientName');
	} elseif (@$_SESSION["sel_Crosstab1_clientName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_clientName"] = "";
	}

	// Get Project Name selected values
	if (is_array(@$_SESSION["sel_Crosstab1_projectName"])) {
		LoadSelectionFromSession('projectName');
	} elseif (@$_SESSION["sel_Crosstab1_projectName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_projectName"] = "";
	}
	if (is_array(@$_SESSION["sel_Crosstab1_date"])) {
		$GLOBALS["sel_date"] = @$_SESSION["sel_Crosstab1_date"];
		$GLOBALS["rf_date"] = @$_SESSION["rf_Crosstab1_date"];
		$GLOBALS["rt_date"] = @$_SESSION["rt_Crosstab1_date"];
	} elseif (@$_SESSION["sel_Crosstab1_date"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_date"] = "";
	}

	// Process query string
	if (@$_GET["Year__date"] <> "") {
		$GLOBALS["x_Year__date"] = $_GET["Year__date"];
		if (is_numeric($GLOBALS["x_Year__date"])) {
			$_SESSION["sel_Crosstab1_Year__date"] = $GLOBALS["x_Year__date"];
			ResetPager();
		}
	}
	$GLOBALS["sel_Year__date"] = @$_SESSION["sel_Crosstab1_Year__date"];
}

// Reset pager
function ResetPager() {
	global $nStartGrp;

	// Reset start position (reset command)
	$nStartGrp = 1;
	$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
}

// Initialize group data - total number of groups + grouping field arrays
function InitReportData(&$rs) {
	global $conn, $nTotalGrps, $bFilterApplied, $sFilter;

	// Initialize group count
	$grpcnt = 0;
	while ($rs && !$rs->EOF) {
		$bValidRow = ValidRow($rs);
		if ($bValidRow) {
			$bNewGroup = ($grpcnt == 0) ||
				(is_null($grpvalue) && !is_null($rs->fields[0])) ||
				(!is_null($grpvalue) && is_null($rs->fields[0])) ||
				($grpvalue <> $rs->fields[0]);
			if ($bNewGroup) {
				$grpvalue = $rs->fields[0];
				$grpcnt++;
			}
		}

		// Accumulate chart data
		if ($bValidRow)
			ProcessChartData($rs);
		$rs->MoveNext();
	}

	// Set up total number of groups
	$nTotalGrps = $grpcnt;
}

// Check if row is valid
function ValidRow(&$rs) {
	if (!ewrpt_SelectedValue($GLOBALS["sel_Uname"], $rs->fields('Uname'), $GLOBALS["ft_Uname"], $GLOBALS["af_Uname"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_clientName"], $rs->fields('clientName'), $GLOBALS["ft_clientName"], $GLOBALS["af_clientName"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_projectName"], $rs->fields('projectName'), $GLOBALS["ft_projectName"], $GLOBALS["af_projectName"]))
		return FALSE;
	if (!HasColumnValues($rs)) // Rows with values
		return FALSE;
	return TRUE;
}

// Check if any column values is present
function HasColumnValues(&$rs) {
	global $col;
	for ($i = 1; $i < count($col); $i++) {
		if ($col[$i][2]) {
			if ($rs->fields[4+$i-1] <> 0) return TRUE;
		}
	}
	return FALSE;
}
?>
<?php

// Process chart data
function ProcessChartData(&$rs) {
	AccumulateChartSummary($rs, $GLOBALS["Consolidated_Timesheet_Chart_cht_smry"], $GLOBALS["Consolidated_Timesheet_Chart_cht_XFld"], $GLOBALS["Consolidated_Timesheet_Chart_cht_YFldBase"], $GLOBALS["Consolidated_Timesheet_Chart_cht_SFld"], $GLOBALS["Consolidated_Timesheet_Chart_cht_SFldAr"], "SUM");
}
?>
<?php

// Set up number of groups displayed per page
function SetUpDisplayGrps() {
	global $nDisplayGrps, $nStartGrp;
	$sWrk = @$_GET[EW_REPORT_TABLE_GROUP_PER_PAGE];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayGrps = intval($sWrk);
		} else {
			if (strtoupper($sWrk) == "ALL") { // display all groups
				$nDisplayGrps = -1;
			} else {
				$nDisplayGrps = 3; // Non-numeric, load default
			}
		}
		$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] = $nDisplayGrps; // Save to session

		// Reset start position (reset command)
		$nStartGrp = 1;
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} else {
		if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] <> "") {
			$nDisplayGrps = $_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE]; // Restore from session
		} else {
			$nDisplayGrps = 3; // Load default
		}
	}
}
?>
<?php

// Accummulate chart summary
function AccumulateChartSummary(&$rs, &$cht_smry, &$xfld, $ybase, $sfld, &$arsfld, $smrytype) {
	if (!is_array($cht_smry)) {
		AddChartEntry($rs, $cht_smry, $xfld, $ybase, $sfld, $arsfld, $smrytype);
	} else {
		if (!UpdateChartEntry($rs, $cht_smry, $xfld, $ybase, $sfld, $arsfld, $smrytype)) {
			AddChartEntry($rs, $cht_smry, $xfld, $ybase, $sfld, $arsfld, $smrytype);
		}
	}
}

// Add chart entry
function AddChartEntry(&$rs, &$cht_smry, &$xfld, $ybase, $sfld, &$arsfld, $smrytype) {
	switch ($smrytype) {
		case "SUM":
		case "COUNT":
			$initval = 0;
			break;
		case "MIN":
		case "MAX":
			$initval = NULL;
	}	
	if (is_array($xfld)) { // X = crosstab column field
		if ($sfld <> "" && is_array($arsfld)) { // Series field
			for ($i = 0; $i < count($xfld)-1; $i++) {
				for ($j = 0; $j < count($arsfld); $j++) {
					$temp = array();
					$temp[0] = $xfld[$i+1][0]; // X value
					$temp[1] = $arsfld[$j]; // Series value
					$temp[2] = $initval; // Initialize Y
					if (trim(strval($rs->fields($sfld))) == trim(strval($arsfld[$j])))
						$temp[2] = ewrpt_SummaryValue($temp[2], ColVal($rs, $ybase, $i), $smrytype); // Accum Y
					$cht_smry[] = $temp;
				}
			}
		} else { // No series field
			for ($i = 0; $i < count($xfld)-1; $i++) {
				$temp = array();
				$temp[0] = $xfld[$i+1][0]; // X value
				$temp[1] = NULL;
				$temp[2] = $initval; // Initialize Y value
				$temp[2] = ewrpt_SummaryValue($temp[2], ColVal($rs, $ybase, $i), $smrytype); // Accum Y
				$cht_smry[] = $temp;
			}
		}
	} elseif ($xfld <> "") { // X = crosstab row field
		if (is_array($sfld)) { // Column field as series field
			for ($i = 0; $i < count($sfld)-1; $i++) {
				$temp = array();
				$temp[0] = $rs->fields($xfld); // X value
				$temp[1] = $sfld[$i+1][0]; // Series value (column value)
				$temp[2] = $initval; // Initialize Y
				$temp[2] = ewrpt_SummaryValue($temp[2], ColVal($rs, $ybase, $i), $smrytype); // Accum Y
				$cht_smry[] = $temp;
			}
		} elseif ($sfld <> "" && is_array($arsfld)) { // Row field as series field
			for ($i = 0; $i < count($arsfld); $i++) {
				$temp = array();
				$temp[0] = $rs->fields($xfld); // X value
				$temp[1] = $arsfld[$i]; // Series value
				$temp[2] = $initval; // Initialize Y
				if (trim(strval($rs->fields($sfld))) == trim(strval($arsfld[$i])))
					AccumCol($rs, $ybase, $temp[2], $smrytype); // Accum Y
				$cht_smry[] = $temp;
			}
		} else { // no series field
			$temp[0] = $rs->fields($xfld); // X value
			$temp[1] = NULL;
			$temp[2] = $initval; // Initialize Y
			AccumCol($rs, $ybase, $temp[2], $smrytype); // Accum Y
			$cht_smry[] = $temp;
		}
	}
}

// Update Chart entry
function UpdateChartEntry(&$rs, &$cht_smry, &$xfld, $ybase, $sfld, &$arsfld, $smrytype) {
	if (is_array($xfld)) { // X = crosstab column field
		if ($sfld <> "" && is_array($arsfld)) { // Series field
			for ($i = 0; $i < count($cht_smry); $i++) {
				for ($j = 1; $j < count($xfld); $j++) {
					if (trim(strval($cht_smry[$i][0])) == trim(strval($xfld[$j][0])) &&
						trim(strval($cht_smry[$i][1])) == trim(strval($rs->fields($sfld)))) {
						$cht_smry[$i][2] = ewrpt_SummaryValue($cht_smry[$i][2], ColVal($rs, $ybase, $j-1), $smrytype);
					}
				}
			}
			return TRUE;
		} else { // No series field
			for ($i = 0; $i < count($xfld)-1; $i++)
				$cht_smry[$i][2] = ewrpt_SummaryValue($cht_smry[$i][2], ColVal($rs, $ybase, $i), $smrytype);
			return TRUE;
		}
	} elseif ($xfld <> "") { // X = crosstab row field / column field
		if (is_array($sfld)) { // Column field as series field
			$ny = count($sfld) - 1;
			for ($i = 0; $i < count($cht_smry)-1; $i += $ny) {
				if (trim(strval($cht_smry[$i][0])) == trim(strval($rs->fields($xfld)))) { // Matched
					for ($j = $i; $j <= $i+$ny-1; $j++)
						$cht_smry[$j][2] = ewrpt_SummaryValue($cht_smry[$j][2], ColVal($rs, $ybase, $j-$i), $smrytype); // Accumulate Y
					return TRUE;
				}
			}
		} elseif ($sfld <> "" && is_array($arsfld)) { // Row field as series field
			for ($i = 0; $i < count($cht_smry); $i++) {
				if (trim(strval($cht_smry[$i][0])) == trim(strval($rs->fields($xfld))) &&
					trim(strval($cht_smry[$i][1])) == trim(strval($rs->fields($sfld)))) {
					AccumCol($rs, $ybase, $cht_smry[$i][2], $smrytype); // Accum Y
					return TRUE;
				}
			}
		} else { // No series field
			for ($i = 0; $i < count($cht_smry); $i++) {
				if (trim(strval($cht_smry[$i][0])) == trim(strval($rs->fields($xfld)))) {
					AccumCol($rs, $ybase, $cht_smry[$i][2], $smrytype); // Accum Y
					return TRUE;
				}
			}
		}
	}
	return FALSE;
}

// Accumulate value
function AccumCol(&$rs, $ybase, &$v, $smrytype) {
	global $col;
	if (is_array($col)) {
		for ($i = 0; $i < count($col); $i++)
			$v = ewrpt_SummaryValue($v, ColVal($rs, $ybase, $i), $smrytype); // accumulate Y
	}
}

// Get field value
function ColVal(&$rs, $ybase, $yptr) {
	global $col;
	if (is_array($col)) {
		if ($yptr+1 < count($col)) {
			if ($col[$yptr+1][2]) {
				$valwrk = $rs->fields[$ybase+$yptr];
				if (!is_null($valwrk)) $valwrk = (float)$valwrk;
				return $valwrk;
			}
		}
	}
	return NULL;
}
?>
<?php

// Clear selection stored in session
function ClearSessionSelection($parm) {
	$_SESSION["sel_Crosstab1_$parm"] = "";
	$_SESSION["rf_Crosstab1_$parm"] = "";
	$_SESSION["rt_Crosstab1_$parm"] = "";
}

// Load selection from session
function LoadSelectionFromSession($parm) {
	$GLOBALS["sel_$parm"] = @$_SESSION["sel_Crosstab1_$parm"];
	$GLOBALS["rf_$parm"] = @$_SESSION["rf_Crosstab1_$parm"];
	$GLOBALS["rt_$parm"] = @$_SESSION["rt_Crosstab1_$parm"];
}

// Load default value for filters
function LoadDefaultFilters() {

	/**
	* Set up default values for dropdown filters
	*/

	/**
	* Set up default values for extended filters
	* function SetDefaultExtFilter($parm, $so1, $sv1, $sc, $so2, $sv2)
	* Parameters:
	* $parm - Field name
	* $so1 - Default search operator 1
	* $sv1 - Default ext filter value 1
	* $sc - Default search condition (if operator 2 is enabled)
	* $so2 - Default search operator 2 (if operator 2 is enabled)
	* $sv2 - Default ext filter value 2 (if operator 2 is enabled)
	*/

	/**
	* Set up default values for popup filters
	* NOTE: if extended filter is enabled, use default values in extended filter instead
	*/

	// Field Uname
	// Setup your default values for the extended filter below, e.g.
	// $seld_Uname = array("val1", "val2");

	$GLOBALS["seld_Uname"] = "";
	$GLOBALS["sel_Uname"] =  $GLOBALS["seld_Uname"];

	// Field projectName
	// Setup your default values for the extended filter below, e.g.
	// $seld_projectName = array("val1", "val2");

	$GLOBALS["seld_projectName"] = "";
	$GLOBALS["sel_projectName"] =  $GLOBALS["seld_projectName"];

	// Field clientName
	// Setup your default values for the extended filter below, e.g.
	// $seld_clientName = array("val1", "val2");

	$GLOBALS["seld_clientName"] = "";
	$GLOBALS["sel_clientName"] =  $GLOBALS["seld_clientName"];

	// Field date
	// Setup your default values for the extended filter below, e.g.
	// $seld_date = array("val1", "val2");

	$GLOBALS["seld_date"] = "";
	$GLOBALS["sel_date"] =  $GLOBALS["seld_date"];
}

// Check if filter applied
function CheckFilter() {

	// Check Uname popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_Uname"], $GLOBALS["sel_Uname"]))
		return TRUE;

	// Check projectName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_projectName"], $GLOBALS["sel_projectName"]))
		return TRUE;

	// Check clientName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_clientName"], $GLOBALS["sel_clientName"]))
		return TRUE;

	// Check date popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_date"], $GLOBALS["sel_date"]))
		return TRUE;
	return FALSE;
}

// Show list of filters
function ShowFilterList() {

	// Initialize
	$sFilterList = "";

	// Year Filter
	if (strval($GLOBALS["sel_Year__date"]) <> "") {
		$sFilterList .= "Year<br />";
		$sFilterList .= "&nbsp;&nbsp;" . $GLOBALS["sel_Year__date"] . "<br />";
	}

	// Field Uname
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_Uname"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_Uname"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Uname<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field projectName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_projectName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_projectName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Project Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field clientName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_clientName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_clientName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Client Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field date
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_date"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_date"], ", ", EW_REPORT_DATATYPE_DATE);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Month<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Show Filters
	if ($sFilterList <> "")
		echo "CURRENT FILTERS:<br />$sFilterList";
}

/**
 * Regsiter your Custom filters here
 */

// Setup custom filters
function SetupCustomFilters() {

	// 1. Register your custom filter below (see example)
	// 2. Write your custom filter function (see example fucntions: GetLastMonthFilter, GetStartsWithAFilter)

}

/**
 * Write your Custom filters here
 */

// Filter for 'Last Month' (example)
function GetLastMonthFilter($FldExpression) {
	$today = getdate();
	$lastmonth = mktime(0, 0, 0, $today['mon']-1, 1, $today['year']);
	$sVal = date("Y|m", $lastmonth);
	$sWrk = $FldExpression . " BETWEEN " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 1), EW_REPORT_DATATYPE_DATE) .
		" AND " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 2), EW_REPORT_DATATYPE_DATE);
	return $sWrk;
}

// Filter for 'Starts With A' (example)
function GetStartsWithAFilter($FldExpression) {
	return $FldExpression . " LIKE 'A%'";
}
?>
