<?php
session_start();
ob_start();
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php include "phprptinc/ewrcfg2.php"; ?>
<?php include "phprptinc/ewmysql.php"; ?>
<?php include "phprptinc/ewrfn2.php"; ?>
<?php include "phprptinc/ewrsecu2.php"; ?>
<?php
include "../Config/DateNTimeConfig.php";
if($_REQUEST['Year__date'] == "") {
	if(date('m') < $setMonthToCompare) $chkYearDT = date('Y') - 1;
	else $chkYearDT = date('Y');
}
else $chkYearDT = $_REQUEST['Year__date'];

$chkNXTYear = $chkYearDT + 1;
$startFYYearMonthDate = $chkYearDT."-04-01";
$endFYYearMonthDate = $chkNXTYear."-03-31";

// Table level constants
define("EW_REPORT_TABLE_VAR", "SampleCustomReport", TRUE);
define("EW_REPORT_TABLE_GROUP_PER_PAGE", "grpperpage", TRUE);
define("EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE", "SampleCustomReport_grpperpage", TRUE);
define("EW_REPORT_TABLE_START_GROUP", "start", TRUE);
define("EW_REPORT_TABLE_SESSION_START_GROUP", "SampleCustomReport_start", TRUE);
define("EW_REPORT_TABLE_SESSION_SEARCH", "SampleCustomReport_search", TRUE);
define("EW_REPORT_TABLE_CHILD_USER_ID", "childuserid", TRUE);
define("EW_REPORT_TABLE_SESSION_CHILD_USER_ID", "SampleCustomReport_childuserid", TRUE);

// Table level SQL
define("EW_REPORT_TABLE_REPORT_SUMMARY_TYPE", "SUM", TRUE);
define("EW_REPORT_TABLE_REPORT_COLUMN_CAPTIONS", "1st Quarter(Apr - Jun),2nd Quarter(Jul - Sep),3rd Quarter(Oct - Dec),4th Quarter(Jan - Mar)", TRUE);
define("EW_REPORT_TABLE_REPORT_COLUMN_NAMES", "Qtr1,Qtr2,Qtr3,Qtr4", TRUE);
$EW_REPORT_TABLE_SQL_TRANSFORM = "";
$EW_REPORT_TABLE_SQL_FROM = "tblclient INNER JOIN tblprojects ON (tblclient.clientID = tblprojects.clientID) LEFT JOIN tbllocation ON (tblprojects.locationID = tbllocation.locationID) LEFT JOIN tblproductgrp ON (tblprojects.productGroupID = tblproductgrp.productID) INNER JOIN tblnccontracts ON (tblprojects.ncContractID = tblnccontracts.ncContractID) INNER JOIN tbltimesheet ON (tblprojects.clientID = tbltimesheet.clientID) AND (tblprojects.projectID = tbltimesheet.projectID) INNER JOIN tblusers ON (tbltimesheet.userID = tblusers.userID)";
$EW_REPORT_TABLE_SQL_SELECT = "SELECT CONCAT(`firstName`, ' ', `lastName` ) AS `Uname`, tblclient.clientName AS `clientName`, tblprojects.projectName AS `projectName`, Year(tbltimesheet.date) AS Year__date, SUM(tbltimesheet.hours*IF(QUARTER(tbltimesheet.date)=2,1,0)) AS `Qtr1`, SUM(tbltimesheet.hours*IF(QUARTER(tbltimesheet.date)=3,1,0)) AS `Qtr2`, SUM(tbltimesheet.hours*IF(QUARTER(tbltimesheet.date)=4,1,0)) AS `Qtr3`, SUM(tbltimesheet.hours*IF(QUARTER(tbltimesheet.date)=1,1,0)) AS `Qtr4`, sum(tbltimesheet.hours*tbltimesheet.employeeRate/8) AS employeeRate FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_TABLE_SQL_WHERE = "tbltimesheet.date >= '".$startFYYearMonthDate."' AND tbltimesheet.date <= '".$endFYYearMonthDate."'";
$EW_REPORT_TABLE_SQL_GROUPBY = "`Uname`, tblclient.clientName, tblprojects.projectName";
$EW_REPORT_TABLE_SQL_HAVING = "";
$EW_REPORT_TABLE_SQL_ORDERBY = "`Uname` ASC, tblclient.clientName ASC, tblprojects.projectName ASC, Year(tbltimesheet.date)";
$EW_REPORT_TABLE_SQL_PIVOT = "";
$EW_REPORT_TABLE_SQL_USERID_FILTER = "";
$af_Uname = NULL; // Popup filter for Uname
$af_clientName = NULL; // Popup filter for clientName
$af_projectName = NULL; // Popup filter for projectName
$af_employeeRate = NULL; // Popup filter for employeeRate
$af_date = NULL; // Popup filter for date
$af_hours = NULL; // Popup filter for hours
?>
<?php
$sExport = @$_GET["export"]; // Load export request
if ($sExport == "html") {

	// Printer friendly
}
if ($sExport == "excel") {
	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.xls');
}
if ($sExport == "word") {
	header('Content-Type: application/vnd.ms-word');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.doc');
}
?>
<?php

// Initialize common variables
// Paging variables

$nRecCount = 0; // Record count
$nStartGrp = 0; // Start group
$nStopGrp = 0; // Stop group
$nTotalGrps = 0; // Total groups
$nGrpCount = 0; // Group count
$nDisplayGrps = 3; // Groups per page
$nGrpRange = 10;

// Clear field for ext filter
$sClearExtFilter = "";

// Dropdown filters
// Extended filters
// Custom filters

$ewrpt_CustomFilters = array();
?>
<?php
$EW_REPORT_FIELD_UNAME_SQL_SELECT = "SELECT DISTINCT CONCAT(`firstName`, ' ', `lastName` ) AS `Uname` FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_UNAME_SQL_ORDERBY = "`Uname`";
$EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT = "SELECT DISTINCT tblclient.clientName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY = "tblclient.clientName";
$EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT = "SELECT DISTINCT tblprojects.projectName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY = "tblprojects.projectName";
?>
<?php
define("EW_REPORT_TABLE_YEAR_SQL", "SELECT DISTINCT Year(tbltimesheet.date) AS Year__date FROM tblclient INNER JOIN tblprojects ON (tblclient.clientID = tblprojects.clientID) INNER JOIN tbllocation ON (tblprojects.locationID = tbllocation.locationID) INNER JOIN tblproductgrp ON (tblprojects.productGroupID = tblproductgrp.productID) INNER JOIN tblnccontracts ON (tblprojects.ncContractID = tblnccontracts.ncContractID) INNER JOIN tbltimesheet ON (tblprojects.clientID = tbltimesheet.clientID) AND (tblprojects.projectID = tbltimesheet.projectID) INNER JOIN tblusers ON (tbltimesheet.userID = tblusers.userID) ORDER BY Year(tbltimesheet.date)", TRUE);
?>
<?php

// Static group variables
$x_Uname = NULL;
$o_Uname = NULL;
$t_Uname = NULL;
$g_Uname = NULL;
$ft_Uname = 200;
$rf_Uname = NULL;
$rt_Uname = NULL;
$x_clientName = NULL;
$o_clientName = NULL;
$t_clientName = NULL;
$g_clientName = NULL;
$ft_clientName = 200;
$rf_clientName = NULL;
$rt_clientName = NULL;
$x_projectName = NULL;
$o_projectName = NULL;
$t_projectName = NULL;
$g_projectName = NULL;
$ft_projectName = 200;
$rf_projectName = NULL;
$rt_projectName = NULL;

// Column variables
$x_date = NULL;
$ft_date = 133;
$rf_date = NULL;
$rt_date = NULL;
$ft_Year__date = 3;
$af_Year__date = NULL;

// Summary variables
$x_hours = NULL;
?>
<?php

// Open connection to the database
$conn = ewrpt_Connect();

// Filter
$sFilter = "";
$sButtonImage = "";
$sDivDisplay = FALSE;
$sSort = "";

// Set up groups per page dynamically
SetUpDisplayGrps();

// Popup values and selections
$sel_Uname = "";
$seld_Uname = "";
$val_Uname = "";
$sel_clientName = "";
$seld_clientName = "";
$val_clientName = "";
$sel_projectName = "";
$seld_projectName = "";
$val_projectName = "";
$sel_date = NULL;
$seld_date = NULL;
$val_date = NULL;
$sel_Year__date = $chkYearDT;
$seld_Year__date = NULL;
$val_Year__date = NULL;

// Load default filter values
LoadDefaultFilters();

// Set up popup filter
SetupPopup();

// Load columns to array
GetColumns();

// Extended filter
$sExtendedFilter = "";

// Add year filter
if ($sel_Year__date <> "") {
	$Year__date = $sel_Year__date;
	$Year__date1 = $Year__date + 1;
	if ($sFilter <> "") $sFilter .= " AND ";
	$sFilter .= "EXTRACT(YEAR_MONTH FROM(tbltimesheet.date)) between ".$Year__date."04 and ".$Year__date1."03" ;
}

// No extended filter
$sExtendedFilter = $sFilter;

// Check if filter applied
$bFilterApplied = CheckFilter();

// Build SQL
$sSql = ewrpt_BuildReportSql($EW_REPORT_TABLE_SQL_TRANSFORM, $EW_REPORT_TABLE_SQL_SELECT, $EW_REPORT_TABLE_SQL_WHERE, $EW_REPORT_TABLE_SQL_GROUPBY, "", $EW_REPORT_TABLE_SQL_ORDERBY, $EW_REPORT_TABLE_SQL_PIVOT, $sExtendedFilter, @$sSort);

// Load recordset
$rs = $conn->Execute($sSql);
$rscnt = ($rs) ? $rs->RecordCount() : 0;

// Init report data
InitReportData($rs);
if ($nDisplayGrps <= 0) // Display all groups
	$nDisplayGrps = $nTotalGrps;
$nStartGrp = 1;

// Set up start position if not export all
if (!(EW_REPORT_EXPORT_ALL && @$sExport <> ""))
	SetUpStartGroup();
?>
<?php include "phprptinc/header.php"; ?>
<?php if (@$sExport == "") { ?>
<script type="text/javascript">
var ewrpt_DateSep = "/";
</script>
<script type="text/javascript" src="phprptjs/ewrpt.js"></script>
<script type="text/javascript">

function ewrpt_ValidateExtFilter(form_obj) {
	return true;
}
</script>
<?php } ?>
<?php if (@$sExport == "") { ?>
<script src="phprptjs/x/x_core.js" type="text/javascript"></script>
<script src="phprptjs/x/x_event.js" type="text/javascript"></script>
<script src="phprptjs/x/x_drag.js" type="text/javascript"></script>
<script src="phprptjs/popup.js" type="text/javascript"></script>
<script src="phprptjs/ewrptpop.js" type="text/javascript"></script>
<script src="FusionChartsFree/JSClass/FusionCharts.js" type="text/javascript"></script>
<script type="text/javascript">
var EW_REPORT_POPUP_ALL = "(All)";
var EW_REPORT_POPUP_OK = "  OK  ";
var EW_REPORT_POPUP_CANCEL = "Cancel";
var EW_REPORT_POPUP_FROM = "From";
var EW_REPORT_POPUP_TO = "To";
var EW_REPORT_POPUP_PLEASE_SELECT = "Please Select";
var EW_REPORT_POPUP_NO_VALUE = "No value selected!";

// popup fields
<?php $jsdata = ewrpt_GetJsData($val_Uname, $sel_Uname, $ft_Uname) ?>
ewrpt_CreatePopup("SampleCustomReport_Uname", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_clientName, $sel_clientName, $ft_clientName) ?>
ewrpt_CreatePopup("SampleCustomReport_clientName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_projectName, $sel_projectName, $ft_projectName) ?>
ewrpt_CreatePopup("SampleCustomReport_projectName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_date, $sel_date, $ft_date) ?>
ewrpt_CreatePopup("SampleCustomReport_date", [<?php echo $jsdata ?>]);
</script>
<div id="SampleCustomReport_Uname_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="SampleCustomReport_clientName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="SampleCustomReport_projectName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="SampleCustomReport_date_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<!-- Table container (begin) -->
<table id="ewContainer" cellspacing="0" cellpadding="0" border="0">
<!-- Top container (begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewTop" class="phpreportmaker">
<!-- top slot -->
<a name="top"></a>
<?php } ?>
Consolidated Timesheet Report Quarter Wise 
<?php if (@$sExport == "") { ?>
&nbsp;&nbsp;<a href="SampleCustomReportctb.php?export=html">Printer Friendly</a>
&nbsp;&nbsp;<a href="SampleCustomReportctb.php?export=excel">Export to Excel</a>
&nbsp;&nbsp;<a href="SampleCustomReportctb.php?export=word">Export to Word</a>
<?php if ($bFilterApplied) { ?>
&nbsp;&nbsp;<a href="SampleCustomReportctb.php?cmd=reset">Reset All Filters</a>
<?php } ?>
<?php } ?>
<br />
<br />
<?php if (@$sExport == "") { ?>
</div></td></tr>
<!-- Top container (end) -->
<tr>
	<!-- Left container (begin) -->
	<td valign="top"><div id="ewLeft" class="phpreportmaker">
	<!-- left slot -->
	</div></td>
	<!-- Left container (end) -->
	<!-- Center container (report) (begin) -->
	<td valign="top" class="ewPadding"><div id="ewCenter" class="phpreportmaker">
	<!-- center slot -->
<?php } ?>
<!-- crosstab report starts -->
<div id="report_crosstab">
<?php if (@$sExport == "") { ?>
<?php
if (EW_REPORT_FILTER_PANEL_OPTION == 2 || (EW_REPORT_FILTER_PANEL_OPTION == 3 && $bFilterApplied) || $sExtendedFilter == "0=101") {
	$sButtonImage = "phprptimages/collapse.gif";
	$sDivDisplay = "";
} else {
	$sButtonImage = "phprptimages/expand.gif";
	$sDivDisplay = " style=\"display: none;\"";
}
?>
<a href="javascript:ewrpt_ToggleFilterPanel();" style="text-decoration: none;"><img id="ewrptToggleFilterImg" src="<?php echo $sButtonImage ?>" alt="" width="9" height="9" border="0"></a><span class="phpreportmaker">&nbsp;Filters</span><br /><br />
<div id="ewrptExtFilterPanel"<?php echo $sDivDisplay ?>>
<!-- Search form (begin) -->
<form name="fSampleCustomReportcrosstabfilter" id="fSampleCustomReportcrosstabfilter" action="SampleCustomReportctb.php" onSubmit="return ewrpt_ValidateExtFilter(this);">
<table class="ewRptExtFilter">
<!-- Year selection -->
<tr><td><span class="phpreportmaker">Finacial Year</span></td><td></td><td colspan="4"><span class="phpreportmaker">
<select name="Year__date" onchange="this.form.submit();">
<?php

// Set up array
if (is_array($val_Year__date)) {
	for ($yearIdx = 0; $yearIdx < count($val_Year__date); $yearIdx++) {
		$yearValue = $val_Year__date[$yearIdx];
		$yearValue1 = $yearValue + 1;
		$yearSelected = (strval($yearValue) == strval($sel_Year__date)) ? " selected" : "";
		
?>
<option value="<?php echo $yearValue ?>"<?php echo $yearSelected ?>><?php echo $yearValue. "-" .$yearValue1 ?></option>
<?php
	}
}
?>
</select>
</span></td></tr>
</table>
</form>
<!-- Search form (end) -->
</div>
<br />
<br />
<?php if (@$sExport == "") { ?>
<form action="SampleCustomReportctb.php" name="ewpagerform" id="ewpagerform">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td nowrap>
<?php
if ($nTotalGrps > 0) {
	$rsEof = ($nTotalGrps < ($nStartGrp + $nDisplayGrps));
	$PrevStart = $nStartGrp - $nDisplayGrps;
	if ($PrevStart < 1)
		$PrevStart = 1;
	$NextStart = $nStartGrp + $nDisplayGrps;
	if ($NextStart > $nTotalGrps)
		$NextStart = $nStartGrp;
	$LastStart = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpreportmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartGrp == 1) { ?>
	<td><img src="phprptimages/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleCustomReportctb.php?start=1"><img src="phprptimages/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartGrp) { ?>
	<td><img src="phprptimages/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleCustomReportctb.php?start=<?php echo $PrevStart; ?>"><img src="phprptimages/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartGrp-1)/$nDisplayGrps+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartGrp) { ?>
	<td><img src="phprptimages/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleCustomReportctb.php?start=<?php echo $NextStart; ?>"><img src="phprptimages/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartGrp) { ?>
	<td><img src="phprptimages/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="SampleCustomReportctb.php?start=<?php echo $LastStart; ?>"><img src="phprptimages/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpreportmaker">&nbsp;of <?php echo intval(($nTotalGrps-1)/$nDisplayGrps+1);?></span></td>
	</tr></table>
	<?php
	if ($nStartGrp > $nTotalGrps)
		$nStartGrp = $nTotalGrps;
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
	$nGrpCount = $nTotalGrps - 1;
	if ($rsEof)
		$nGrpCount = $nTotalGrps;
	if ($nStopGrp > $nGrpCount)
		$nStopGrp = $nGrpCount; ?>
	<span class="phpreportmaker"> <?php echo $nStartGrp; ?> to <?php echo $nStopGrp; ?> of <?php echo $nTotalGrps; ?></span>
<?php } else { ?>
	<?php if ($sExtendedFilter == "0=101") { ?>
	<span class="phpreportmaker">Please enter search criteria</span>
	<?php } else { ?>
	<span class="phpreportmaker">No records found</span>
	<?php } ?>
<?php } ?>
		</td>
<?php if ($nTotalGrps > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpreportmaker">Groups Per Page&nbsp;
<select name="<?php echo EW_REPORT_TABLE_GROUP_PER_PAGE; ?>" onChange="this.form.submit();" class="phpreportmaker">
<option value="1"<?php if ($nDisplayGrps == 1) echo " selected" ?>>1</option>
<option value="2"<?php if ($nDisplayGrps == 2) echo " selected" ?>>2</option>
<option value="3"<?php if ($nDisplayGrps == 3) echo " selected" ?>>3</option>
<option value="4"<?php if ($nDisplayGrps == 4) echo " selected" ?>>4</option>
<option value="5"<?php if ($nDisplayGrps == 5) echo " selected" ?>>5</option>
<option value="10"<?php if ($nDisplayGrps == 10) echo " selected" ?>>10</option>
<option value="20"<?php if ($nDisplayGrps == 20) echo " selected" ?>>20</option>
<option value="50"<?php if ($nDisplayGrps == 50) echo " selected" ?>>50</option>
<option value="ALL"<?php if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] == -1) echo " selected" ?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
<?php } ?>
<?php if (defined("EW_REPORT_SHOW_CURRENT_FILTER")) { ?>
<div id="ewrptFilterList">
<?php ShowFilterList() ?>
</div>
<br />
<?php } ?>
<!-- Report grid (begin) -->
<table id="ewReport" class="ewTable">
	<!-- Table header -->
	<tr class="ewTableRow">
		<td colspan="3" nowrap><div class="phpreportmaker"></div></td>
		<td class="ewRptColHeader" colspan="<?php echo @$ncolspan; ?>" nowrap>
			Quarter Selection
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'SampleCustomReport_date', false, '<?php echo $rf_date; ?>', '<?php echo $rt_date; ?>');return false;" name="x_date" id="x_date"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
	<td class="ewRptColHeader" ></td>	
	</tr>
	<tr>
		<td class="ewRptGrpHeader1">
			User Name
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'SampleCustomReport_Uname', false, '<?php echo $rf_Uname; ?>', '<?php echo $rt_Uname; ?>');return false;" name="x_Uname" id="x_Uname"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
		<td class="ewRptGrpHeader2">
			Client Name
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'SampleCustomReport_clientName', false, '<?php echo $rf_clientName; ?>', '<?php echo $rt_clientName; ?>');return false;" name="x_clientName" id="x_clientName"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
		<td class="ewRptGrpHeader3">
			Project Name
<?php if (@$sExport == "") { ?>
			<a href="#" onClick="ewrpt_ShowPopup(this.name, 'SampleCustomReport_projectName', false, '<?php echo $rf_projectName; ?>', '<?php echo $rt_projectName; ?>');return false;" name="x_projectName" id="x_projectName"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
<!-- Dynamic columns begin -->
	<?php
	for ($iy = 1; $iy < count($val); $iy++) {
		if ($col[$iy][2]) {
			$x_date = $col[$iy][1];
	?>
		<td class="ewTableHeader" valign="top">
<?php echo $x_date ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
		<?php $x_date = "Total"; ?>
		<td class="ewTableHeader" valign="top">
<?php echo $x_date ?>
</td>
	<td class="ewTableHeader" valign="top">
Value = (Total / 8) * EmpRate
</td>
	</tr>
<?php
if ($nTotalGrps > 0) {

// Set the last group to display if not export all
if (EW_REPORT_EXPORT_ALL && @$sExport <> "") {
	$nStopGrp = $nTotalGrps;
} else {
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
}

// Stop group <= total number of groups
if (intval($nStopGrp) > intval($nTotalGrps)) {
	$nStopGrp = $nTotalGrps;
}

// Navigate
$grpvalue = "";
$nRecCount = 0;

// Get first row
if ($rscnt > 0) {
	GetRow(1);
	$nGrpCount = 1;
}
while ($rs && !$rs->EOF) {

	// Process groups
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
		$nRecCount++;

		// Set row color
		$sItemRowClass = " class=\"ewTableRow\"";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1)
			$sItemRowClass = " class=\"ewTableAltRow\"";

		// Show group values
		$g_Uname = $x_Uname;
		if ($x_Uname <> "" && $o_Uname == $x_Uname && !ChkLvlBreak(1)) {
			$g_Uname = "";
		} elseif (is_null($x_Uname)) {
			$g_Uname = EW_REPORT_NULL_LABEL;
		} elseif ($x_Uname == "") {
			$g_Uname = EW_REPORT_EMPTY_LABEL;
		}
		$g_clientName = $x_clientName;
		if ($x_clientName <> "" && $o_clientName == $x_clientName && !ChkLvlBreak(2)) {
			$g_clientName = "";
		} elseif (is_null($x_clientName)) {
			$g_clientName = EW_REPORT_NULL_LABEL;
		} elseif ($x_clientName == "") {
			$g_clientName = EW_REPORT_EMPTY_LABEL;
		}
		$g_projectName = $x_projectName;
		if ($x_projectName <> "" && $o_projectName == $x_projectName && !ChkLvlBreak(3)) {
			$g_projectName = "";
		} elseif (is_null($x_projectName)) {
			$g_projectName = EW_REPORT_NULL_LABEL;
		} elseif ($x_projectName == "") {
			$g_projectName = EW_REPORT_EMPTY_LABEL;
		}
?>
	<!-- Data -->
	<tr<?php echo $sItemRowClass; ?>>
		<!-- Uname -->
		<td class="ewRptGrpField1"><?php $t_Uname = $x_Uname; $x_Uname = $g_Uname; ?>
<?php echo $x_Uname ?>
<?php $x_Uname = $t_Uname; ?></td>
		<!-- client Name -->
		<td class="ewRptGrpField2"><?php $t_clientName = $x_clientName; $x_clientName = $g_clientName; ?>
<?php echo $x_clientName ?>
<?php $x_clientName = $t_clientName; ?></td>
		<!-- project Name -->
		<td class="ewRptGrpField3"><?php $t_projectName = $x_projectName; $x_projectName = $g_projectName; ?>
<?php echo $x_projectName ?>
<?php $x_projectName = $t_projectName; ?></td>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy < count($val); $iy++) {
		if ($col[$iy][2]) {
			$rowval = $val[$iy];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $val[$iy];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php printf("%10.1f",$x_hours); ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php printf("%10.1f",$x_hours); ?>
</td>
<td>
<?php 
//$Employee_Rate =  ($x_hours / 8 ) * $x_employeeRate;
$Employee_Rate =  $x_employeeRate;
printf(round($Employee_Rate)); 
$Emplyee_SubRate = round($Employee_Rate) + $Emplyee_Sub;
$Employee_GrandRate = $Emplyee_SubRate + $Employee_GrandRate;
?></td>
	</tr>
<?php

		// Accumulate page summary
		AccumulateSummary();
	}

	// Accumulate grand summary
	AccumulateGrandSummary();

	// Save old group values
	$o_Uname = $x_Uname;
	$o_clientName = $x_clientName;
	$o_projectName = $x_projectName;

	// Get next record
	GetRow(2);
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
?>
<?php

		// Process summary level 2
		if (ChkLvlBreak(2)) {
?>
	<!-- Summary client Name (level 2) -->
	<tr>
		<td class="ewRptGrpField1"></td>
		<?php $t_clientName = $x_clientName; $x_clientName = $o_clientName; ?>
		<td class="ewRptGrpSummary2" colspan="2">Summary for Client Name: 
<?php echo $x_clientName ?>
</td>
		<?php $x_clientName = $t_clientName; ?>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][2];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][2];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td class="ewRptGrpSummary2">
<?php printf("%10.1f",$x_hours); ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td class="ewRptGrpSummary2">
<?php printf("%10.1f",$x_hours); ?>
</td>
<td class="ewRptGrpSummary2"><?php  
printf("%10.0f",$Employee_GrandRate);
$Employee_SubUserRate = round($Employee_GrandRate) + $Employee_SubUser;
$Employee_GrandUserRate = $Employee_SubUserRate + $Employee_GrandUserRate;
$Employee_GrandRate="";
?></td>
	</tr>
<?php

			// Reset level 2 summary
			ResetLevelSummary(2);
		}
?>
<?php

		// Process summary level 1
		if (ChkLvlBreak(1)) {
?>
	<!-- Summary Uname (level 1) -->
	<tr>
		<?php $t_Uname = $x_Uname; $x_Uname = $o_Uname; ?>
		<td class="ewRptGrpSummary1" colspan="3">Summary for User Name: 
<?php echo $x_Uname ?>
</td>
		<?php $x_Uname = $t_Uname; ?>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][1];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][1];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td class="ewRptGrpSummary1">
<?php printf("%10.1f",$x_hours); ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td class="ewRptGrpSummary1">
<?php printf("%10.1f",$x_hours); ?>
</td>
<td class="ewRptGrpSummary1">
<?php  
printf("%10.0f",$Employee_GrandUserRate);
$Employee_PageSubTotal = round($Employee_GrandUserRate) + $Employee_PageSub;
$Employee_PageGrandTotal = $Employee_PageSubTotal + $Employee_PageGrandTotal;
$Employee_GrandUserRate="";
?></td>
	</tr>
<?php

			// Reset level 1 summary
			ResetLevelSummary(1);
		}
?>
<?php
	}

	// Increment group count
	if (ChkLvlBreak(1))
		$nGrpCount++;
}
?>
	<!-- Page Summary -->
	<tr class="ewRptPageSummary">
	<td colspan="3">Page Total</td>
<!-- Dynamic columns begin -->
	<?php
	$rowsmry = 0;
	for ($iy = 1; $iy <= $ncol; $iy++) {
		if ($col[$iy][2]) {
			$rowval = $smry[$iy][0];
			$rowsmry = ewrpt_SummaryValue($rowsmry, $rowval, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
			$x_hours = $smry[$iy][0];
	?>
		<!-- <?php echo $col[$iy][1]; ?> -->
		<td>
<?php printf("%10.1f",$x_hours); ?>
</td>
	<?php
		}
	}
	?>
<!-- Dynamic columns end -->
	<?php $x_hours = $rowsmry; ?>
		<td>
<?php printf("%10.1f",$x_hours); ?>
</td>
<td>
<?php  
printf("%10.0f",$Employee_PageGrandTotal);
$Employee_PageGrandTotal="";
?></td>
	</tr>
	
<?php } ?>
</table>

</div>
<!-- Crosstab report ends -->
<?php if (@$sExport == "") { ?>
	</div><br /></td>
	<!-- Center container (report) (end) -->
	<!-- Right container (begin) -->
	<td valign="top"><div id="ewRight" class="phpreportmaker">
	<!-- right slot -->
	</div></td>
	<!-- Right container (end) -->
</tr>
<!-- Bottom container (begin) -->
<tr><td colspan="3"><div id="ewBottom" class="phpreportmaker">
	<!-- bottom slot -->
	</div><br /></td></tr>
<!-- Bottom container (end) -->
</table>
<!-- Table container (end) -->
<?php } ?>
<?php

// Close recordset and connection
if ($rs)
	$rs->Close();
$conn->Close();
?>
<?php include "phprptinc/footer.php"; ?>
<?php

// Get column values
function GetColumns() {
	global $conn;
	global $EW_REPORT_TABLE_SQL_SELECT;
	global $EW_REPORT_TABLE_DISTINCT_SQL_SELECT;
	global $EW_REPORT_TABLE_DISTINCT_SQL_WHERE;
	global $EW_REPORT_TABLE_DISTINCT_SQL_ORDERBY;
	global $sFilter, $sSort;
	global $ncol, $col, $val, $oval, $cnt, $smry, $grandsmry, $ncolspan;
	global $sel_date;
	global $val_date;
	global $val_Year__date;
	global $sel_Year__date;

	// Get distinct year
	$rsyear = $conn->Execute(EW_REPORT_TABLE_YEAR_SQL);
	if ($rsyear) {
		while (!$rsyear->EOF) {
			if (!is_null($rsyear->fields[0]))
				$val_Year__date[] = $rsyear->fields[0];
			$rsyear->MoveNext();
		}
		$rsyear->Close();
	}
	if (is_array($val_Year__date)) {
		if (strval($sel_Year__date) == "") {
			$sel_Year__date = $val_Year__date[0];
		}
	}
	$arColumnCaptions = explode(",", EW_REPORT_TABLE_REPORT_COLUMN_CAPTIONS);
	$arColumnNames = explode(",", EW_REPORT_TABLE_REPORT_COLUMN_NAMES);

	// Get distinct column count
	$ncol = count($arColumnNames);

	// 1st dimension = no of groups (level 0 used for grand total)
	// 2nd dimension = no of distinct values

	$nGrps = 3;
	$col = ewrpt_Init2DArray($ncol+1, 2, NULL);
	$val = ewrpt_InitArray($ncol+1, NULL);
	$oval = ewrpt_InitArray($ncol+1, NULL);
	$cnt = ewrpt_Init2DArray($ncol+1, $nGrps+1, NULL);
	$smry = ewrpt_Init2DArray($ncol+1, $nGrps+1, NULL);
	$grandsmry = ewrpt_InitArray($ncol+1, NULL);

	// Reset summary values
	ResetLevelSummary(0);
	$colcnt = 0;
	for ($colcnt = 1; $colcnt <= $ncol; $colcnt++) {
		$col[$colcnt][0] = $arColumnNames[$colcnt-1]; // Value
		$col[$colcnt][1] = $arColumnCaptions[$colcnt-1]; // Caption
		$col[$colcnt][2] = TRUE; // Visible
		$val_date[$arColumnNames[$colcnt-1]] = $arColumnCaptions[$colcnt-1];
	}

	// Get active columns
	if (!is_array($sel_date)) {
		$ncolspan = $ncol;
	} else {
		$ncolspan = 0;
		for ($i = 0; $i < count($col); $i++) {
			$bSelected = FALSE;
			for ($j = 0; $j < count($sel_date); $j++) {
				if (trim($sel_date[$j]) == trim($col[$i][0])) {
					$ncolspan++;
					$bSelected = TRUE;
					break;
				}
			}
			$col[$i][2] = $bSelected;
		}
	}
	$ncolspan++; // Add summary column
}

// Get row values
function GetRow($opt) {
	global $rs, $val;
	if (!$rs)
		return;
	if ($opt == 1) { // Get first row
		$rs->MoveFirst();
	} else { // Get next row
		$rs->MoveNext();
	}
	while (!$rs->EOF) {
		if (ValidRow($rs)) {
			$GLOBALS['x_Uname'] = $rs->fields('Uname');
			$GLOBALS['x_clientName'] = $rs->fields('clientName');
			$GLOBALS['x_projectName'] = $rs->fields('projectName');
			$GLOBALS['x_employeeRate'] = $rs->fields('employeeRate');
			for ($ix = 1; $ix < count($val); $ix++)
				$val[$ix] = $rs->fields[$ix+4-1];
			break;
		} else {
			$rs->MoveNext();
		}
	}
	if ($rs->EOF) {
		$GLOBALS['x_Uname'] = "";
		$GLOBALS['x_clientName'] = "";
		$GLOBALS['x_projectName'] = "";
		$GLOBALS['x_employeeRate'] = "";
	}
}

// Check level break
function ChkLvlBreak($lvl) {
	switch ($lvl) {
		case 1:
			return (is_null($GLOBALS["x_Uname"]) && !is_null($GLOBALS["o_Uname"])) ||
			(!is_null($GLOBALS["x_Uname"]) && is_null($GLOBALS["o_Uname"])) ||
			($GLOBALS["x_Uname"] <> $GLOBALS["o_Uname"]);
		case 2:
			return (is_null($GLOBALS["x_clientName"]) && !is_null($GLOBALS["o_clientName"])) ||
			(!is_null($GLOBALS["x_clientName"]) && is_null($GLOBALS["o_clientName"])) ||
			($GLOBALS["x_clientName"] <> $GLOBALS["o_clientName"]) || ChkLvlBreak(1); // Recurse upper level
		case 3:
			return (is_null($GLOBALS["x_projectName"]) && !is_null($GLOBALS["o_projectName"])) ||
			(!is_null($GLOBALS["x_projectName"]) && is_null($GLOBALS["o_projectName"])) ||
			($GLOBALS["x_projectName"] <> $GLOBALS["o_projectName"]) || ChkLvlBreak(2); // Recurse upper level
	}
}

// Accummulate summary
function AccumulateSummary() {
	global $val, $cnt, $smry;
	for ($ix = 1; $ix < count($smry); $ix++) {
		for ($iy = 0; $iy < count($smry[$ix]); $iy++) {
			$valwrk = $val[$ix];
			$cnt[$ix][$iy]++;
			$smry[$ix][$iy] = ewrpt_SummaryValue($smry[$ix][$iy], $valwrk, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
		}
	}
}

// Reset level summary
function ResetLevelSummary($lvl) {

	// Clear summary values
	global $nRecCount, $cnt, $smry, $grandsmry;
	for ($ix = 1; $ix < count($smry); $ix++) {
		for ($iy = $lvl; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy] = 0;
			$smry[$ix][$iy] = 0;
		}
	}

	// Clear grand summary
	if ($lvl == 0) {
		for ($iy = 1; $iy < count($grandsmry); $iy++)
			$grandsmry[$iy] = 0;
	}

	// Reset record count
	$nRecCount = 0;
}

// Accummulate grand summary
function AccumulateGrandSummary() {
	global $val, $grandsmry;
	for ($iy = 1; $iy < count($grandsmry); $iy++) {
		$valwrk = $val[$iy];
		$grandsmry[$iy] = ewrpt_SummaryValue($grandsmry[$iy], $valwrk, EW_REPORT_TABLE_REPORT_SUMMARY_TYPE);
	}
}

// Set up starting group
function SetUpStartGroup() {
	global $nStartGrp, $nTotalGrps, $nDisplayGrps;

	// Exit if no groups
	if ($nDisplayGrps == 0)
		return;

	// Check for a 'start' parameter
	if (@$_GET[EW_REPORT_TABLE_START_GROUP] != "") {
		$nStartGrp = $_GET[EW_REPORT_TABLE_START_GROUP];
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (@$_GET["pageno"] != "") {
		$nPageNo = $_GET["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartGrp = ($nPageNo-1)*$nDisplayGrps+1;
			if ($nStartGrp <= 0) {
				$nStartGrp = 1;
			} elseif ($nStartGrp >= intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1) {
				$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
			}
			$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
		} else {
			$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];	
		}
	} else {
		$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];
	}

	// Check if correct start group counter
	if (!is_numeric($nStartGrp) || $nStartGrp == "") { // Avoid invalid start group counter
		$nStartGrp = 1; // Reset start group counter
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (intval($nStartGrp) > intval($nTotalGrps)) { // Avoid starting group > total groups
		$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to last page first group
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (($nStartGrp-1) % $nDisplayGrps <> 0) {
		$nStartGrp = intval(($nStartGrp-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to page boundary
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	}
}

// Set up popup
function SetupPopup() {
	global $conn, $sFilter, $sel_Year__date;

	// Build distinct values for Uname
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_UNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_UNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_Uname = $rswrk->fields[0];
		if (is_null($x_Uname)) {
			$bNullValue = TRUE;
		} elseif ($x_Uname == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_Uname = $x_Uname;
			ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], $x_Uname, $g_Uname, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for client Name
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_clientName = $rswrk->fields[0];
		if (is_null($x_clientName)) {
			$bNullValue = TRUE;
		} elseif ($x_clientName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_clientName = $x_clientName;
			ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], $x_clientName, $g_clientName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for project Name
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_projectName = $rswrk->fields[0];
		if (is_null($x_projectName)) {
			$bNullValue = TRUE;
		} elseif ($x_projectName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_projectName = $x_projectName;
			ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], $x_projectName, $g_projectName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Process post back form
	if (count($_POST) > 0) {
		$sName = @$_POST["popup"]; // Get popup form name
		if ($sName <> "") {
			$cntValues = (is_array(@$_POST["sel_$sName"])) ? count($_POST["sel_$sName"]) : 0;
			if ($cntValues > 0) {
				$arValues = ewrpt_StripSlashes($_POST["sel_$sName"]);
				if (trim($arValues[0]) == "") // Select all
					$arValues = EW_REPORT_INIT_VALUE;
				$_SESSION["sel_$sName"] = $arValues;
				$_SESSION["rf_$sName"] = ewrpt_StripSlashes(@$_POST["rf_$sName"]);
				$_SESSION["rt_$sName"] = ewrpt_StripSlashes(@$_POST["rt_$sName"]);
				ResetPager();
			}
		}

	// Get 'reset' command
	} elseif (@$_GET["cmd"] <> "") {
		$sCmd = $_GET["cmd"];
		if (strtolower($sCmd) == "reset") {
			ClearSessionSelection('Uname');
			ClearSessionSelection('clientName');
			ClearSessionSelection('projectName');
			$_SESSION["sel_SampleCustomReport_date"] = "";
			$_SESSION["rf_SampleCustomReport_date"] = "";
			$_SESSION["rt_SampleCustomReport_date"] = "";
			ResetPager();
		}
	}

	// Load selection criteria to array
	// Get Uname selected values

	if (is_array(@$_SESSION["sel_SampleCustomReport_Uname"])) {
		LoadSelectionFromSession('Uname');
	} elseif (@$_SESSION["sel_SampleCustomReport_Uname"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_Uname"] = "";
	}

	// Get client Name selected values
	if (is_array(@$_SESSION["sel_SampleCustomReport_clientName"])) {
		LoadSelectionFromSession('clientName');
	} elseif (@$_SESSION["sel_SampleCustomReport_clientName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_clientName"] = "";
	}

	// Get project Name selected values
	if (is_array(@$_SESSION["sel_SampleCustomReport_projectName"])) {
		LoadSelectionFromSession('projectName');
	} elseif (@$_SESSION["sel_SampleCustomReport_projectName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_projectName"] = "";
	}
	if (is_array(@$_SESSION["sel_SampleCustomReport_date"])) {
		$GLOBALS["sel_date"] = @$_SESSION["sel_SampleCustomReport_date"];
		$GLOBALS["rf_date"] = @$_SESSION["rf_SampleCustomReport_date"];
		$GLOBALS["rt_date"] = @$_SESSION["rt_SampleCustomReport_date"];
	} elseif (@$_SESSION["sel_SampleCustomReport_date"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_date"] = "";
	}

	// Process query string
	if (@$_GET["Year__date"] <> "") {
		$GLOBALS["x_Year__date"] = $_GET["Year__date"];
		if (is_numeric($GLOBALS["x_Year__date"])) {
			$_SESSION["sel_SampleCustomReport_Year__date"] = $GLOBALS["x_Year__date"];
			ResetPager();
		}
	}
	else {
		$GLOBALS["x_Year__date"] = $sel_Year__date;
		if (is_numeric($GLOBALS["x_Year__date"])) {
			$_SESSION["sel_SampleCustomReport_Year__date"] = $GLOBALS["x_Year__date"];
			ResetPager();
		}
	}
	$GLOBALS["sel_Year__date"] = @$_SESSION["sel_SampleCustomReport_Year__date"];
}

// Reset pager
function ResetPager() {
	global $nStartGrp;

	// Reset start position (reset command)
	$nStartGrp = 1;
	$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
}

// Initialize group data - total number of groups + grouping field arrays
function InitReportData(&$rs) {
	global $conn, $nTotalGrps, $bFilterApplied, $sFilter;

	// Initialize group count
	$grpcnt = 0;
	while ($rs && !$rs->EOF) {
		$bValidRow = ValidRow($rs);
		if ($bValidRow) {
			$bNewGroup = ($grpcnt == 0) ||
				(is_null($grpvalue) && !is_null($rs->fields[0])) ||
				(!is_null($grpvalue) && is_null($rs->fields[0])) ||
				($grpvalue <> $rs->fields[0]);
			if ($bNewGroup) {
				$grpvalue = $rs->fields[0];
				$grpcnt++;
			}
		}
		$rs->MoveNext();
	}

	// Set up total number of groups
	$nTotalGrps = $grpcnt;
}

// Check if row is valid
function ValidRow(&$rs) {
	if (!ewrpt_SelectedValue($GLOBALS["sel_Uname"], $rs->fields('Uname'), $GLOBALS["ft_Uname"], $GLOBALS["af_Uname"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_clientName"], $rs->fields('clientName'), $GLOBALS["ft_clientName"], $GLOBALS["af_clientName"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_projectName"], $rs->fields('projectName'), $GLOBALS["ft_projectName"], $GLOBALS["af_projectName"]))
		return FALSE;
	if (!HasColumnValues($rs)) // Rows with values
		return FALSE;
	return TRUE;
}

// Check if any column values is present
function HasColumnValues(&$rs) {
	global $col;
	for ($i = 1; $i < count($col); $i++) {
		if ($col[$i][2]) {
			if ($rs->fields[4+$i-1] <> 0) return TRUE;
		}
	}
	return FALSE;
}
?>
<?php

// Set up number of groups displayed per page
function SetUpDisplayGrps() {
	global $nDisplayGrps, $nStartGrp;
	$sWrk = @$_GET[EW_REPORT_TABLE_GROUP_PER_PAGE];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayGrps = intval($sWrk);
		} else {
			if (strtoupper($sWrk) == "ALL") { // display all groups
				$nDisplayGrps = -1;
			} else {
				$nDisplayGrps = 3; // Non-numeric, load default
			}
		}
		$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] = $nDisplayGrps; // Save to session

		// Reset start position (reset command)
		$nStartGrp = 1;
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} else {
		if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] <> "") {
			$nDisplayGrps = $_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE]; // Restore from session
		} else {
			$nDisplayGrps = 3; // Load default
		}
	}
}
?>
<?php

// Clear selection stored in session
function ClearSessionSelection($parm) {
	$_SESSION["sel_SampleCustomReport_$parm"] = "";
	$_SESSION["rf_SampleCustomReport_$parm"] = "";
	$_SESSION["rt_SampleCustomReport_$parm"] = "";
}

// Load selection from session
function LoadSelectionFromSession($parm) {
	$GLOBALS["sel_$parm"] = @$_SESSION["sel_SampleCustomReport_$parm"];
	$GLOBALS["rf_$parm"] = @$_SESSION["rf_SampleCustomReport_$parm"];
	$GLOBALS["rt_$parm"] = @$_SESSION["rt_SampleCustomReport_$parm"];
}

// Load default value for filters
function LoadDefaultFilters() {

	/**
	* Set up default values for dropdown filters
	*/

	/**
	* Set up default values for extended filters
	* function SetDefaultExtFilter($parm, $so1, $sv1, $sc, $so2, $sv2)
	* Parameters:
	* $parm - Field name
	* $so1 - Default search operator 1
	* $sv1 - Default ext filter value 1
	* $sc - Default search condition (if operator 2 is enabled)
	* $so2 - Default search operator 2 (if operator 2 is enabled)
	* $sv2 - Default ext filter value 2 (if operator 2 is enabled)
	*/

	/**
	* Set up default values for popup filters
	* NOTE: if extended filter is enabled, use default values in extended filter instead
	*/

	// Field Uname
	// Setup your default values for the extended filter below, e.g.
	// $seld_Uname = array("val1", "val2");

	$GLOBALS["seld_Uname"] = "";
	$GLOBALS["sel_Uname"] =  $GLOBALS["seld_Uname"];

	// Field clientName
	// Setup your default values for the extended filter below, e.g.
	// $seld_clientName = array("val1", "val2");

	$GLOBALS["seld_clientName"] = "";
	$GLOBALS["sel_clientName"] =  $GLOBALS["seld_clientName"];

	// Field projectName
	// Setup your default values for the extended filter below, e.g.
	// $seld_projectName = array("val1", "val2");

	$GLOBALS["seld_projectName"] = "";
	$GLOBALS["sel_projectName"] =  $GLOBALS["seld_projectName"];

	// Field date
	// Setup your default values for the extended filter below, e.g.
	// $seld_date = array("val1", "val2");

	$GLOBALS["seld_date"] = "";
	$GLOBALS["sel_date"] =  $GLOBALS["seld_date"];
}

// Check if filter applied
function CheckFilter() {

	// Check Uname popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_Uname"], $GLOBALS["sel_Uname"]))
		return TRUE;

	// Check clientName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_clientName"], $GLOBALS["sel_clientName"]))
		return TRUE;

	// Check projectName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_projectName"], $GLOBALS["sel_projectName"]))
		return TRUE;

	// Check date popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_date"], $GLOBALS["sel_date"]))
		return TRUE;
	return FALSE;
}

// Show list of filters
function ShowFilterList() {

	// Initialize
	$sFilterList = "";

	// Year Filter
	if (strval($GLOBALS["sel_Year__date"]) <> "") {
		$sFilterList .= "Year<br />";
		$sFilterList .= "&nbsp;&nbsp;" . $GLOBALS["sel_Year__date"] . "<br />";
	}

	// Field Uname
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_Uname"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_Uname"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Uname<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field clientName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_clientName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_clientName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "client Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field projectName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_projectName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_projectName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "project Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field date
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_date"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_date"], ", ", EW_REPORT_DATATYPE_DATE);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "date<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Show Filters
	if ($sFilterList <> "")
		echo "CURRENT FILTERS:<br />$sFilterList";
}

/**
 * Regsiter your Custom filters here
 */

// Setup custom filters
function SetupCustomFilters() {

	// 1. Register your custom filter below (see example)
	// 2. Write your custom filter function (see example fucntions: GetLastMonthFilter, GetStartsWithAFilter)

}

/**
 * Write your Custom filters here
 */

// Filter for 'Last Month' (example)
function GetLastMonthFilter($FldExpression) {
	$today = getdate();
	$lastmonth = mktime(0, 0, 0, $today['mon']-1, 1, $today['year']);
	$sVal = date("Y|m", $lastmonth);
	$sWrk = $FldExpression . " BETWEEN " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 1), EW_REPORT_DATATYPE_DATE) .
		" AND " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 2), EW_REPORT_DATATYPE_DATE);
	return $sWrk;
}

// Filter for 'Starts With A' (example)
function GetStartsWithAFilter($FldExpression) {
	return $FldExpression . " LIKE 'A%'";
}
?>
