<?php include "rptinc/ewcommon.php"; ?>
<?php include "rptinc/ewconfig.php"; ?>
<?php include "rptinc/phprptfn.php"; ?>
<?php include "rptinc/advsecu.php"; ?>
<?php

// PHP Report Maker 1.0 - Table level configuration (CustomView1)
// Table Level Constants

define("EW_TABLE_VAR", "CustomView1", TRUE);
define("EW_TABLE_GROUP_PER_PAGE", "grpperpage", TRUE);
define("EW_TABLE_SESSION_GROUP_PER_PAGE", "CustomView1_grpperpage", TRUE);
define("EW_TABLE_START_GROUP", "start", TRUE);
define("EW_TABLE_SESSION_START_GROUP", "CustomView1_start", TRUE);
define("EW_TABLE_SESSION_SEARCH", "CustomView1_search", TRUE);
define("EW_TABLE_CHILD_USER_ID", "childuserid", TRUE);
define("EW_TABLE_SESSION_CHILD_USER_ID", "CustomView1_childuserid", TRUE);

// Table Level SQL
define("EW_TABLE_SQL_FROM", "tblusers INNER JOIN tbltimesheet ON (tblusers.userID = tbltimesheet.userID) INNER JOIN tblclient ON (tbltimesheet.clientID = tblclient.clientID) INNER JOIN tblprojects ON (tbltimesheet.projectID = tblprojects.projectID)", TRUE);
$EW_TABLE_SQL_SELECT = "SELECT tbltimesheet.leave, tblclient.clientName, tblprojects.projectName, tblusers.fullName, tbltimesheet.hours, tbltimesheet.`date` FROM " . EW_TABLE_SQL_FROM;
$EW_TABLE_SQL_WHERE = "(tbltimesheet.`date` >= 2007 -10 -01)";
define("EW_TABLE_SQL_GROUPBY", "projectName, fullName, hours", TRUE);
define("EW_TABLE_SQL_HAVING", "", TRUE);
define("EW_TABLE_SQL_ORDERBY", "", TRUE);
define("EW_TABLE_SQL_USERID_FILTER", "", TRUE);
$af_clientName = NULL; // Advanced filter for clientName
$af_projectName = NULL; // Advanced filter for projectName
$af_fullName = NULL; // Advanced filter for fullName
$af_hours = NULL; // Advanced filter for hours
$af_date = NULL; // Advanced filter for date
?>
<?php
$sExport = @$PHP_GET["export"]; // Load export request
if ($sExport == "html") {

	// Printer friendly
}
if ($sExport == "excel") {
	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment; filename=' . EW_TABLE_VAR .'.xls');
}
if ($sExport == "word") {
	header('Content-Type: application/vnd.ms-word');
	header('Content-Disposition: attachment; filename=' . EW_TABLE_VAR .'.doc');
}
?>
<?php
$EW_FIELD_CLIENTNAME_SQL_SELECT = "SELECT DISTINCT tblclient.clientName FROM " . EW_TABLE_SQL_FROM;
define("EW_FIELD_CLIENTNAME_SQL_ORDERBY", "tblclient.clientName", TRUE);
$EW_FIELD_PROJECTNAME_SQL_SELECT = "SELECT DISTINCT tblprojects.projectName FROM " . EW_TABLE_SQL_FROM;
define("EW_FIELD_PROJECTNAME_SQL_ORDERBY", "tblprojects.projectName", TRUE);
$EW_FIELD_FULLNAME_SQL_SELECT = "SELECT DISTINCT tblusers.fullName FROM " . EW_TABLE_SQL_FROM;
define("EW_FIELD_FULLNAME_SQL_ORDERBY", "tblusers.fullName", TRUE);
?>
<?php

// Initialize common variables
// Paging variables

$nRecCount = 0; // Record Count
$nStartGrp = 0; // Start Group
$nStopGrp = 0; // Stop Group
$nTotalGrps = 0; // Total Groups
$nGrpCount = 0; // Group Count
$nDisplayGrps = 3; // Groups per page
$nGrpRange = 10;

// Detail variables
$x_clientName = NULL; $ox_clientName = NULL; $tx_clientName = NULL; $ftx_clientName = 200; $rf_clientName = NULL; $rt_clientName = NULL;
$x_projectName = NULL; $ox_projectName = NULL; $tx_projectName = NULL; $ftx_projectName = 200; $rf_projectName = NULL; $rt_projectName = NULL;
$x_fullName = NULL; $ox_fullName = NULL; $tx_fullName = NULL; $ftx_fullName = 200; $rf_fullName = NULL; $rt_fullName = NULL;
$x_hours = NULL; $ox_hours = NULL; $tx_hours = NULL; $ftx_hours = 4; $rf_hours = NULL; $rt_hours = NULL;
$x_date = NULL; $ox_date = NULL; $tx_date = NULL; $ftx_date = 133; $rf_date = NULL; $rt_date = NULL;
?>
<?php

// Open connection to the database
$conn = php_connect(HOST, USER, PASS, DB, PORT);

// Filter
$sFilter = "";
$bFilterApplied = FALSE;

// Aggregate variables
// 1st dimension = no of groups (level 0 used for grand total)
// 2nd dimension = no of fields

$nDtls = 6;
$nGrps = 1;
$val = ew_InitArray($nDtls, 0);
$cnt = ew_Init2DArray($nGrps, $nDtls, 0);
$smry = ew_Init2DArray($nGrps, $nDtls, 0);
$mn = ew_Init2DArray($nGrps, $nDtls, NULL);
$mx = ew_Init2DArray($nGrps, $nDtls, NULL);
$grandsmry = ew_InitArray($nDtls, 0);
$grandmn = ew_InitArray($nDtls, NULL);
$grandmx = ew_InitArray($nDtls, NULL);

// Set up if accumulation required
$col = array(FALSE, FALSE, FALSE, FALSE, FALSE, FALSE);

// Reset
ResetCmd();

// Set up groups per page dynamically
SetUpDisplayGrps();

// Set up selection
SetupSelection();

// Build sql
$sSql = ew_BuildReportSql("", $EW_TABLE_SQL_SELECT, $EW_TABLE_SQL_WHERE, EW_TABLE_SQL_GROUPBY, EW_TABLE_SQL_HAVING, EW_TABLE_SQL_ORDERBY, "", $sFilter, @$sSort);

// echo $sSql . "<br>"; // uncomment to show sql
// Load recordset

$rs = ew_LoadRs($sSql);
$rscnt = count($rs);
$row = FALSE;
$rsidx = 0;

// Detail distinct & selection values
InitReportData($rs);
if ($nDisplayGrps <= 0) { // Display All Records
	$nDisplayGrps = $nTotalGrps;
}
$nStartGrp = 1;
SetUpStartGroup(); // Set Up Start Record Position
?>
<?php include "rptinc/header.php"; ?>
<?php if (@$sExport == "") { ?>
<script language="JavaScript" src="rptjs/x/x_core.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/x/x_event.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/x/x_drag.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/popup.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/ewrptpop.js" type="text/javascript"></script>
<script language="JavaScript" src="rptjs/swfobject.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">
<!--
var EW_POPUP_ALL = "(All)";
var EW_POPUP_OK = "  OK  ";
var EW_POPUP_CANCEL = "Cancel";
var EW_POPUP_FROM = "From";
var EW_POPUP_TO = "To";
var EW_POPUP_PLEASE_SELECT = "Please Select";
var EW_POPUP_NO_VALUE = "No value selected!";
var EW_POPUP_CLASSNAME = "phpreportmaker";

// popup fields
<?php $jsdata = ew_GetJsData("CustomView1clientName", $val_clientName, $ftx_clientName); ?>
ew_CreatePopup("CustomView1clientName", [<?php echo $jsdata; ?>]);
<?php $jsdata = ew_GetJsData("CustomView1projectName", $val_projectName, $ftx_projectName); ?>
ew_CreatePopup("CustomView1projectName", [<?php echo $jsdata; ?>]);
<?php $jsdata = ew_GetJsData("CustomView1fullName", $val_fullName, $ftx_fullName); ?>
ew_CreatePopup("CustomView1fullName", [<?php echo $jsdata; ?>]);

//-->
</script>
<div id="CustomView1clientName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="CustomView1projectName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="CustomView1fullName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<?php } ?>
<?php if (@$sExport == "") { ?>
<!-- Table Container (Begin) -->
<table id="ewContainer" cellspacing="0" cellpadding="0" border="0">
<!-- Top Container (Begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewTop" class="phpreportmaker">
<!-- top slot -->
<a name="top"></a>
<?php } ?>
Custom View 1
<?php if (@$sExport == "") { ?>
&nbsp;&nbsp;<a href="CustomView1rpt.php?export=html">Printer Friendly</a>
&nbsp;&nbsp;<a href="CustomView1rpt.php?export=excel">Export to Excel</a>
&nbsp;&nbsp;<a href="CustomView1rpt.php?export=word">Export to Word</a>
<?php if ($bFilterApplied) { ?>
&nbsp;&nbsp;<a href="CustomView1rpt.php?cmd=reset">Reset All Filters</a>
<?php } ?>
<?php } ?>
<br><br>
<?php if (@$sExport == "") { ?>
</div></td></tr>
<!-- Top Container (End) -->
<tr>
	<!-- Left Container (Begin) -->
	<td valign="top"><div id="ewLeft" class="phpreportmaker">
	<!-- Left slot -->
	</div></td>
	<!-- Left Container (End) -->
	<!-- Center Container - Report (Begin) -->
	<td valign="top" class="ewPadding"><div id="ewCenter" class="phpreportmaker">
	<!-- center slot -->
<?php } ?>
<!-- summary report starts -->
<div id="report_summary">
<?php if (@$sExport == "") { ?>
<form action="CustomView1rpt.php" name="ewpagerform" id="ewpagerform">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td nowrap>
<?php
if ($nTotalGrps > 0) {
	$rsEof = ($nTotalGrps < ($nStartGrp + $nDisplayGrps));
	$PrevStart = $nStartGrp - $nDisplayGrps;
	if ($PrevStart < 1) { $PrevStart = 1; }
	$NextStart = $nStartGrp + $nDisplayGrps;
	if ($NextStart > $nTotalGrps) { $NextStart = $nStartGrp ; }
	$LastStart = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
	?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpreportmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartGrp == 1) { ?>
	<td><img src="rptimages/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="CustomView1rpt.php?start=1"><img src="rptimages/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartGrp) { ?>
	<td><img src="rptimages/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="CustomView1rpt.php?start=<?php echo $PrevStart; ?>"><img src="rptimages/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartGrp-1)/$nDisplayGrps+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartGrp) { ?>
	<td><img src="rptimages/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="CustomView1rpt.php?start=<?php echo $NextStart; ?>"><img src="rptimages/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartGrp) { ?>
	<td><img src="rptimages/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="CustomView1rpt.php?start=<?php echo $LastStart; ?>"><img src="rptimages/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpreportmaker">&nbsp;of <?php echo intval(($nTotalGrps-1)/$nDisplayGrps+1);?></span></td>
	</tr></table>
	<?php if ($nStartGrp > $nTotalGrps) { $nStartGrp = $nTotalGrps; }
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
	$nGrpCount = $nTotalGrps - 1;
	if ($rsEof) { $nGrpCount = $nTotalGrps; }
	if ($nStopGrp > $nGrpCount) { $nStopGrp = $nGrpCount; } ?>
	<span class="phpreportmaker"> <?php echo $nStartGrp; ?> to <?php echo $nStopGrp; ?> of <?php echo $nTotalGrps; ?></span>
<?php } else { ?>
	<span class="phpreportmaker"></span>	
<?php } ?>
		</td>
<?php if ($nTotalGrps > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpreportmaker">Records Per Page&nbsp;
<select name="<?php echo EW_TABLE_GROUP_PER_PAGE; ?>" onChange="this.form.submit();" class="phpreportmaker">
<option value="1"<?php if ($nDisplayGrps == 1) echo " selected" ?>>1</option>
<option value="2"<?php if ($nDisplayGrps == 2) echo " selected" ?>>2</option>
<option value="3"<?php if ($nDisplayGrps == 3) echo " selected" ?>>3</option>
<option value="4"<?php if ($nDisplayGrps == 4) echo " selected" ?>>4</option>
<option value="5"<?php if ($nDisplayGrps == 5) echo " selected" ?>>5</option>
<option value="10"<?php if ($nDisplayGrps == 10) echo " selected" ?>>10</option>
<option value="20"<?php if ($nDisplayGrps == 20) echo " selected" ?>>20</option>
<option value="50"<?php if ($nDisplayGrps == 50) echo " selected" ?>>50</option>
<option value="ALL"<?php if (@$PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE] == -1) echo " selected" ?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
<!-- <form method="get"> -->
<!-- Report Grid (Begin) -->
<table id="ewReport" class="ewTable">
<?php

// Start group <= total number of groups
if (intval($nStartGrp) > intval($nTotalGrps)) {
	$nStartGrp = $nTotalGrps;
}

// Set the last group to display
$nStopGrp = $nStartGrp + $nDisplayGrps - 1;

// Stop group <= total number of groups
if (intval($nStopGrp) > intval($nTotalGrps)) {
	$nStopGrp = $nTotalGrps;
}
$nRecCount = 0;

// Init Summary Values
ResetLevelSummary(0);

// Get First Row
if ($rscnt > 0) {
	GetRow(1);
	$nGrpCount = 1;
}

// Force show first header
$bShowFirstHeader = TRUE;
while ($row || $bShowFirstHeader) {

	// Show Header
	if ($bShowFirstHeader) {
?>
	<tr>
		<td valign="bottom" class="ewTableHeader">
		client Name
<?php if (@$sExport == "") { ?>
		<a href="#" onClick="ew_ShowPopup(this.name, 'CustomView1clientName', false, '<?php echo $rf_clientName; ?>', '<?php echo $rt_clientName; ?>');return false;" name="x_clientName<?php echo $cnt[0][0]; ?>" id="x_clientName<?php echo $cnt[0][0]; ?>"><img src="rptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
		<td valign="bottom" class="ewTableHeader">
		project Name
<?php if (@$sExport == "") { ?>
		<a href="#" onClick="ew_ShowPopup(this.name, 'CustomView1projectName', false, '<?php echo $rf_projectName; ?>', '<?php echo $rt_projectName; ?>');return false;" name="x_projectName<?php echo $cnt[0][0]; ?>" id="x_projectName<?php echo $cnt[0][0]; ?>"><img src="rptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
		<td valign="bottom" class="ewTableHeader">
		full Name
<?php if (@$sExport == "") { ?>
		<a href="#" onClick="ew_ShowPopup(this.name, 'CustomView1fullName', false, '<?php echo $rf_fullName; ?>', '<?php echo $rt_fullName; ?>');return false;" name="x_fullName<?php echo $cnt[0][0]; ?>" id="x_fullName<?php echo $cnt[0][0]; ?>"><img src="rptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		</td>
		<td valign="bottom" class="ewTableHeader">
		hours
		</td>
		<td valign="bottom" class="ewTableHeader">
		date
		</td>
	</tr>
<?php
		$bShowFirstHeader = FALSE;
	}
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
		$nRecCount++;

		// Set row color
		$sItemRowClass = " class=\"ewTableRow\"";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1) {
			$sItemRowClass = " class=\"ewTableAltRow\"";
		}
?>
	<tr<?php echo $sItemRowClass; ?>>
		<td class="ewRptDtlField">
<?php echo $x_clientName ?>
</td>
		<td class="ewRptDtlField">
<?php echo $x_projectName ?>
</td>
		<td class="ewRptDtlField">
<?php echo $x_fullName ?>
</td>
		<td class="ewRptDtlField">
<?php echo $x_hours ?>
</td>
		<td class="ewRptDtlField">
<?php echo ew_FormatDateTime($x_date,5) ?>
</td>
	</tr>
<?php

		// Accumulate page summary
		AccumulateSummary();
	}

	// Accumulate grand summary
	AccumulateGrandSummary();

	// Get next record
	GetRow(2);
	$nGrpCount++;
} // End while
?>
</table>
<!-- </form> -->
</div>
<!-- Summary Report Ends -->
<?php if (@$sExport == "") { ?>
	</div><br></td>
	<!-- Center Container - Report (End) -->
	<!-- Right Container (Begin) -->
	<td valign="top"><div id="ewRight" class="phpreportmaker">
	<!-- Right slot -->
	</div></td>
	<!-- Right Container (End) -->
</tr>
<!-- Bottom Container (Begin) -->
<tr><td colspan="3"><div id="ewBottom" class="phpreportmaker">
	<!-- Bottom slot -->
	</div><br></td></tr>
<!-- Bottom Container (End) -->
</table>
<!-- Table Container (End) -->
<?php } ?>
<?php
php_close($conn);
?>
<?php include "rptinc/footer.php"; ?>
<?php

// Accummulate summary
function AccumulateSummary() {
	global $smry, $cnt, $col, $val, $mn, $mx;
	for ($ix = 0; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy]++;
			if ($col[$iy]) {
				$valwrk = $val[$iy];
				if ($valwrk == NULL || !is_numeric($valwrk)) {

					// skip
				} else {
					$smry[$ix][$iy] += $valwrk;
					if ($mn[$ix][$iy] == NULL) {
						$mn[$ix][$iy] = $valwrk;
						$mx[$ix][$iy] = $valwrk;
					} else {
						if ($mn[$ix][$iy] > $valwrk) $mn[$ix][$iy] = $valwrk;
						if ($mx[$ix][$iy] < $valwrk) $mx[$ix][$iy] = $valwrk;
					}
				}
			}
		}
	}
	for ($ix = 1; $ix < count($smry); $ix++) {
		$cnt[$ix][0]++;
	}
}

// Reset level summary
function ResetLevelSummary($lvl) {
	global $smry, $cnt, $col, $mn, $mx, $nRecCount, $grandsmry;

	// Clear summary values
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy] = 0;
			if ($col[$iy]) {
				$smry[$ix][$iy] = 0;
				$mn[$ix][$iy] = NULL;
				$mx[$ix][$iy] = NULL;
			}
		}
	}
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		$cnt[$ix][0] = 0;
	}

	// Clear grand summary
	if ($lvl == 0) {
		for ($iy = 1; $iy < count($grandsmry[$iy]); $iy++) {
			if ($col[$iy]) {
				$grandsmry[$iy] = 0;
				$grandmn[$iy] = NULL;
				$grandmx[$iy] = NULL;
			}
		}
	}

	// Clear old values
	// Reset record count

	$nRecCount = 0;
}

// Accummulate grand summary
function AccumulateGrandSummary() {
	global $cnt, $col, $val, $grandsmry, $grandmn, $grandmx;
	@$cnt[0][0]++;
	for ($iy = 1; $iy < count($grandsmry); $iy++) {
		if ($col[$iy]) {
			$valwrk = $val[$iy];
			if ($valwrk == NULL || !is_numeric($valwrk)) {

				// skip
			} else {
				$grandsmry[$iy] += $valwrk;
				if ($grandmn[$iy] == NULL) {
					$grandmn[$iy] = $valwrk;
					$grandmx[$iy] = $valwrk;
				} else {
					if ($grandmn[$iy] > $valwrk) $grandmn[$iy] = $valwrk;
					if ($grandmx[$iy] < $valwrk) $grandmx[$iy] = $valwrk;
				}
			}
		}
	}
}

// Get row values
function GetRow($opt) {
	global $rs, $rsidx, $row, $val, $rscnt;
	if ($rscnt == 0) return;
	if ($opt == 1) { // Get first row
		$row = $rs[0];
	} else { // Get next row
		$rsidx++;
		$row = ($rsidx < $rscnt) ? $rs[$rsidx] : FALSE;
	}
	while ($row) {
		if (ValidRow($row)) {
			$GLOBALS["x_clientName"] = $row["clientName"];
			$val[1] = $GLOBALS["x_clientName"];
			$GLOBALS["x_projectName"] = $row["projectName"];
			$val[2] = $GLOBALS["x_projectName"];
			$GLOBALS["x_fullName"] = $row["fullName"];
			$val[3] = $GLOBALS["x_fullName"];
			$GLOBALS["x_hours"] = $row["hours"];
			$val[4] = $GLOBALS["x_hours"];
			$GLOBALS["x_date"] = $row["date"];
			$val[5] = $GLOBALS["x_date"];
			break;
		} else {
			$rsidx++;
			$row = ($rsidx < $rscnt) ? $rs[$rsidx] : FALSE;
		}
	}
	if (!$row) {
		$GLOBALS["x_clientName"] = "";
		$GLOBALS["x_projectName"] = "";
		$GLOBALS["x_fullName"] = "";
		$GLOBALS["x_hours"] = "";
		$GLOBALS["x_date"] = "";
	}
}

//-------------------------------------------------------------------------------
// Function SetUpStartGroup
// - Set up Starting Record parameters based on Pager Navigation
// - Variables setup: nStartGrp

function SetUpStartGroup() {
	global $PHP_SESSION, $PHP_GET;
	global $nStartGrp, $nTotalGrps, $nDisplayGrps;

	// Check for a START parameter
	if (@$PHP_GET[EW_TABLE_START_GROUP] != "") {
		$nStartGrp = $PHP_GET[EW_TABLE_START_GROUP];
		$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (@$PHP_GET["pageno"] != "") {
		$nPageNo = $PHP_GET["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartGrp = ($nPageNo-1)*$nDisplayGrps+1;
			if ($nStartGrp <= 0) {
				$nStartGrp = 1;
			} elseif ($nStartGrp >= intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1) {
				$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
			}
			$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
		} else {
			$nStartGrp = @$PHP_SESSION[EW_TABLE_SESSION_START_GROUP];
			if (!is_numeric($nStartGrp) || $nStartGrp == "") {
				$nStartGrp = 1; // Reset start record counter
				$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
			}
		}
	} else {
		$nStartGrp = @$PHP_SESSION[EW_TABLE_SESSION_START_GROUP];
		if (!is_numeric($nStartGrp) || $nStartGrp == "") {
			$nStartGrp = 1; // Reset start record counter
			$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
		}
	}
}

//-------------------------------------------------------------------------------
// Function ResetCmd
// - RESET: reset search parameters

function ResetCmd() {
	global $PHP_SESSION, $PHP_POST, $PHP_GET;

	// Skip if post back
	if (count($PHP_POST) > 0) return;

	// Get Reset Cmd
	if (@$PHP_GET["cmd"] != "") {
		$sCmd = $PHP_GET["cmd"];
		if (strtolower($sCmd) == "reset") {
			$PHP_SESSION["all_CustomView1clientName"] = TRUE;
			$PHP_SESSION["sel_CustomView1clientName"] = "";
			$PHP_SESSION["rf_CustomView1clientName"] = "";
			$PHP_SESSION["rt_CustomView1clientName"] = "";
			$PHP_SESSION["all_CustomView1projectName"] = TRUE;
			$PHP_SESSION["sel_CustomView1projectName"] = "";
			$PHP_SESSION["rf_CustomView1projectName"] = "";
			$PHP_SESSION["rt_CustomView1projectName"] = "";
			$PHP_SESSION["all_CustomView1fullName"] = TRUE;
			$PHP_SESSION["sel_CustomView1fullName"] = "";
			$PHP_SESSION["rf_CustomView1fullName"] = "";
			$PHP_SESSION["rt_CustomView1fullName"] = "";
			ResetPager();
		}
	}
}

// Reset pager
function ResetPager() {

	// Reset Start Position (Reset Command)
	global $PHP_SESSION, $nStartGrp;
	$nStartGrp = 1;
	$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
}

// Set up selection
function SetupSelection() {
	global $PHP_SESSION, $PHP_POST, $PHP_GET;

	// Process post back form
	$sName = @$PHP_POST["popup"]; // Get popup form name
	$sName = (get_magic_quotes_gpc()) ? stripslashes($sName) : $sName;
	if ($sName <> "") {
		$arValues = @$PHP_POST["sel_" . $sName];
		if (is_array($arValues)) {
			if (get_magic_quotes_gpc()) array_walk($arValues, 'ew_StripSlashes');
			if (trim($arValues[0]) == "") { // Select all
				$PHP_SESSION["all_" . $sName] = TRUE;
				array_shift($arValues); // Remove first entry
			} else {
				$PHP_SESSION["all_" . $sName] = FALSE;
			}
			$PHP_SESSION["sel_" . $sName] = $arValues;
			$PHP_SESSION["rf_" . $sName] = (get_magic_quotes_gpc()) ? stripslashes(@$PHP_POST["from_" . $sName]) : @$PHP_POST["from_" . $sName];
			$PHP_SESSION["rt_" . $sName] = (get_magic_quotes_gpc()) ? stripslashes(@$PHP_POST["to_" . $sName]) : @$PHP_POST["to_" . $sName];
			ResetPager();
		}
	}

	// Load selection criteria to array
	// Get client Name selected values

	$bSelectedAll = ew_IsSelectedAll("CustomView1clientName");
	if (!$bSelectedAll) {
		$GLOBALS["sel_clientName"] = @$PHP_SESSION["sel_CustomView1clientName"];
		$GLOBALS["rf_clientName"] = @$PHP_SESSION["rf_CustomView1clientName"];
		$GLOBALS["rt_clientName"] = @$PHP_SESSION["rt_CustomView1clientName"];
	}

	// Get project Name selected values
	$bSelectedAll = ew_IsSelectedAll("CustomView1projectName");
	if (!$bSelectedAll) {
		$GLOBALS["sel_projectName"] = @$PHP_SESSION["sel_CustomView1projectName"];
		$GLOBALS["rf_projectName"] = @$PHP_SESSION["rf_CustomView1projectName"];
		$GLOBALS["rt_projectName"] = @$PHP_SESSION["rt_CustomView1projectName"];
	}

	// Get full Name selected values
	$bSelectedAll = ew_IsSelectedAll("CustomView1fullName");
	if (!$bSelectedAll) {
		$GLOBALS["sel_fullName"] = @$PHP_SESSION["sel_CustomView1fullName"];
		$GLOBALS["rf_fullName"] = @$PHP_SESSION["rf_CustomView1fullName"];
		$GLOBALS["rt_fullName"] = @$PHP_SESSION["rt_CustomView1fullName"];
	}
}

// Initialize group data - total number of groups + grouping field arrays
function InitReportData(&$rs) {
	global $conn, $nTotalGrps, $bFilterApplied;
	global $EW_TABLE_SQL_WHERE, $sFilter;
	global $x_clientName;
	global $EW_FIELD_CLIENTNAME_SQL_SELECT;
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ew_BuildReportSql("", $EW_FIELD_CLIENTNAME_SQL_SELECT, $EW_TABLE_SQL_WHERE, EW_TABLE_SQL_GROUPBY, EW_TABLE_SQL_HAVING, EW_FIELD_CLIENTNAME_SQL_ORDERBY, "", $sFilter, "");
	$rswrk = php_query($sSql, $conn) or die("" . __LINE__ . ": " . php_error($conn) . '<br>SQL: ' . $sSql);
	while ($row = php_fetch_array($rswrk)) {
		$GLOBALS["x_clientName"] = $row[0];
		if ($GLOBALS["x_clientName"] == NULL) {
			$bNullValue = TRUE;
		} elseif ($GLOBALS["x_clientName"] == "") {
			$bEmptyValue = TRUE;
		} else {
			$GLOBALS["tx_clientName"] = $x_clientName;
			ew_SetupDistinctValues($GLOBALS["val_clientName"], $GLOBALS["x_clientName"], $GLOBALS["tx_clientName"], FALSE);
		}
	}
	php_free_result($rswrk);
	if ($bEmptyValue) ew_SetupDistinctValues($GLOBALS["val_clientName"], "##empty", EW_EMPTY_LABEL, FALSE);
	if ($bNullValue) ew_SetupDistinctValues($GLOBALS["val_clientName"], "##null", EW_NULL_LABEL, FALSE);
	global $x_projectName;
	global $EW_FIELD_PROJECTNAME_SQL_SELECT;
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ew_BuildReportSql("", $EW_FIELD_PROJECTNAME_SQL_SELECT, $EW_TABLE_SQL_WHERE, EW_TABLE_SQL_GROUPBY, EW_TABLE_SQL_HAVING, EW_FIELD_PROJECTNAME_SQL_ORDERBY, "", $sFilter, "");
	$rswrk = php_query($sSql, $conn) or die("" . __LINE__ . ": " . php_error($conn) . '<br>SQL: ' . $sSql);
	while ($row = php_fetch_array($rswrk)) {
		$GLOBALS["x_projectName"] = $row[0];
		if ($GLOBALS["x_projectName"] == NULL) {
			$bNullValue = TRUE;
		} elseif ($GLOBALS["x_projectName"] == "") {
			$bEmptyValue = TRUE;
		} else {
			$GLOBALS["tx_projectName"] = $x_projectName;
			ew_SetupDistinctValues($GLOBALS["val_projectName"], $GLOBALS["x_projectName"], $GLOBALS["tx_projectName"], FALSE);
		}
	}
	php_free_result($rswrk);
	if ($bEmptyValue) ew_SetupDistinctValues($GLOBALS["val_projectName"], "##empty", EW_EMPTY_LABEL, FALSE);
	if ($bNullValue) ew_SetupDistinctValues($GLOBALS["val_projectName"], "##null", EW_NULL_LABEL, FALSE);
	global $x_fullName;
	global $EW_FIELD_FULLNAME_SQL_SELECT;
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ew_BuildReportSql("", $EW_FIELD_FULLNAME_SQL_SELECT, $EW_TABLE_SQL_WHERE, EW_TABLE_SQL_GROUPBY, EW_TABLE_SQL_HAVING, EW_FIELD_FULLNAME_SQL_ORDERBY, "", $sFilter, "");
	$rswrk = php_query($sSql, $conn) or die("" . __LINE__ . ": " . php_error($conn) . '<br>SQL: ' . $sSql);
	while ($row = php_fetch_array($rswrk)) {
		$GLOBALS["x_fullName"] = $row[0];
		if ($GLOBALS["x_fullName"] == NULL) {
			$bNullValue = TRUE;
		} elseif ($GLOBALS["x_fullName"] == "") {
			$bEmptyValue = TRUE;
		} else {
			$GLOBALS["tx_fullName"] = $x_fullName;
			ew_SetupDistinctValues($GLOBALS["val_fullName"], $GLOBALS["x_fullName"], $GLOBALS["tx_fullName"], FALSE);
		}
	}
	php_free_result($rswrk);
	if ($bEmptyValue) ew_SetupDistinctValues($GLOBALS["val_fullName"], "##empty", EW_EMPTY_LABEL, FALSE);
	if ($bNullValue) ew_SetupDistinctValues($GLOBALS["val_fullName"], "##null", EW_NULL_LABEL, FALSE);

	// Initialize group count
	$grpcnt = 0;
	foreach ($rs as $row) {
		$bValidRow = ValidRow($row);
		if (!$bValidRow) $bFilterApplied = TRUE;

		// Update group count
		if ($bValidRow) $grpcnt++;
	}

	// Set up total number of groups
	$nTotalGrps = $grpcnt;
}

// Check if row is valid
function ValidRow($row) {
	$ValidRow = TRUE;
	if ($ValidRow) $ValidRow = ew_SelectedValue($GLOBALS["sel_clientName"], $row["clientName"], $GLOBALS["ftx_clientName"], $GLOBALS["af_clientName"]);
	if ($ValidRow) $ValidRow = ew_SelectedValue($GLOBALS["sel_projectName"], $row["projectName"], $GLOBALS["ftx_projectName"], $GLOBALS["af_projectName"]);
	if ($ValidRow) $ValidRow = ew_SelectedValue($GLOBALS["sel_fullName"], $row["fullName"], $GLOBALS["ftx_fullName"], $GLOBALS["af_fullName"]);
	return $ValidRow;
}
?>
<?php

//-------------------------------------------------------------------------------
// Function SetUpDisplayGrps
// - Set up Number of Groups displayed per page based on Form element GrpPerPage
// - Variables setup: nDisplayGrps

function SetUpDisplayGrps() {
	global $PHP_GET;
	global $PHP_SESSION;
	global $nDisplayGrps;
	global $nStartGrp;
	$sWrk = @$PHP_GET[EW_TABLE_GROUP_PER_PAGE];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayGrps = intval($sWrk);
		} else {
			if (strtoupper($sWrk) == "ALL") { // Display All Records
				$nDisplayGrps = -1;
			} else {
				$nDisplayGrps = 3; // Non-numeric, Load Default
			}
		}
		$PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE] = $nDisplayGrps; // Save to Session

		// Reset Start Position (Reset Command)
		$nStartGrp = 1;
		$PHP_SESSION[EW_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} else {
		if (@$PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE] <> "") {
			$nDisplayGrps = $PHP_SESSION[EW_TABLE_SESSION_GROUP_PER_PAGE]; // Restore from Session
		} else {
			$nDisplayGrps = 3; // Load Default
		}
	}
}
?>
