<?php
session_start();
ob_start();
?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php include "phprptinc/ewrcfg2.php"; ?>
<?php include "phprptinc/ewmysql.php"; ?>
<?php include "phprptinc/ewrfn2.php"; ?>
<?php include "phprptinc/ewrsecu2.php"; ?>
<?php
// Table level constants


define("EW_REPORT_TABLE_VAR", "TimeSheet_Report", TRUE);
define("EW_REPORT_TABLE_GROUP_PER_PAGE", "grpperpage", TRUE);
define("EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE", "TimeSheet_Report_grpperpage", TRUE);
define("EW_REPORT_TABLE_START_GROUP", "start", TRUE);
define("EW_REPORT_TABLE_SESSION_START_GROUP", "TimeSheet_Report_start", TRUE);
define("EW_REPORT_TABLE_SESSION_SEARCH", "TimeSheet_Report_search", TRUE);
define("EW_REPORT_TABLE_CHILD_USER_ID", "childuserid", TRUE);
define("EW_REPORT_TABLE_SESSION_CHILD_USER_ID", "TimeSheet_Report_childuserid", TRUE);

// Table level SQL

if (empty($sv1_date) || $sv1_date=="")
{
$EW_REPORT_TABLE_SQL_FROM = "tbltimesheet A Inner Join tblclient B On A.ClientID = B.ClientID Inner Join tblprojects C On C.ProjectID = A.ProjectID Inner Join tblusers D On A.userID= D.userID Inner Join tblproductgrp E On D.productGroupID= E.productID";
$EW_REPORT_TABLE_SQL_SELECT = "SELECT A.date,D.Uname,B.clientName , C.projectName ,A.description, A.hours FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_TABLE_SQL_WHERE = "(C.currentProject <> 0 and D.productGroupID = 4 and AND date_sub( curdate( ) , INTERVAL 7 DAY ) ) ";
$EW_REPORT_TABLE_SQL_GROUPBY = "";
$EW_REPORT_TABLE_SQL_HAVING = "";
$EW_REPORT_TABLE_SQL_ORDERBY = "D.Uname ASC, B.clientName ASC, C.projectName ASC, A.date,B.clientName,C.ProjectName";
}
else
{
$EW_REPORT_TABLE_SQL_FROM = "tbltimesheet A Inner Join tblclient B On A.ClientID = B.ClientID Inner Join tblprojects C On C.ProjectID = A.ProjectID Inner Join tblusers D On A.userID= D.userID Inner Join tblproductgrp E On D.productGroupID= E.productID";
$EW_REPORT_TABLE_SQL_SELECT = "SELECT A.date,D.Uname,B.clientName , C.projectName ,A.description, A.hours FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_TABLE_SQL_WHERE = "(C.currentProject <> 0 and D.productGroupID = 4)";
$EW_REPORT_TABLE_SQL_GROUPBY = "";
$EW_REPORT_TABLE_SQL_HAVING = "";
$EW_REPORT_TABLE_SQL_ORDERBY = "D.Uname ASC, B.clientName ASC, C.projectName ASC, A.date,B.clientName,C.ProjectName";

}
$EW_REPORT_TABLE_SQL_USERID_FILTER = "";
$af_date = NULL; // Popup filter for date
$af_Uname = NULL; // Popup filter for Uname
$af_clientName = NULL; // Popup filter for clientName
$af_projectName = NULL; // Popup filter for projectName
$af_hours = NULL; // Popup filter for hours
$af_description = NULL; // Popup filter for description
?>
<?php
$sExport = @$_GET["export"]; // Load export request
if ($sExport == "excel") {
	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.xls');
}
if ($sExport == "word") {
	header('Content-Type: application/vnd.ms-word');
	header('Content-Disposition: attachment; filename=' . EW_REPORT_TABLE_VAR .'.doc');
}
?>
<?php

// Initialize common variables
// Paging variables

$nRecCount = 0; // Record count
$nStartGrp = 0; // Start group
$nStopGrp = 0; // Stop group
$nTotalGrps = 0; // Total groups
$nGrpCount = 0; // Group count
$nDisplayGrps = 3; // Groups per page
$nGrpRange = 10;

// Clear field for ext filter
$sClearExtFilter = "";

// Dropdown filters
// Extended filters
// Field date

$sv1_date = ""; $sv1d_date = "";
$sv2_date = ""; $sv2d_date = "";
$so1_date = ""; $so1d_date = "";
$so2_date = ""; $so2d_date = "";
$sc_date = ""; $scd_date = "";

// Custom filters
$ewrpt_CustomFilters = array();
?>
<?php
$EW_REPORT_FIELD_UNAME_SQL_SELECT = "SELECT DISTINCT D.Uname FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_UNAME_SQL_ORDERBY = "D.Uname";
$EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT = "SELECT DISTINCT B.clientName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY = "B.clientName";
$EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT = "SELECT DISTINCT C.projectName FROM " . $EW_REPORT_TABLE_SQL_FROM;
$EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY = "C.projectName";
?>
<?php

// Field variables
$x_date = NULL;
$x_Uname = NULL;
$x_clientName = NULL;
$x_projectName = NULL;
$x_hours = NULL;
$x_description = NULL;

// Group variables
$o_Uname = NULL; $g_Uname = NULL; $dg_Uname = NULL; $t_Uname = NULL; $ft_Uname = 200; $gf_Uname = $ft_Uname; $gb_Uname = ""; $gi_Uname = "0"; $rf_Uname = NULL; $rt_Uname = NULL;
$o_clientName = NULL; $g_clientName = NULL; $dg_clientName = NULL; $t_clientName = NULL; $ft_clientName = 200; $gf_clientName = $ft_clientName; $gb_clientName = ""; $gi_clientName = "0"; $rf_clientName = NULL; $rt_clientName = NULL;
$o_projectName = NULL; $g_projectName = NULL; $dg_projectName = NULL; $t_projectName = NULL; $ft_projectName = 200; $gf_projectName = $ft_projectName; $gb_projectName = ""; $gi_projectName = "0"; $rf_projectName = NULL; $rt_projectName = NULL;

// Detail variables
$o_date = NULL; $t_date = NULL; $ft_date = 133; $rf_date = NULL; $rt_date = NULL;
$o_hours = NULL; $t_hours = NULL; $ft_hours = 4; $rf_hours = NULL; $rt_hours = NULL;
$o_description = NULL; $t_description = NULL; $ft_description = 201; $rf_description = NULL; $rt_description = NULL;
?>
<?php

// Open connection to the database
$conn = ewrpt_Connect();

// Filter
$sFilter = "";

// Aggregate variables
// 1st dimension = no of groups (level 0 used for grand total)
// 2nd dimension = no of fields

$nDtls = 4;
$nGrps = 4;
$val = ewrpt_InitArray($nDtls, 0);
$cnt = ewrpt_Init2DArray($nGrps, $nDtls, 0);
$smry = ewrpt_Init2DArray($nGrps, $nDtls, 0);
$mn = ewrpt_Init2DArray($nGrps, $nDtls, NULL);
$mx = ewrpt_Init2DArray($nGrps, $nDtls, NULL);
$grandsmry = ewrpt_InitArray($nDtls, 0);
$grandmn = ewrpt_InitArray($nDtls, NULL);
$grandmx = ewrpt_InitArray($nDtls, NULL);

// Set up if accumulation required
$col = array(FALSE, FALSE, TRUE, FALSE);

// Set up groups per page dynamically
SetUpDisplayGrps();

// Load default filter values
LoadDefaultFilters();

// Set up popup filter
SetupPopup();

// Extended filter
// Get dropdown values

GetExtendedFilterValues();

// Set up custom filters
SetupCustomFilters();

// Build extended filter
$sExtendedFilter = GetExtendedFilter();
if ($sExtendedFilter <> "") {
	if ($sFilter <> "")
  	$sExtendedFilter = "($sFilter) AND ($sExtendedFilter)";
} else {
	$sExtendedFilter = $sFilter;
}

// Check if filter applied
$bFilterApplied = CheckFilter();

// Build SQL
$sSql = ewrpt_BuildReportSql("", $EW_REPORT_TABLE_SQL_SELECT, $EW_REPORT_TABLE_SQL_WHERE, $EW_REPORT_TABLE_SQL_GROUPBY, $EW_REPORT_TABLE_SQL_HAVING, $EW_REPORT_TABLE_SQL_ORDERBY, "", $sExtendedFilter, @$sSort);

// echo $sSql . "<br />"; // Uncomment to show SQL
// Load recordset

$rs = $conn->Execute($sSql);
$rscnt = ($rs) ? $rs->RecordCount() : 0;

// Detail distinct and selection values
InitReportData($rs);
if ($nDisplayGrps <= 0) // Display all groups
	$nDisplayGrps = $nTotalGrps;
$nStartGrp = 1;

// Set up start position if not export all
if (!(EW_REPORT_EXPORT_ALL && @$sExport <> ""))
	SetUpStartGroup();
?>
<?php include "phprptinc/header.php"; ?>
<?php if (@$sExport == "") { ?>
<script type="text/javascript">
var ewrpt_DateSep = "/";
</script>
<script type="text/javascript" src="phprptjs/ewrpt.js"></script>
<script type="text/javascript">

function ewrpt_ValidateExtFilter(form_obj) {
var elm = form_obj.sv1_date;
if (elm && !ewrpt_CheckDate(elm.value)) {
	if (!ewrpt_OnError(elm, "Incorrect date, format = yyyy/mm/dd - Date"))
		return false;
}
var elm = form_obj.sv2_date;
if (elm && !ewrpt_CheckDate(elm.value)) {
	if (!ewrpt_OnError(elm, "Incorrect date, format = yyyy/mm/dd - Date"))
		return false;
}
	return true;
}
</script>
<link rel="stylesheet" type="text/css" media="all" href="jscalendar/calendar-win2k-1.css" title="win2k-1" />
<script type="text/javascript" src="jscalendar/calendar.js"></script>
<script type="text/javascript" src="jscalendar/lang/calendar-en.js"></script>
<script type="text/javascript" src="jscalendar/calendar-setup.js"></script>
<?php } ?>
<?php if (@$sExport == "") { ?>
<script src="phprptjs/x/x_core.js" type="text/javascript"></script>
<script src="phprptjs/x/x_event.js" type="text/javascript"></script>
<script src="phprptjs/x/x_drag.js" type="text/javascript"></script>
<script src="phprptjs/popup.js" type="text/javascript"></script>
<script src="phprptjs/ewrptpop.js" type="text/javascript"></script>
<script src="FusionChartsFree/JSClass/FusionCharts.js" type="text/javascript"></script>
<script type="text/javascript">
var EW_REPORT_POPUP_ALL = "(All)";
var EW_REPORT_POPUP_OK = "  OK  ";
var EW_REPORT_POPUP_CANCEL = "Cancel";
var EW_REPORT_POPUP_FROM = "From";
var EW_REPORT_POPUP_TO = "To";
var EW_REPORT_POPUP_PLEASE_SELECT = "Please Select";
var EW_REPORT_POPUP_NO_VALUE = "No value selected!";

// popup fields
<?php $jsdata = ewrpt_GetJsData($val_Uname, $sel_Uname, $ft_Uname) ?>
ewrpt_CreatePopup("TimeSheet_Report_Uname", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_clientName, $sel_clientName, $ft_clientName) ?>
ewrpt_CreatePopup("TimeSheet_Report_clientName", [<?php echo $jsdata ?>]);
<?php $jsdata = ewrpt_GetJsData($val_projectName, $sel_projectName, $ft_projectName) ?>
ewrpt_CreatePopup("TimeSheet_Report_projectName", [<?php echo $jsdata ?>]);
</script>
<div id="TimeSheet_Report_Uname_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="TimeSheet_Report_clientName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<div id="TimeSheet_Report_projectName_Popup" class="ewPopup">
<span class="phpreportmaker"></span>
</div>
<?php } ?>
<?php if (@$sExport == "") { ?>
<!-- Table Container (Begin) -->
<table id="ewContainer" cellspacing="0" cellpadding="0" border="0">
<!-- Top Container (Begin) -->
<tr><td colspan="3" class="ewPadding"><div id="ewTop" class="phpreportmaker">
<!-- top slot -->
<a name="top"></a>
<?php } ?>
timesheetresourse Report 
<?php if (@$sExport == "") { ?>
&nbsp;&nbsp;<a href="TimeSheet_Reportsmry.php?export=excel">Export to Excel</a>
&nbsp;&nbsp;<a href="TimeSheet_Reportsmry.php?export=word">Export to Word</a>
<?php if ($bFilterApplied) { ?>
&nbsp;&nbsp;<a href="TimeSheet_Reportsmry.php?cmd=reset">Reset All Filters</a>
<?php } ?>
<?php } ?>
<br /><br />
<?php if (@$sExport == "") { ?>
</div></td></tr>
<!-- Top Container (End) -->
<tr>
	<!-- Left Container (Begin) -->
	<td valign="top"><div id="ewLeft" class="phpreportmaker">
	<!-- Left slot -->
	</div></td>
	<!-- Left Container (End) -->
	<!-- Center Container - Report (Begin) -->
	<td valign="top" class="ewPadding"><div id="ewCenter" class="phpreportmaker">
	<!-- center slot -->
<?php } ?>
<!-- summary report starts -->
<div id="report_summary">
<?php if (@$sExport == "") { ?>
<?php
if (EW_REPORT_FILTER_PANEL_OPTION == 2 || (EW_REPORT_FILTER_PANEL_OPTION == 3 && $bFilterApplied) || $sExtendedFilter == "0=101") {
	$sButtonImage = "phprptimages/collapse.gif";
	$sDivDisplay = "";
} else {
	$sButtonImage = "phprptimages/expand.gif";
	$sDivDisplay = " style=\"display: none;\"";
}
?>
<a href="javascript:ewrpt_ToggleFilterPanel();" style="text-decoration: none;"><img id="ewrptToggleFilterImg" src="<?php echo $sButtonImage ?>" alt="" width="9" height="9" border="0"></a><span class="phpreportmaker">&nbsp;Filters</span><br /><br />
<div id="ewrptExtFilterPanel"<?php echo $sDivDisplay ?>>
<!-- Search form (begin) -->
<form name="fTimeSheet_Reportsummaryfilter" id="fTimeSheet_Reportsummaryfilter" action="TimeSheet_Reportsmry.php" onSubmit="return ewrpt_ValidateExtFilter(this);">
<table class="ewRptExtFilter">
	<tr>
		<td><span class="phpreportmaker">Date</span></td>
		<td><span class="ewRptSearchOpr">between<input type="hidden" name="so1_date" id="so1_date" value="BETWEEN"></span></td>
		<td><span class="phpreportmaker">
<?php
if (empty(sv1_date) || sv1_date=="")
{
$sv1_date = 
}
?>
<input type="text" name="sv1_date" id="sv1_date" value="<?php echo ewrpt_HtmlEncode($sv1_date) ?>"<?php echo ($sClearExtFilter == 'TimeSheet_Report_date') ? " class=\"ewInputCleared\"" : "" ?>>
<img src="phprptimages/calendar.png" id="csv1_date" alt="" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "sv1_date", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "csv1_date" // ID of the button
})
</script>
</span></td>
		<td></td>
		<td><span class="ewRptSearchOpr" name="_so2_date" id="_so2_date">and<input type="hidden" name="so2_date" id="so2_date" value="AND"></span></td>
		<td><span class="phpreportmaker">
<input type="text" name="sv2_date" id="sv2_date" value="<?php echo ewrpt_HtmlEncode($sv2_date) ?>"<?php echo ($sClearExtFilter == 'TimeSheet_Report_date') ? " class=\"ewInputCleared\"" : "" ?>>
<img src="phprptimages/calendar.png" id="csv2_date" alt="" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "sv2_date", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "csv2_date" // ID of the button
})
</script>
</span></td>
	</tr>
</table>
<table class="ewRptExtFilter">
	<tr>
		<td><span class="phpreportmaker">
			<input type="Submit" name="Submit" id="Submit" value="Search">&nbsp;
			<input type="Reset" name="Reset" id="Reset" value="Reset">&nbsp;
		</span></td>
	</tr>
</table>
</form>
<!-- Search form (end) -->
</div>
<br />
<?php } ?>
<?php if (defined("EW_REPORT_SHOW_CURRENT_FILTER")) { ?>
<div id="ewrptFilterList">
<?php ShowFilterList() ?>
</div>
<br />
<?php } ?>
<!-- Report Grid (Begin) -->
<table id="ewReport" class="ewTable">
<?php

// Set the last group to display if not export all
if (EW_REPORT_EXPORT_ALL && @$sExport <> "") {
	$nStopGrp = $nTotalGrps;
} else {
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
}

// Stop group <= total number of groups
if (intval($nStopGrp) > intval($nTotalGrps))
	$nStopGrp = $nTotalGrps;
$nRecCount = 0;

// Init summary values
ResetLevelSummary(0);

// Get first row
if ($rscnt > 0) {
	GetRow(1);
	$nGrpCount = 1;
}

// Force show first header
$bShowFirstHeader = TRUE;
while (($rs && !$rs->EOF) || $bShowFirstHeader) {

	// Show header
	if ($bShowFirstHeader) {
?>
	<tr>
		<td valign="bottom" class="ewRptGrpHeader1">
		<?php if ($bShowFirstHeader || ChkLvlBreak(1)) { ?>
		UserName
<?php if (@$sExport == "") { ?>
		<a href="#" onClick="ewrpt_ShowPopup(this.name, 'TimeSheet_Report_Uname', false, '<?php echo $rf_Uname; ?>', '<?php echo $rt_Uname; ?>');return false;" name="x_Uname<?php echo $cnt[0][0]; ?>" id="x_Uname<?php echo $cnt[0][0]; ?>"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		<?php } ?>
		</td>
		<td valign="bottom" class="ewRptGrpHeader2">
		<?php if ($bShowFirstHeader || ChkLvlBreak(2)) { ?>
		Client Name
<?php if (@$sExport == "") { ?>
		<a href="#" onClick="ewrpt_ShowPopup(this.name, 'TimeSheet_Report_clientName', false, '<?php echo $rf_clientName; ?>', '<?php echo $rt_clientName; ?>');return false;" name="x_clientName<?php echo $cnt[0][0]; ?>" id="x_clientName<?php echo $cnt[0][0]; ?>"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		<?php } ?>
		</td>
		<td valign="bottom" class="ewRptGrpHeader3">
		<?php if ($bShowFirstHeader || ChkLvlBreak(3)) { ?>
		Project Name
<?php if (@$sExport == "") { ?>
		<a href="#" onClick="ewrpt_ShowPopup(this.name, 'TimeSheet_Report_projectName', false, '<?php echo $rf_projectName; ?>', '<?php echo $rt_projectName; ?>');return false;" name="x_projectName<?php echo $cnt[0][0]; ?>" id="x_projectName<?php echo $cnt[0][0]; ?>"><img src="phprptimages/popup.gif" width="15" height="14" align="texttop" border="0" alt=""></a>
<?php } ?>
		<?php } ?>
		</td>
		<td valign="bottom" class="ewTableHeader">
		Date
		</td>
		<td valign="bottom" class="ewTableHeader">
		Worked Hours
		</td>
		<td valign="bottom" class="ewTableHeader">
		description
		</td>
	</tr>
<?php
		$bShowFirstHeader = FALSE;
	}
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
		$nRecCount++;

		// Set row color
		$sItemRowClass = " class=\"ewTableRow\"";

		// Display alternate color for rows
		if ($nRecCount % 2 <> 1)
			$sItemRowClass = " class=\"ewTableAltRow\"";

		// Show group values
		$dg_Uname = $x_Uname;
		if ((is_null($x_Uname) && is_null($o_Uname)) ||
			(($x_Uname <> "" && $o_Uname == $dg_Uname) && !ChkLvlBreak(1))) {
			$dg_Uname = "";
		} elseif (is_null($x_Uname)) {
			$dg_Uname = EW_REPORT_NULL_LABEL;
		} elseif ($x_Uname == "") {
			$dg_Uname = EW_REPORT_EMPTY_LABEL;
		}
		$dg_clientName = $x_clientName;
		if ((is_null($x_clientName) && is_null($o_clientName)) ||
			(($x_clientName <> "" && $o_clientName == $dg_clientName) && !ChkLvlBreak(2))) {
			$dg_clientName = "";
		} elseif (is_null($x_clientName)) {
			$dg_clientName = EW_REPORT_NULL_LABEL;
		} elseif ($x_clientName == "") {
			$dg_clientName = EW_REPORT_EMPTY_LABEL;
		}
		$dg_projectName = $x_projectName;
		if ((is_null($x_projectName) && is_null($o_projectName)) ||
			(($x_projectName <> "" && $o_projectName == $dg_projectName) && !ChkLvlBreak(3))) {
			$dg_projectName = "";
		} elseif (is_null($x_projectName)) {
			$dg_projectName = EW_REPORT_NULL_LABEL;
		} elseif ($x_projectName == "") {
			$dg_projectName = EW_REPORT_EMPTY_LABEL;
		}
?>
	<tr<?php echo $sItemRowClass; ?>>
		<td class="ewRptGrpField1">
		<?php $t_Uname = $x_Uname; $x_Uname = $dg_Uname; ?>
<?php echo $x_Uname ?>
		<?php $x_Uname = $t_Uname; ?></td>
		<td class="ewRptGrpField2">
		<?php $t_clientName = $x_clientName; $x_clientName = $dg_clientName; ?>
<?php echo $x_clientName ?>
		<?php $x_clientName = $t_clientName; ?></td>
		<td class="ewRptGrpField3">
		<?php $t_projectName = $x_projectName; $x_projectName = $dg_projectName; ?>
<?php echo $x_projectName ?>
		<?php $x_projectName = $t_projectName; ?></td>
		<td class="ewRptDtlField">
<?php echo ewrpt_FormatDateTime($x_date,5) ?>
</td>
		<td class="ewRptDtlField">
<?php echo $x_hours ?>
</td>
		<td class="ewRptDtlField">
<?php echo str_replace(chr(10), "<br>", $x_description); ?>
</td>
	</tr>
<?php

		// Accumulate page summary
		AccumulateSummary();
	}

	// Accumulate grand summary
	AccumulateGrandSummary();

	// Save old group values
	$o_Uname = $x_Uname;
	$o_clientName = $x_clientName;
	$o_projectName = $x_projectName;

	// Get next record
	GetRow(2);

	// Show Footers
	if (intval($nGrpCount) >= intval($nStartGrp) && $nGrpCount <= $nStopGrp) {
?>
<?php
		if (ChkLvlBreak(1) && intval(@$cnt[1][0]) > 0) {
?>
	<tr>
		<td colspan="6" class="ewRptGrpSummary1">Summary for UserName: <?php $t_Uname = $x_Uname; $x_Uname = $o_Uname; ?>
<?php echo $x_Uname ?>
<?php $x_Uname = $t_Uname; ?> (<?php echo ewrpt_FormatNumber($cnt[1][0],0,-2,-2,-2); ?> Detail Records)</td></tr>
	<tr>
		<td colspan="3" class="ewRptGrpSummary1">SUM</td>
		<td class="ewRptGrpSummary1">&nbsp;</td>
		<td class="ewRptGrpSummary1">
		<?php $t_hours = $x_hours; ?>
		<?php $x_hours = $smry[1][2]; // Load SUM ?>
<?php echo $x_hours ?>
		<?php $x_hours = $t_hours; ?>
		</td>
		<td class="ewRptGrpSummary1">&nbsp;</td>
	</tr>
<?php

			// Reset level 1 summary
			ResetLevelSummary(1);
		}
?>
<?php
	}

	// Increment group count
	if (ChkLvlBreak(1))
		$nGrpCount++;
} // End while
?>
<?php if ($nTotalGrps > 0) { ?>
	<!-- tr><td colspan="6"><span class="phpreportmaker">&nbsp;<br /></span></td></tr -->
	<tr class="ewRptGrandSummary"><td colspan="6">Grand Total (<?php echo ewrpt_FormatNumber($cnt[0][0],0,-2,-2,-2); ?> Detail Records)</td></tr>
	<tr class="ewRptGrandSummary">
		<td colspan="3" class="ewRptGrpAggregate">SUM</td>
		<td>&nbsp;</td>
		<td>
		<?php $t_hours = $x_hours; ?>
		<?php $x_hours = $grandsmry[2]; // Load SUM ?>
<?php echo $x_hours ?>
		<?php $x_hours = $t_hours; ?>
		</td>
		<td>&nbsp;</td>
	</tr>
<?php } ?>
</table>
<br />
<?php if (@$sExport == "") { ?>
<form action="TimeSheet_Reportsmry.php" name="ewpagerform" id="ewpagerform">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td nowrap>
<?php
if ($nTotalGrps > 0) {
	$rsEof = ($nTotalGrps < ($nStartGrp + $nDisplayGrps));
	$PrevStart = $nStartGrp - $nDisplayGrps;
	if ($PrevStart < 1)
		$PrevStart = 1;
	$NextStart = $nStartGrp + $nDisplayGrps;
	if ($NextStart > $nTotalGrps)
		$NextStart = $nStartGrp;
	$LastStart = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
?>
	<table border="0" cellspacing="0" cellpadding="0"><tr><td><span class="phpreportmaker">Page&nbsp;</span></td>
<!--first page button-->
	<?php if ($nStartGrp == 1) { ?>
	<td><img src="phprptimages/firstdisab.gif" alt="First" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="TimeSheet_Reportsmry.php?start=1"><img src="phprptimages/first.gif" alt="First" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--previous page button-->
	<?php if ($PrevStart == $nStartGrp) { ?>
	<td><img src="phprptimages/prevdisab.gif" alt="Previous" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="TimeSheet_Reportsmry.php?start=<?php echo $PrevStart; ?>"><img src="phprptimages/prev.gif" alt="Previous" width="16" height="16" border="0"></a></td>
	<?php } ?>
<!--current page number-->
	<td><input type="text" name="pageno" value="<?php echo intval(($nStartGrp-1)/$nDisplayGrps+1); ?>" size="4"></td>
<!--next page button-->
	<?php if ($NextStart == $nStartGrp) { ?>
	<td><img src="phprptimages/nextdisab.gif" alt="Next" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="TimeSheet_Reportsmry.php?start=<?php echo $NextStart; ?>"><img src="phprptimages/next.gif" alt="Next" width="16" height="16" border="0"></a></td>
	<?php  } ?>
<!--last page button-->
	<?php if ($LastStart == $nStartGrp) { ?>
	<td><img src="phprptimages/lastdisab.gif" alt="Last" width="16" height="16" border="0"></td>
	<?php } else { ?>
	<td><a href="TimeSheet_Reportsmry.php?start=<?php echo $LastStart; ?>"><img src="phprptimages/last.gif" alt="Last" width="16" height="16" border="0"></a></td>
	<?php } ?>
	<td><span class="phpreportmaker">&nbsp;of <?php echo intval(($nTotalGrps-1)/$nDisplayGrps+1);?></span></td>
	</tr></table>
	<?php
	if ($nStartGrp > $nTotalGrps)
		$nStartGrp = $nTotalGrps;
	$nStopGrp = $nStartGrp + $nDisplayGrps - 1;
	$nGrpCount = $nTotalGrps - 1;
	if ($rsEof)
		$nGrpCount = $nTotalGrps;
	if ($nStopGrp > $nGrpCount)
		$nStopGrp = $nGrpCount; ?>
	<span class="phpreportmaker"> <?php echo $nStartGrp; ?> to <?php echo $nStopGrp; ?> of <?php echo $nTotalGrps; ?></span>
<?php } else { ?>
	<?php if ($sExtendedFilter == "0=101") { ?>
	<span class="phpreportmaker">Please enter search criteria</span>
	<?php } else { ?>
	<span class="phpreportmaker">No records found</span>
	<?php } ?>
<?php } ?>
		</td>
<?php if ($nTotalGrps > 0) { ?>
		<td nowrap>&nbsp;&nbsp;&nbsp;&nbsp;</td>
		<td align="right" valign="top" nowrap><span class="phpreportmaker">Groups Per Page&nbsp;
<select name="<?php echo EW_REPORT_TABLE_GROUP_PER_PAGE; ?>" onChange="this.form.submit();" class="phpreportmaker">
<option value="1"<?php if ($nDisplayGrps == 1) echo " selected" ?>>1</option>
<option value="2"<?php if ($nDisplayGrps == 2) echo " selected" ?>>2</option>
<option value="3"<?php if ($nDisplayGrps == 3) echo " selected" ?>>3</option>
<option value="4"<?php if ($nDisplayGrps == 4) echo " selected" ?>>4</option>
<option value="5"<?php if ($nDisplayGrps == 5) echo " selected" ?>>5</option>
<option value="10"<?php if ($nDisplayGrps == 10) echo " selected" ?>>10</option>
<option value="20"<?php if ($nDisplayGrps == 20) echo " selected" ?>>20</option>
<option value="50"<?php if ($nDisplayGrps == 50) echo " selected" ?>>50</option>
<option value="ALL"<?php if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] == -1) echo " selected" ?>>All Records</option>
</select>
		</span></td>
<?php } ?>
	</tr>
</table>
</form>
<?php } ?>
</div>
<!-- Summary Report Ends -->
<?php if (@$sExport == "") { ?>
	</div><br /></td>
	<!-- Center Container - Report (End) -->
	<!-- Right Container (Begin) -->
	<td valign="top"><div id="ewRight" class="phpreportmaker">
	<!-- Right slot -->
	</div></td>
	<!-- Right Container (End) -->
</tr>
<!-- Bottom Container (Begin) -->
<tr><td colspan="3"><div id="ewBottom" class="phpreportmaker">
	<!-- Bottom slot -->
	</div><br /></td></tr>
<!-- Bottom Container (End) -->
</table>
<!-- Table Container (End) -->
<?php } ?>
<?php
$conn->Close();
?>
<?php include "phprptinc/footer.php"; ?>
<?php

// Check level break
function ChkLvlBreak($lvl) {
	switch ($lvl) {
		case 1:
			return (is_null($GLOBALS["x_Uname"]) && !is_null($GLOBALS["o_Uname"])) ||
				(!is_null($GLOBALS["x_Uname"]) && is_null($GLOBALS["o_Uname"])) ||
				($GLOBALS["x_Uname"] <> $GLOBALS["o_Uname"]);
		case 2:
			return (is_null($GLOBALS["x_clientName"]) && !is_null($GLOBALS["o_clientName"])) ||
				(!is_null($GLOBALS["x_clientName"]) && is_null($GLOBALS["o_clientName"])) ||
				($GLOBALS["x_clientName"] <> $GLOBALS["o_clientName"]) || ChkLvlBreak(1); // Recurse upper level
		case 3:
			return (is_null($GLOBALS["x_projectName"]) && !is_null($GLOBALS["o_projectName"])) ||
				(!is_null($GLOBALS["x_projectName"]) && is_null($GLOBALS["o_projectName"])) ||
				($GLOBALS["x_projectName"] <> $GLOBALS["o_projectName"]) || ChkLvlBreak(2); // Recurse upper level
	}
}

// Accummulate summary
function AccumulateSummary() {
	global $smry, $cnt, $col, $val, $mn, $mx;
	for ($ix = 0; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy]++;
			if ($col[$iy]) {
				$valwrk = $val[$iy];
				if (is_null($valwrk) || !is_numeric($valwrk)) {

					// skip
				} else {
					$smry[$ix][$iy] += $valwrk;
					if (is_null($mn[$ix][$iy])) {
						$mn[$ix][$iy] = $valwrk;
						$mx[$ix][$iy] = $valwrk;
					} else {
						if ($mn[$ix][$iy] > $valwrk) $mn[$ix][$iy] = $valwrk;
						if ($mx[$ix][$iy] < $valwrk) $mx[$ix][$iy] = $valwrk;
					}
				}
			}
		}
	}
	for ($ix = 1; $ix < count($smry); $ix++) {
		$cnt[$ix][0]++;
	}
}

// Reset level summary
function ResetLevelSummary($lvl) {
	global $smry, $cnt, $col, $mn, $mx, $nRecCount, $grandsmry;

	// Clear summary values
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		for ($iy = 1; $iy < count($smry[$ix]); $iy++) {
			$cnt[$ix][$iy] = 0;
			if ($col[$iy]) {
				$smry[$ix][$iy] = 0;
				$mn[$ix][$iy] = NULL;
				$mx[$ix][$iy] = NULL;
			}
		}
	}
	for ($ix = $lvl; $ix < count($smry); $ix++) {
		$cnt[$ix][0] = 0;
	}

	// Clear grand summary
	if ($lvl == 0) {
		for ($iy = 1; $iy < count($grandsmry[$iy]); $iy++) {
			if ($col[$iy]) {
				$grandsmry[$iy] = 0;
				$grandmn[$iy] = NULL;
				$grandmx[$iy] = NULL;
			}
		}
	}

	// Clear old values
	if ($lvl <= 1) $GLOBALS["o_Uname"] = "";
	if ($lvl <= 2) $GLOBALS["o_clientName"] = "";
	if ($lvl <= 3) $GLOBALS["o_projectName"] = "";

	// Reset record count
	$nRecCount = 0;
}

// Accummulate grand summary
function AccumulateGrandSummary() {
	global $cnt, $col, $val, $grandsmry, $grandmn, $grandmx;
	@$cnt[0][0]++;
	for ($iy = 1; $iy < count($grandsmry); $iy++) {
		if ($col[$iy]) {
			$valwrk = $val[$iy];
			if (is_null($valwrk) || !is_numeric($valwrk)) {

				// skip
			} else {
				$grandsmry[$iy] += $valwrk;
				if (is_null($grandmn[$iy])) {
					$grandmn[$iy] = $valwrk;
					$grandmx[$iy] = $valwrk;
				} else {
					if ($grandmn[$iy] > $valwrk) $grandmn[$iy] = $valwrk;
					if ($grandmx[$iy] < $valwrk) $grandmx[$iy] = $valwrk;
				}
			}
		}
	}
}

// Get row values
function GetRow($opt) {
	global $rs, $val;
	if (!$rs)
		return;
	if ($opt == 1) { // Get first row
		$rs->MoveFirst();
	} else { // Get next row
		$rs->MoveNext();
	}
	while (!$rs->EOF) {
		if (ValidRow($rs)) {
			$GLOBALS['x_date'] = $rs->fields('date');
			$GLOBALS['x_Uname'] = $rs->fields('Uname');
			$GLOBALS['x_clientName'] = $rs->fields('clientName');
			$GLOBALS['x_projectName'] = $rs->fields('projectName');
			$GLOBALS['x_hours'] = $rs->fields('hours');
			$GLOBALS['x_description'] = $rs->fields('description');
			$val[1] = $GLOBALS['x_date'];
			$val[2] = $GLOBALS['x_hours'];
			$val[3] = $GLOBALS['x_description'];
			break;
		} else {
			$rs->MoveNext();
		}
	}
	if ($rs->EOF) {
		$GLOBALS['x_date'] = "";
		$GLOBALS['x_Uname'] = "";
		$GLOBALS['x_clientName'] = "";
		$GLOBALS['x_projectName'] = "";
		$GLOBALS['x_hours'] = "";
		$GLOBALS['x_description'] = "";
	}
}

//  Set up starting group
function SetUpStartGroup() {
	global $nStartGrp, $nTotalGrps, $nDisplayGrps;

	// Exit if no groups
	if ($nDisplayGrps == 0)
		return;

	// Check for a 'start' parameter
	if (@$_GET[EW_REPORT_TABLE_START_GROUP] != "") {
		$nStartGrp = $_GET[EW_REPORT_TABLE_START_GROUP];
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (@$_GET["pageno"] != "") {
		$nPageNo = $_GET["pageno"];
		if (is_numeric($nPageNo)) {
			$nStartGrp = ($nPageNo-1)*$nDisplayGrps+1;
			if ($nStartGrp <= 0) {
				$nStartGrp = 1;
			} elseif ($nStartGrp >= intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1) {
				$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps)*$nDisplayGrps+1;
			}
			$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
		} else {
			$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];
		}
	} else {
		$nStartGrp = @$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP];	
	}

	// Check if correct start group counter
	if (!is_numeric($nStartGrp) || $nStartGrp == "") { // Avoid invalid start group counter
		$nStartGrp = 1; // Reset start group counter
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (intval($nStartGrp) > intval($nTotalGrps)) { // Avoid starting group > total groups
		$nStartGrp = intval(($nTotalGrps-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to last page first group
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} elseif (($nStartGrp-1) % $nDisplayGrps <> 0) {
		$nStartGrp = intval(($nStartGrp-1)/$nDisplayGrps) * $nDisplayGrps + 1; // Point to page boundary
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	}
}

// Set up popup
function SetupPopup() {
	global $conn, $sFilter;

	// Initialize popup
	// Build distinct values for Uname

	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_UNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_UNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_Uname = $rswrk->fields[0];
		if (is_null($x_Uname)) {
			$bNullValue = TRUE;
		} elseif ($x_Uname == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_Uname = $x_Uname;
			$dg_Uname = $x_Uname;
			ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], $g_Uname, $dg_Uname, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_Uname"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for clientName
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_CLIENTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_clientName = $rswrk->fields[0];
		if (is_null($x_clientName)) {
			$bNullValue = TRUE;
		} elseif ($x_clientName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_clientName = $x_clientName;
			$dg_clientName = $x_clientName;
			ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], $g_clientName, $dg_clientName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_clientName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Build distinct values for projectName
	$bNullValue = FALSE;
	$bEmptyValue = FALSE;
	$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_PROJECTNAME_SQL_ORDERBY"], "", $sFilter, "");
	$rswrk = $conn->Execute($sSql);
	while ($rswrk && !$rswrk->EOF) {
		$x_projectName = $rswrk->fields[0];
		if (is_null($x_projectName)) {
			$bNullValue = TRUE;
		} elseif ($x_projectName == "") {
			$bEmptyValue = TRUE;
		} else {
			$g_projectName = $x_projectName;
			$dg_projectName = $x_projectName;
			ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], $g_projectName, $dg_projectName, FALSE);
		}
		$rswrk->MoveNext();
	}
	if ($rswrk)
		$rswrk->Close();
	if ($bEmptyValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_EMPTY_VALUE, EW_REPORT_EMPTY_LABEL, FALSE);
	if ($bNullValue)
		ewrpt_SetupDistinctValues($GLOBALS["val_projectName"], EW_REPORT_NULL_VALUE, EW_REPORT_NULL_LABEL, FALSE);

	// Process post back form
	if (count($_POST) > 0) {
		$sName = @$_POST["popup"]; // Get popup form name
		if ($sName <> "") {
		$cntValues = (is_array(@$_POST["sel_$sName"])) ? count($_POST["sel_$sName"]) : 0;
			if ($cntValues > 0) {
				$arValues = ewrpt_StripSlashes($_POST["sel_$sName"]);
				if (trim($arValues[0]) == "") // Select all
					$arValues = EW_REPORT_INIT_VALUE;
				if (!ewrpt_MatchedArray($arValues, $_SESSION["sel_$sName"])) {
					if (HasSessionFilterValues($sName))
						$GLOBALS["sClearExtFilter"] = $sName; // Clear extended filter for this field
				}
				$_SESSION["sel_$sName"] = $arValues;
				$_SESSION["rf_$sName"] = ewrpt_StripSlashes(@$_POST["rf_$sName"]);
				$_SESSION["rt_$sName"] = ewrpt_StripSlashes(@$_POST["rt_$sName"]);
				ResetPager();
			}
		}

	// Get 'reset' command
	} elseif (@$_GET["cmd"] <> "") {
		$sCmd = $_GET["cmd"];
		if (strtolower($sCmd) == "reset") {
			ClearSessionSelection('Uname');
			ClearSessionSelection('clientName');
			ClearSessionSelection('projectName');
			ResetPager();
		}
	}

	// Load selection criteria to array
	// Get UserName selected values

	if (is_array(@$_SESSION["sel_TimeSheet_Report_Uname"])) {
		LoadSelectionFromSession('Uname');
	} elseif (@$_SESSION["sel_TimeSheet_Report_Uname"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_Uname"] = "";
	}

	// Get Client Name selected values
	if (is_array(@$_SESSION["sel_TimeSheet_Report_clientName"])) {
		LoadSelectionFromSession('clientName');
	} elseif (@$_SESSION["sel_TimeSheet_Report_clientName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_clientName"] = "";
	}

	// Get Project Name selected values
	if (is_array(@$_SESSION["sel_TimeSheet_Report_projectName"])) {
		LoadSelectionFromSession('projectName');
	} elseif (@$_SESSION["sel_TimeSheet_Report_projectName"] == EW_REPORT_INIT_VALUE) { // Select all
		$GLOBALS["sel_projectName"] = "";
	}
}

// Reset pager
function ResetPager() {

	// Reset start position (reset command)
	global $nStartGrp, $nTotalGrps;
	$nStartGrp = 1;
	$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
}

// Initialize group data - total number of groups + grouping field arrays
function InitReportData(&$rs) {
	global $nTotalGrps;

	// Initialize group count
	$grpcnt = 0;
	while ($rs && !$rs->EOF) {
		$bValidRow = ValidRow($rs);

		// Update group count
		if ($bValidRow) {
			$x_Uname = $rs->fields('Uname');
			$g_Uname = $x_Uname;
			$bNewGroup = ($grpcnt == 0) ||
				(is_null($grpvalue) && !is_null($x_Uname)) ||
				(!is_null($grpvalue) && is_null($x_Uname)) ||
				(@$grpvalue <> $g_Uname);
			if ($bNewGroup) {
				$grpvalue = $g_Uname;
				$grpcnt++;
			}
		}
		$rs->MoveNext();
	}

	// Set up total number of groups
	$nTotalGrps = $grpcnt;
}

// Check if row is valid
function ValidRow(&$rs) {
	if (!ewrpt_SelectedValue($GLOBALS["sel_Uname"], $rs->fields('Uname'), $GLOBALS["ft_Uname"], $GLOBALS["af_Uname"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_clientName"], $rs->fields('clientName'), $GLOBALS["ft_clientName"], $GLOBALS["af_clientName"]))
		return FALSE;
	if (!ewrpt_SelectedValue($GLOBALS["sel_projectName"], $rs->fields('projectName'), $GLOBALS["ft_projectName"], $GLOBALS["af_projectName"]))
		return FALSE;
	return TRUE;
}
?>
<?php

// Set up number of groups displayed per page
function SetUpDisplayGrps() {
	global $nDisplayGrps, $nStartGrp;
	$sWrk = @$_GET[EW_REPORT_TABLE_GROUP_PER_PAGE];
	if ($sWrk <> "") {
		if (is_numeric($sWrk)) {
			$nDisplayGrps = intval($sWrk);
		} else {
			if (strtoupper($sWrk) == "ALL") { // display all groups
				$nDisplayGrps = -1;
			} else {
				$nDisplayGrps = 3; // Non-numeric, load default
			}
		}
		$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] = $nDisplayGrps; // Save to session

		// Reset start position (reset command)
		$nStartGrp = 1;
		$_SESSION[EW_REPORT_TABLE_SESSION_START_GROUP] = $nStartGrp;
	} else {
		if (@$_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE] <> "") {
			$nDisplayGrps = $_SESSION[EW_REPORT_TABLE_SESSION_GROUP_PER_PAGE]; // Restore from session
		} else {
			$nDisplayGrps = 3; // Load default
		}
	}
}
?>
<?php

// Get extended filter values
function GetExtendedFilterValues() {
}

// Return extended filter
function GetExtendedFilter() {
	$sFilter = "";
	$bPostBack = (count($_POST) > 0);
	$bRestoreSession = TRUE;
	$bSetupFilter = FALSE;

	// Reset extended filter if filter changed
	if ($bPostBack) {

	// Reset search command
	} elseif (@$_GET["cmd"] == "reset") {

		// Load default values
		// Field date

		SetSessionFilterValues($GLOBALS["sv1_date"], $GLOBALS["so1_date"], $GLOBALS["sc_date"], $GLOBALS["sv2_date"], $GLOBALS["so2_date"], 'date');
		$bSetupFilter = TRUE;
	} else {

		// Field date
		if (GetFilterValues($GLOBALS["sv1_date"], $GLOBALS["so1_date"], $GLOBALS["sc_date"], $GLOBALS["sv2_date"], $GLOBALS["so2_date"], 'date')) {
			$bSetupFilter = TRUE;
			$bRestoreSession = FALSE;
		}
	}

	// Restore session
	if ($bRestoreSession) {

		// Field date
		GetSessionFilterValues($GLOBALS["sv1_date"], $GLOBALS["so1_date"], $GLOBALS["sc_date"], $GLOBALS["sv2_date"], $GLOBALS["so2_date"], 'date');
	}

	// Build SQL
	// Field date

	BuildExtendedFilter($sFilter, 'date', 'A.date', EW_REPORT_DATATYPE_DATE, 5, $GLOBALS["sv1_date"], $GLOBALS["so1_date"], $GLOBALS["sc_date"], $GLOBALS["sv2_date"], $GLOBALS["so2_date"]);

	// Save parms to session
	// Field date

	SetSessionFilterValues($GLOBALS["sv1_date"], $GLOBALS["so1_date"], $GLOBALS["sc_date"], $GLOBALS["sv2_date"], $GLOBALS["so2_date"], 'date');

	// Setup filter
	if ($bSetupFilter) {
	}
	return $sFilter;
}

// Get drop down value from querystring
function GetDropDownValue(&$sv, $parm) {
	if (count($_POST) > 0)
		return FALSE; // Skip post back
	if (isset($_GET["sv_$parm"])) {
		$sv = ewrpt_StripSlashes($_GET["sv_$parm"]);
		return TRUE;
	}
	return FALSE;
}

// Get filter values from querystring
function GetFilterValues(&$sv1, &$so1, &$sc, &$sv2, &$so2, $parm) {
	if (count($_POST) > 0)
		return; // Skip post back
	$got = FALSE;
	if (@$_GET["sv1_$parm"] <> "") {
		$sv1 = ewrpt_StripSlashes($_GET["sv1_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["so1_$parm"] <> "") {
		$so1 = ewrpt_StripSlashes($_GET["so1_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["sc_$parm"] <> "") {
		$sc = ewrpt_StripSlashes($_GET["sc_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["sv2_$parm"] <> "") {
		$sv2 = ewrpt_StripSlashes($_GET["sv2_$parm"]);
		$got = TRUE;
	}
	if (@$_GET["so2_$parm"] <> "") {
		$so2 = ewrpt_StripSlashes($_GET["so2_$parm"]);
		$got = TRUE;
	}
	return $got;
}

// Set default ext filter
function SetDefaultExtFilter($parm, $so1, $sv1, $sc, $so2, $sv2) {
	$GLOBALS["sv1d_$parm"] = $sv1; // Default ext filter value 1
	$GLOBALS["sv2d_$parm"] = $sv2; // Default ext filter value 2 (if operator 2 is enabled)
	$GLOBALS["so1d_$parm"] = $so1; // Default search operator 1
	$GLOBALS["so2d_$parm"] = $so2; // Default search operator 2 (if operator 2 is enabled)
	$GLOBALS["scd_$parm"] = $sc; // Default search condition (if operator 2 is enabled)
}

// Apply default ext filter
function ApplyDefaultExtFilter($parm) {
	$GLOBALS["sv1_$parm"] = $GLOBALS["sv1d_$parm"];
	$GLOBALS["sv2_$parm"] = $GLOBALS["sv2d_$parm"];
	$GLOBALS["so1_$parm"] = $GLOBALS["so1d_$parm"];
	$GLOBALS["so2_$parm"] = $GLOBALS["so2d_$parm"];
	$GLOBALS["sc_$parm"] = $GLOBALS["scd_$parm"];
}

// Check if ext filter applied
function ExtFilterApplied($parm) {
	return (strval($GLOBALS["sv1_$parm"]) <> strval($GLOBALS["sv1d_$parm"]) ||
		strval($GLOBALS["sv2_$parm"]) <> strval($GLOBALS["sv2d_$parm"]) ||
		strval($GLOBALS["so1_$parm"]) <> strval($GLOBALS["so1d_$parm"]) ||
		strval($GLOBALS["so2_$parm"]) <> strval($GLOBALS["so2d_$parm"]) ||
		strval($GLOBALS["sc_$parm"]) <> strval($GLOBALS["scd_$parm"]));
}

// Load selection from a filter clause
function LoadSelectionFromFilter($parm, $filter, &$sel) {
	$sel = "";
	if ($filter <> "") {
		$sSql = ewrpt_BuildReportSql("", $GLOBALS["EW_REPORT_FIELD_" . strtoupper($parm) . "_SQL_SELECT"], $GLOBALS["EW_REPORT_TABLE_SQL_WHERE"], $GLOBALS["EW_REPORT_TABLE_SQL_GROUPBY"], $GLOBALS["EW_REPORT_TABLE_SQL_HAVING"], $GLOBALS["EW_REPORT_FIELD_" . strtoupper($parm) . "_SQL_ORDERBY"], "", $filter, "");
		ewrpt_LoadArrayFromSql($sSql, $sel);
	}
}

// Get dropdown value from session
function GetSessionDropDownValue(&$sv, $parm) {
	GetSessionValue($sv, 'sv_TimeSheet_Report_' . $parm);
}

// Get filter values from session
function GetSessionFilterValues(&$sv1, &$so1, &$sc, &$sv2, &$so2, $parm) {
	GetSessionValue($sv1, 'sv1_TimeSheet_Report_' . $parm);
	GetSessionValue($so1, 'so1_TimeSheet_Report_' . $parm);
	GetSessionValue($sc, 'sc_TimeSheet_Report_' . $parm);
	GetSessionValue($sv2, 'sv2_TimeSheet_Report_' . $parm);
	GetSessionValue($so2, 'so2_TimeSheet_Report_' . $parm);
}

// Get value from session
function GetSessionValue(&$sv, $sn) {
	if (isset($_SESSION[$sn]))
		$sv = $_SESSION[$sn];
}

// Set dropdown value to session
function SetSessionDropDownValue($sv, $parm) {
	$_SESSION['sv_TimeSheet_Report_' . $parm] = $sv;
}

// Set filter values to session
function SetSessionFilterValues($sv1, $so1, $sc, $sv2, $so2, $parm) {
	$_SESSION['sv1_TimeSheet_Report_' . $parm] = $sv1;
	$_SESSION['so1_TimeSheet_Report_' . $parm] = $so1;
	$_SESSION['sc_TimeSheet_Report_' . $parm] = $sc;
	$_SESSION['sv2_TimeSheet_Report_' . $parm] = $sv2;
	$_SESSION['so2_TimeSheet_Report_' . $parm] = $so2;
}

// Check if has Session filter values
function HasSessionFilterValues($parm) {
	return ((@$_SESSION['sv_' . $parm] <> "" && @$_SESSION['sv_' . $parm] <> EW_REPORT_INIT_VALUE) ||
		(@$_SESSION['sv1_' . $parm] <> "" && @$_SESSION['sv1_' . $parm] <> EW_REPORT_INIT_VALUE) ||
		(@$_SESSION['sv2_' . $parm] <> "" && @$_SESSION['sv2_' . $parm] <> EW_REPORT_INIT_VALUE));
}

// Build dropdown filter
function BuildDropDownFilter(&$FilterClause, $FldName, $FldExpression, $FldDataType, $FldDateTimeFormat, $FldVal, $FldOpr) {
	$sWrk = "";
	if ($FldVal == EW_REPORT_NULL_VALUE) {
		$sWrk = $FldExpression . " IS NULL";
	} elseif ($FldVal == EW_REPORT_EMPTY_VALUE) {
		$sWrk = $FldExpression . " = ''";
	} else {
		if (substr($FldVal, 0, 2) == "@@") {
			$sWrk = CustomFilter($FldName, $FldExpression, $FldVal);
		} else {
			if ($FldVal <> "" && $FldVal <> EW_REPORT_INIT_VALUE) {
				if ($FldDataType == EW_REPORT_DATATYPE_DATE && $FldOpr <> "") {
					$sWrk = DateFilterString($FldOpr, $FldVal, $FldDataType);
				} else {
					$sWrk = FilterString("=", $FldVal, $FldDataType);
				}
			}
			if ($sWrk <> "") $sWrk = $FldExpression . $sWrk;
		}
	}
	if ($sWrk <> "") {
		if ($FilterClause <> "") $FilterClause = "(" . $FilterClause . ") AND ";
		$FilterClause .= "(" . $sWrk . ")";
	}
}

// Register custom filter
function RegisterCustomFilter($FldName, $FilterName, $DisplayName, $FldExpression, $FunctionName) {
	global $ewrpt_CustomFilters;
	if (!is_array($ewrpt_CustomFilters))
		$ewrpt_CustomFilters = array();
	$ewrpt_CustomFilters[] = array($FldName, $FilterName, $DisplayName, $FldExpression, $FunctionName);
}

// Custom filter
function CustomFilter($FldName, $FldExpression, $FldVal) {
	global $ewrpt_CustomFilters;
	$sWrk = "";
	$sParm = substr($FldVal, 2);
	if (is_array($ewrpt_CustomFilters)) {
		for ($i = 0; $i < count($ewrpt_CustomFilters); $i++) {
			if ($ewrpt_CustomFilters[$i][0] == $FldName && $ewrpt_CustomFilters[$i][1] == $sParm) {
				$sFld = $ewrpt_CustomFilters[$i][3];
				$sFn = $ewrpt_CustomFilters[$i][4];
				$sWrk = $sFn($sFld);
				break;
			}
		}
	}
	return $sWrk;
}

// Build extended filter
function BuildExtendedFilter(&$FilterClause, $FldName, $FldExpression, $FldDataType, $FldDateTimeFormat, $FldVal1, $FldOpr1, $FldCond, $FldVal2, $FldOpr2) {
	$sWrk = "";
	$FldOpr1 = strtoupper(trim($FldOpr1));
	if ($FldOpr1 == "") $FldOpr1 = "=";
	$FldOpr2 = strtoupper(trim($FldOpr2));
	if ($FldOpr2 == "") $FldOpr2 = "=";
	$wrkFldVal1 = $FldVal1;
	$wrkFldVal2 = $FldVal2;
	if ($FldDataType == EW_REPORT_DATATYPE_BOOLEAN) {
		if ($wrkFldVal1 <> "") $wrkFldVal1 = ($wrkFldVal1 == "1") ? EW_REPORT_TRUE_STRING : EW_REPORT_FALSE_STRING;
		if ($wrkFldVal2 <> "") $wrkFldVal2 = ($wrkFldVal2 == "1") ? EW_REPORT_TRUE_STRING : EW_REPORT_FALSE_STRING;
	} elseif ($FldDataType == EW_REPORT_DATATYPE_DATE) {
		if ($wrkFldVal1 <> "") $wrkFldVal1 = ewrpt_UnFormatDateTime($wrkFldVal1, $FldDateTimeFormat);
		if ($wrkFldVal2 <> "") $wrkFldVal2 = ewrpt_UnFormatDateTime($wrkFldVal2, $FldDateTimeFormat);
	}
	if ($FldOpr1 == "BETWEEN") {
		$IsValidValue = ($FldDataType <> EW_REPORT_DATATYPE_NUMBER ||
			($FldDataType == EW_REPORT_DATATYPE_NUMBER && is_numeric($wrkFldVal1) && is_numeric($wrkFldVal2)));
		if ($wrkFldVal1 <> "" && $wrkFldVal2 <> "" && $IsValidValue)
			$sWrk = $FldExpression . " BETWEEN " . ewrpt_QuotedValue($wrkFldVal1, $FldDataType) .
				" AND " . ewrpt_QuotedValue($wrkFldVal2, $FldDataType);
	} elseif ($FldOpr1 == "IS NULL" || $FldOpr1 == "IS NOT NULL") {
		$sWrk = $FldExpression . " " . $wrkFldVal1;
	} else {
		$IsValidValue = ($FldDataType <> EW_REPORT_DATATYPE_NUMBER ||
			($FldDataType == EW_REPORT_DATATYPE_NUMBER && is_numeric($wrkFldVal1)));
		if ($wrkFldVal1 <> "" && $IsValidValue && ewrpt_IsValidOpr($FldOpr1, $FldDataType))
			$sWrk = $FldExpression . FilterString($FldOpr1, $wrkFldVal1, $FldDataType);
		$IsValidValue = ($FldDataType <> EW_REPORT_DATATYPE_NUMBER ||
			($FldDataType == EW_REPORT_DATATYPE_NUMBER && is_numeric($wrkFldVal2)));
		if ($wrkFldVal2 <> "" && $IsValidValue && ewrpt_IsValidOpr($FldOpr2, $FldDataType)) {
			if ($sWrk <> "")
				$sWrk .= " " . (($FldCond = "OR") ? "OR" : "AND") . " ";
			$sWrk .= $FldExpression & FilterString($FldOpr2, $wrkFldVal2, $FldDataType);
		}
	}
	if ($sWrk <> "") {
		if ($FilterClause <> "") $FilterClause .= " AND ";
		$FilterClause .= "(" . $sWrk . ")";
	}
}

// Return filter string
function FilterString($FldOpr, $FldVal, $FldType) {
	if ($FldOpr == "LIKE" || $FldOpr == "NOT LIKE") {
		return " " . $FldOpr . " " . ewrpt_QuotedValue("%$FldVal%", $FldType);
	} elseif ($FldOpr == "STARTS WITH") {
		return " LIKE " . ewrpt_QuotedValue("$FldVal%", $FldType);
	} else {
		return " $FldOpr " . ewrpt_QuotedValue($FldVal, $FldType);
	}
}

// Return date search string
function DateFilterString($FldOpr, $FldVal, $FldType) {
	$wrkVal1 = DateVal($FldOpr, $FldVal, 1);
	$wrkVal2 = DateVal($FldOpr, $FldVal, 2);
	if ($wrkVal1 <> "" && $wrkVal2 <> "") {
		return " BETWEEN " . ewrpt_QuotedValue($wrkVal1, $FldType) . " AND " . ewrpt_QuotedValue($wrkVal2, $FldType);
	} else {
		return "";
	}
}

// Return date value
function DateVal($FldOpr, $FldVal, $ValType) {

	// Compose date string
	switch (strtolower($FldOpr)) {
	case "year":
		if ($ValType == 1) {
			$wrkVal = "$FldVal-01-01";
		} elseif ($ValType == 2) {
			$wrkVal = "$FldVal-12-31";
		}
		break;
	case "quarter":
		list($y, $q) = explode("|", $FldVal);
		if (intval($y) == 0 || intval($q) == 0) {
			$wrkVal = "0000-00-00";
		} else {
			if ($ValType == 1) {
				$m = ($q - 1) * 3 + 1;
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-01";
			} elseif ($ValType == 2) {
				$m = ($q - 1) * 3 + 3;
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-" . ewrpt_DaysInMonth($y, $m);
			}
		}
		break;
	case "month":
		list($y, $m) = explode("|", $FldVal);
		if (intval($y) == 0 || intval($m) == 0) {
			$wrkVal = "0000-00-00";
		} else {
			if ($ValType == 1) {
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-01";
			} elseif ($ValType == 2) {
				$m = str_pad($m, 2, "0", STR_PAD_LEFT);
				$wrkVal = "$y-$m-" . ewrpt_DaysInMonth($y, $m);
			}
		}
		break;
	case "day":
		$wrkVal = str_replace("|", "-", $FldVal);
	}

	// Add time if necessary
	if (preg_match('/(\d{4}|\d{2})-(\d{1,2})-(\d{1,2})/', $wrkVal)) { // date without time
		if ($ValType == 1) {
			$wrkVal .= " 00:00:00";
		} elseif ($ValType == 2) {
			$wrkVal .= " 23:59:59";
		}
	}

	// Check if datetime
	if (preg_match('/(\d{4}|\d{2})-(\d{1,2})-(\d{1,2}) (\d{1,2}):(\d{1,2}):(\d{1,2})/', $wrkVal)) { // datetime
		$DateVal = $wrkVal;
	} else {
		$DateVal = "";
	}
	return $DateVal;
}
?>
<?php

// Clear selection stored in session
function ClearSessionSelection($parm) {
	$_SESSION["sel_TimeSheet_Report_$parm"] = "";
	$_SESSION["rf_TimeSheet_Report_$parm"] = "";
	$_SESSION["rt_TimeSheet_Report_$parm"] = "";
}

// Load selection from session
function LoadSelectionFromSession($parm) {
	$GLOBALS["sel_$parm"] = @$_SESSION["sel_TimeSheet_Report_$parm"];
	$GLOBALS["rf_$parm"] = @$_SESSION["rf_TimeSheet_Report_$parm"];
	$GLOBALS["rt_$parm"] = @$_SESSION["rt_TimeSheet_Report_$parm"];
}

// Load default value for filters
function LoadDefaultFilters() {

	/**
	* Set up default values for dropdown filters
	*/

	/**
	* Set up default values for extended filters
	* function SetDefaultExtFilter($parm, $so1, $sv1, $sc, $so2, $sv2)
	* Parameters:
	* $parm - Field name
	* $so1 - Default search operator 1
	* $sv1 - Default ext filter value 1
	* $sc - Default search condition (if operator 2 is enabled)
	* $so2 - Default search operator 2 (if operator 2 is enabled)
	* $sv2 - Default ext filter value 2 (if operator 2 is enabled)
	*/

	// Field date
	SetDefaultExtFilter('date', '=', NULL, 'AND', '=', NULL);
	ApplyDefaultExtFilter('date');

	/**
	* Set up default values for popup filters
	* NOTE: if extended filter is enabled, use default values in extended filter instead
	*/

	// Field Uname
	// Setup your default values for the extended filter below, e.g.
	// $seld_Uname = array("val1", "val2");

	$GLOBALS["seld_Uname"] = "";
	$GLOBALS["sel_Uname"] =  $GLOBALS["seld_Uname"];

	// Field clientName
	// Setup your default values for the extended filter below, e.g.
	// $seld_clientName = array("val1", "val2");

	$GLOBALS["seld_clientName"] = "";
	$GLOBALS["sel_clientName"] =  $GLOBALS["seld_clientName"];

	// Field projectName
	// Setup your default values for the extended filter below, e.g.
	// $seld_projectName = array("val1", "val2");

	$GLOBALS["seld_projectName"] = "";
	$GLOBALS["sel_projectName"] =  $GLOBALS["seld_projectName"];
}

// Check if filter applied
function CheckFilter() {

	// Check date extended filter
	if (ExtFilterApplied("date"))
		return TRUE;

	// Check Uname popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_Uname"], $GLOBALS["sel_Uname"]))
		return TRUE;

	// Check clientName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_clientName"], $GLOBALS["sel_clientName"]))
		return TRUE;

	// Check projectName popup filter
	if (!ewrpt_MatchedArray($GLOBALS["seld_projectName"], $GLOBALS["sel_projectName"]))
		return TRUE;
	return FALSE;
}

// Show list of filters
function ShowFilterList() {

	// Initialize
	$sFilterList = "";

	// Field date
	$sExtWrk = "";
	$sWrk = "";
	BuildExtendedFilter($sExtWrk, 'date', 'A.date', EW_REPORT_DATATYPE_DATE, 5, $GLOBALS["sv1_date"], $GLOBALS["so1_date"], $GLOBALS["sc_date"], $GLOBALS["sv2_date"], $GLOBALS["so2_date"]);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Date<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field Uname
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_Uname"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_Uname"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "UserName<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field clientName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_clientName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_clientName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Client Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Field projectName
	$sExtWrk = "";
	$sWrk = "";
	if (is_array($GLOBALS["sel_projectName"]))
		$sWrk = ewrpt_JoinArray($GLOBALS["sel_projectName"], ", ", EW_REPORT_DATATYPE_STRING);
	if ($sExtWrk <> "" || $sWrk <> "")
		$sFilterList .= "Project Name<br />";
	if ($sExtWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sExtWrk<br />";
	if ($sWrk <> "")
		$sFilterList .= "&nbsp;&nbsp;$sWrk<br />";

	// Show Filters
	if ($sFilterList <> "")
		echo "CURRENT FILTERS:<br />$sFilterList";
}

/**
 * Regsiter your Custom filters here
 */

// Setup custom filters
function SetupCustomFilters() {

	// 1. Register your custom filter below (see example)
	// 2. Write your custom filter function (see example fucntions: GetLastMonthFilter, GetStartsWithAFilter)

}

/**
 * Write your Custom filters here
 */

// Filter for 'Last Month' (example)
function GetLastMonthFilter($FldExpression) {
	$today = getdate();
	$lastmonth = mktime(0, 0, 0, $today['mon']-1, 1, $today['year']);
	$sVal = date("Y|m", $lastmonth);
	$sWrk = $FldExpression . " BETWEEN " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 1), EW_REPORT_DATATYPE_DATE) .
		" AND " .
		ewrpt_QuotedValue(DateVal("month", $sVal, 2), EW_REPORT_DATATYPE_DATE);
	return $sWrk;
}

// Filter for 'Starts With A' (example)
function GetStartsWithAFilter($FldExpression) {
	return $FldExpression . " LIKE 'A%'";
}
?>
