/*
 * SimpleModal Confirm Modal Dialog
 * http://www.ericmmartin.com/projects/simplemodal/
 * http://code.google.com/p/simplemodal/
 *
 * Copyright (c) 2008 Eric Martin - http://ericmmartin.com
 *
 * Licensed under the MIT license:
 *   http://www.opensource.org/licenses/mit-license.php
 *
 * Revision: $Id: confirm.js 170 2008-12-04 19:03:12Z emartin24 $
 *
 */

$(document).ready(function () 
{
	$('#frmApprove').submit(function (e) 
	{
		var oform = document.getElementById('frmApprove');
		e.preventDefault();
		var flag;
		$('input:checkbox').each(function(index){
		var id = $(this).attr('id');		
		if($('#'+id).is(':checked'))
		flag =1;		
		});			
			// example of calling the confirm function
			// you must use a callback function to perform the "yes" action
			if(flag)
			{
				confirm("Are you sure want to Delete!", function () 
				{
					oform.action = 'DeleteUser.php';
					oform.submit();			
				});
			}
			else
			{
				alert("Please select atleast one!");
			}
			
	});
});

function confirm(message, callback) {
	$('#confirm').modal({
		close:false,
		position: ["20%",],
		overlayId:'confirmModalOverlay',
		containerId:'confirmModalContainer', 
		onShow: function (dialog) {
			
			dialog.data.find('.message').append(message);

			// if the user clicks "yes"
			dialog.data.find('.yes').click(function () {
				// call the callback
				if ($.isFunction(callback)) {
					callback.apply();
				}
				// close the dialog
				$.modal.close();
			});
		}
	});
}

